{* 
//////
//    @version 2.1.1 Build 21106 Alpha [ Drury ]
//    @package hwdVideoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
//////
//    hwdVideoShare Template System:::This template system uses the Smarty Template Engine. 
//    For full documentation, including syntax usage please refer to http://www.smarty.net 
//    or our website at http://www.hwdmediashare.co.uk   
//////
//    This file generates the display when a user views a category. It lists all the videos in that category
//    and if any subcategories exist it can also display these
//////
//    VARIABLES AVAILBLE IN THIS TEMPLATE FILE:                                        
//    -- $print_videolist...Only set if any video exist in the category
//    -- $print_subcats.....Only set if any subcategories exist in the category                            
//    -- $link_home.........Your website URL (to your Joomla root)                   
//////
*}

{include file='header.tpl'}

{literal}
<script type="text/javascript">

/* Optional: Temporarily hide the "tabber" class so it does not "flash"
   on the page as plain HTML. After tabber runs, the class is changed
   to "tabberlive" and it will appear.
*/
document.write('<style type="text/css">.tabber{display:none;}<\/style>');

var tabberOptions = {

  /* Optional: instead of letting tabber run during the onload event,
     we'll start it up manually. This can be useful because the onload
     even runs after all the images have finished loading, and we can
     run tabber at the bottom of our page to start it up faster. See the
     bottom of this page for more info. Note: this variable must be set
     BEFORE you include tabber.js.
  */
  'manualStartup':true,

  /* Optional: code to run after each tabber object has initialized */

  'onLoad': function(argsObj) {
    /* Display an alert only after tab2 */
    if (argsObj.tabber.id == 'tab2') {
      alert('Finished loading tab2!');
    }
  },

  /* Optional: code to run when the user clicks a tab. If this
     function returns boolean false then the tab will not be changed
     (the click is canceled). If you do not return a value or return
     something that is not boolean false, */

  'onClick': function(argsObj) {

    var t = argsObj.tabber; /* Tabber object */
    var id = t.id; /* ID of the main tabber DIV */
    var i = argsObj.index; /* Which tab was clicked (0 is the first tab) */
    var e = argsObj.event; /* Event object */

    if (id == 'tab2') {
      return confirm('Swtich to '+t.tabs[i].headingText+'?\nEvent type: '+e.type);
    }
  },

  /* Optional: set an ID for each tab navigation link */
  'addLinkId': true

};

</script>
{/literal}
<script type="text/javascript" src="{$link_home}/components/com_hwdvideoshare/js/tabber.js"></script>

<h5 class="header">{$smarty.const._HWDVIDS_TITLE_CATEGORYVIDS} ({$category_name})</h5>

{if $print_subcats}
  <div class="tabber" id="tab1">
    <div class="tabbertab">
      <h2><a name="tab1">Videos</a></h2>
      <div class="recent">
	{if $print_videolist}
	  {foreach name=outer item=data from=$list}
	    {include file='video_list.tpl'}
	  {/foreach}
	{else}
	  <div class="padding">{$smarty.const._HWDVIDS_INFO_NCV}</div>
	{/if}
	{$pageNavigation}
      </div>
    </div>
    <div class="tabbertab">
      <h2>Subcategories</h2>
      <div class="categories">
        {foreach name=outer item=data from=$subcatlist}
          {include file='category_list.tpl'}
        {/foreach}
      </div>
    </div>
  </div>
{else}
  <div class="recent">
    {if $print_videolist}
      {foreach name=outer item=data from=$list}
        {include file='video_list.tpl'}
      {/foreach}
    {else}
      <div class="padding">{$smarty.const._HWDVIDS_INFO_NCV}</div>
    {/if}
    {$pageNavigation}
  </div>
{/if}
	
<script type="text/javascript">
tabberAutomatic(tabberOptions);
</script>

{include file='footer.tpl'}
