<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class hwdvids_HTML
{
   /**
	* show frontpage
	*/
	function homepage($option, $stats, $mostpopular, $mostviewed, $mostrecent, $recentgroups)
	{
		global $smarty, $limitstart;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="option" value="com_hwdvideoshare" />
						  <input type="hidden" name="limitstart" value="'.$limitstart.'" />
		                  <input type="hidden" name="task" value="homepage" />';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'welcome-pane' );
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_STATS, 'panel1' );
		$starttab2 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_INFO, 'panel2' );

		/** assign template variables **/
		$smarty->assign( "hidden_inputs", $hidden_inputs );
		$smarty->assign( "header_title", _HWDVIDS_SECTIONHEAD_HOME );
		$smarty->assign( "stats", $stats );
		$smarty->assign( "mostpopular", $mostpopular );
		$smarty->assign( "mostviewed", $mostviewed );
		$smarty->assign( "mostrecent", $mostrecent );
		$smarty->assign( "recentgroups", $recentgroups );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endTab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );

		/** display template **/
		$smarty->display('admin_index.tpl');
		return;
	}
   /**
	* show videos
	*/
	function showvideos($option, $rows, $rows_feat, &$pageNav, $searchtext, $filter, $category_id)
	{
		global $database, $smarty, $mosConfig_offset, $limitstart, $Itemid, $my;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
						  <input type="hidden" name="option" value="com_hwdvideoshare" />
						  <input type="hidden" name="task" value="videos" />
						  <input type="hidden" name="limitstart" value="'.$limitstart.'" />
						  <input type="hidden" name="hidemainmenu" value="0">';
		$categoryselectlist = hwd_vs_tools::categoryList(_HWDVIDS_INFO_ANYCAT, $category_id, _HWDVIDS_INFO_NOCATS, 0, "category_id", 0);
		$search = _ADMIN_HWDVIDS_SEARCHV.'&nbsp;';
		$search.= '<input type="text" name="search" value="'.$searchtext.'" class="text_area" onChange="document.adminForm.submit();" />&nbsp;';
		$search.= $categoryselectlist.'&nbsp;';
		$search.= _ADMIN_HWDVIDS_RPP.'&nbsp;';
		$search.= $pageNav->getLimitBox().'&nbsp;';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'video-pane');
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_ALLVIDS, 'panel1' );
		$starttab2 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_FEATV, 'panel2' );

		/** define template arrays **/
		$list_all = array();
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];

			$list_all[$i]->id = $row->id;
			$list_all[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list_all[$i]->title = stripslashes($row->title);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editvidsA&hidemainmenu=1&cid='. $row->id;
				$list_all[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->title).'</a>';
			}
			$list_all[$i]->length = $row->video_length;
			$list_all[$i]->rating = $row->updated_rating;
			$list_all[$i]->views = $row->number_of_views;
			$list_all[$i]->access = hwd_vs_tools::generateVideoAccess($row->public_private);
			$list_all[$i]->date = $row->date_uploaded;
			$list_all[$i]->status = hwd_vs_tools::generateVideoStatus($row->approved);
			$list_all[$i]->published_task = $row->published ? 'unpublish' : 'publish';
			$list_all[$i]->published_img = $row->published ? 'publish_g.png' : 'publish_x.png';
			$list_all[$i]->featured_task = $row->featured ? 'unfeature' : 'feature';
			$list_all[$i]->featured_img =$row->featured ? 'publish_g.png' : 'publish_x.png';
			$list_all[$i]->k = $k;
			$list_all[$i]->i = $i;
			$k = 1 - $k;
		}

		$cbtotal = count($rows)+1;
		$list_feat = array();
		$k = 0;
		for ($i=0, $n=count($rows_feat); $i < $n; $i++) {
			$row = $rows_feat[$i];

			$list_feat[$i]->id = $row->id;
			$list_feat[$i]->checked = JHTML::_('grid.checkedout', $row, $cbtotal);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list_feat[$i]->title = stripslashes($row->title);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editvidsA&hidemainmenu=1&cid='. $row->id;
				$list_feat[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->title).'</a>';
			}
			$list_feat[$i]->length = $row->video_length;
			$list_feat[$i]->rating = $row->updated_rating;
			$list_feat[$i]->views = $row->number_of_views;
			$list_feat[$i]->access = hwd_vs_tools::generateVideoAccess($row->public_private);
			$list_feat[$i]->date = $row->date_uploaded;
			$list_feat[$i]->status = hwd_vs_tools::generateVideoStatus($row->approved);
			$list_feat[$i]->published_task = $row->published ? 'unpublish' : 'publish';
			$list_feat[$i]->published_img = $row->published ? 'publish_g.png' : 'publish_x.png';
			$list_feat[$i]->featured_task = $row->featured ? 'unfeature' : 'feature';
			$list_feat[$i]->featured_img =$row->featured ? 'publish_g.png' : 'publish_x.png';
			$list_feat[$i]->k = $k;
			$list_feat[$i]->i = $cbtotal;
			$list_feat[$i]->order = $row->ordering;
            if ($i > 0 || ($i + $pageNav->limitstart > 0)) {
			    $list_feat[$i]->reorderup = '<a href = "#reorder" onClick = "return listItemTask(\'cb'.$cbtotal.'\',\'order_f_up\')"> <img src = "images/uparrow.png" width = "12" height = "12" border = "0" alt = ""> </a>';
            }
			if ($i < $n - 1 || $i + $pageNav->limitstart < $pageNav->total - 1) {
			    $list_feat[$i]->reorderdown = '<a href = "#reorder" onClick = "return listItemTask(\'cb'.$cbtotal.'\',\'order_f_down\')"> <img src = "images/downarrow.png" width = "12" height = "12" border = "0" alt = ""> </a>';
			}
			$cbtotal++;
			$k = 1 - $k;
		}

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_VIDEOS );
		$smarty->assign( "print_search", 1 );
		$smarty->assign( "search", $search );
		$smarty->assign( "totalvideos", count($rows) );
		$smarty->assign( "writePagesLinks", $pageNav->getPagesLinks() );
		$smarty->assign( "writePagesCounter", $pageNav->getPagesCounter() );
		$smarty->assign( "list_all", $list_all );
		$smarty->assign( "list_feat", $list_feat );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endtab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );

		/** display template **/
		$smarty->display('admin_videos.tpl');
		return;
	}
   /**
	* edit videos
	*/
	function editvideos($option, $row, $cat, $usr, $favs, $flagged, $uploader_list, $output4, $cmd_ffmpeg)
	{
		global $database, $smarty, $Itemid;
		$c = hwd_vs_Config::get_instance();
		// force no-cache so new thumbnail will display
		header( 'Expires: Mon, 26 Jul 1997 05:00:00 GMT' );
		header( 'Last-Modified: ' . gmdate( 'D, d M Y H:i:s' ) . ' GMT' );
		header( 'Cache-Control: no-store, no-cache, must-revalidate' );
		header( 'Cache-Control: post-check=0, pre-check=0', false );
		header( 'Pragma: no-cache' );

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="id" value="'.$row->id.'" />
		<input type="hidden" name="video_type" value="'.$row->video_type.'" />
		<input type="hidden" name="task" value="savevid" />';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'video-edit-pane' );
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_BASIC, 'panel1' );
		$starttab2 = $pane->startPanel( _ADMIN_HWDVIDS_GS_TAB_SHARING, 'panel2' );


		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_VIDEOS );
		$smarty->assign( "row" , $row );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endtab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );

		$smarty->display('admin_fe.tpl');
		return;
	}
   /**
	* show categories
	*/
	function showcategories($option, $rows, &$pageNav, $searchtext)
	{
		global $database, $mosConfig_offset, $limitstart, $smarty, $Itemid, $my;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="categories" />
		<input type="hidden" name="limitstart" value="'.$limitstart.'" />
		<input type="hidden" name="hidemainmenu" value="0">';
		$search = _ADMIN_HWDVIDS_SEARCHC.'&nbsp;';
		$search.= '<input type="text" name="search" value="'.$searchtext.'" class="text_area" onChange="document.adminForm.submit();" />&nbsp;';
		$search.= _ADMIN_HWDVIDS_RPP.'&nbsp;';
		$search.= $pageNav->getLimitBox().'&nbsp;';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_CATS );
		$smarty->assign( "print_search", 1 );
		$smarty->assign( "search", $search );
		$smarty->assign( "totalcategories", count($rows) );
		$smarty->assign( "writePagesLinks", $pageNav->getPagesLinks() );
		$smarty->assign( "writePagesCounter", $pageNav->getPagesCounter() );

		/** define template arrays **/
		$list = array();
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];

			$list[$i]->id = $row->id;
			$list[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
            if ($row->parent == 0) {
                $list[$i]->isparent = 1;
			}
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list[$i]->title = stripslashes($row->treename);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editcatA&hidemainmenu=1&cid='. $row->id;
				$list[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->treename).'</a>';
			}
            if ($row->access_v == -2) {
				$list[$i]->view_access = _HWDVIDS_SELECT_EVERYONE;
            } else if ($row->access_v == -2) {
				$list[$i]->view_access = _HWDVIDS_SELECT_ALLREGUSER;
			} else {
                $gID = hwd_vs_access::groupName($row->access_v);
				$list[$i]->view_access = $gID;
            }
            if ($row->access_u == -2) {
				$list[$i]->upld_access = _HWDVIDS_SELECT_EVERYONE;
            } else if ($row->access_u == -2) {
				$list[$i]->upld_access = _HWDVIDS_SELECT_ALLREGUSER;
			} else {
                $gID = hwd_vs_access::groupName($row->access_u);
				$list[$i]->upld_access = $gID;
            }
			$list[$i]->published_task = $row->published ? 'unpublishcat' : 'publishcat';
			$list[$i]->published_img = $row->published ? 'publish_g.png' : 'publish_x.png';
			$list[$i]->order = $row->ordering;
	        if ($i > 0 || ($i + $pageNav->limitstart > 0)) {
			    $list[$i]->reorderup = '<a href = "#reorder" onClick = "return listItemTask(\'cb'.$i.'\',\'orderup\')"> <img src = "images/uparrow.png" width = "12" height = "12" border = "0" alt = ""> </a>';
            }
			if ($i < $n - 1 || $i + $pageNav->limitstart < $pageNav->total - 1) {
			    $list[$i]->reorderdown = '<a href = "#reorder" onClick = "return listItemTask(\'cb'.$i.'\',\'orderdown\')"> <img src = "images/downarrow.png" width = "12" height = "12" border = "0" alt = ""> </a>';
			}
			$list[$i]->k = $k;
			$list[$i]->i = $i;
			$k = 1 - $k;
		}
		$smarty->assign( "list", $list );

		/** display template **/
		$smarty->display('admin_categories_browse.tpl');
		return;
	}
   /**
	* edit categories
	*/
	function editcategories($option, $row, $gtree, $categoryList)
	{
		global $smarty;
		$c = hwd_vs_Config::get_instance();

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="option" value="'.$option.'" />
		<input type="hidden" name="id" value="'.$row->id.'" />
		<input type="hidden" name="task" value="" />';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );

		$smarty->display('admin_fe.tpl');
		return;
	}
   /**
	* show groups
	*/
	function showgroups($option, $rows, &$pageNav, $searchtext)
	{
		global $Itemid, $smarty, $limitstart, $my;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="limitstart" value="'.$limitstart.'" />
		<input type="hidden" name="task" value="groups" />
		<input type="hidden" name="hidemainmenu" value="0">';
		$search = _ADMIN_HWDVIDS_SEARCHG.'&nbsp;';
		$search.= '<input type="text" name="search" value="'.$searchtext.'" class="text_area" onChange="document.adminForm.submit();" />&nbsp;';
		$search.= _ADMIN_HWDVIDS_RPP.'&nbsp;';
		$search.= $pageNav->getLimitBox().'&nbsp;';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_GROUPS );
		$smarty->assign( "print_search", 1 );
		$smarty->assign( "search", $search );
		$smarty->assign( "totalgroups", count($rows) );
		$smarty->assign( "writePagesLinks", $pageNav->getPagesLinks() );
		$smarty->assign( "writePagesCounter", $pageNav->getPagesCounter() );

		/** define template arrays **/
		$list = array();
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];

			$list[$i]->id = $row->id;
			$list[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list[$i]->title = stripslashes($row->treename);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editgrpA&hidemainmenu=1&cid='. $row->id;
				$list[$i]->title = '<a href="'.$link.'" title="Edit Group">'.stripslashes($row->group_name).'</a>';
			}
			$list[$i]->description = stripslashes($row->group_description);
			$list[$i]->access = hwd_vs_tools::generateVideoAccess( $row->public_private );
			$list[$i]->date = $row->date;
			$list[$i]->total_members = $row->total_members;
			$list[$i]->total_videos = $row->total_videos;
			$list[$i]->published_task = $row->published ? 'unpublishg' : 'publishg';
			$list[$i]->published_img = $row->published ? 'publish_g.png' : 'publish_x.png';
			$list[$i]->featured_task = $row->featured ? 'unfeatureg' : 'featureg';
			$list[$i]->featured_img =$row->featured ? 'publish_g.png' : 'publish_x.png';
			$list[$i]->k = $k;
			$list[$i]->i = $i;
			$k = 1 - $k;
		}
		$smarty->assign( "list", $list );

		/** display template **/
		$smarty->display('admin_groups_browse.tpl');
		return;
	}
   /**
	* edit categories
	*/
	function editgroups($option, $row, $uploader_list)
	{
		global $smarty;
		$c = hwd_vs_Config::get_instance();

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="option" value="'.$option.'" />
		<input type="hidden" name="id" value="'.$row->id.'" />
		<input type="hidden" name="task" value="" />';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'group-edit-pane' );
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( "Basic", 'panel1' );
		$starttab2 = $pane->startPanel( "Videos", 'panel2' );
		$starttab3 = $pane->startPanel( "Members", 'panel3' );

		$smarty->assign( "hidden_inputs", $hidden_inputs );

		$smarty->display('admin_fe.tpl');
		return;
	}
   /**
	* show server settings
	*/
	function showserversettings($option)
	{
		global $smarty, $database;
		$s = hwd_vs_SConfig::get_instance();

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="serversettings" />
		<input type="hidden" name="hidemainmenu" value="0">';
  		if (is_writable(HWDVS_ADMIN_PATH.'/serverconfig.hwdvideoshare.php')) {
  			$config_file_status = "<span style=\"color:#458B00;\">"._HWDVIDS_INFO_CONFIGF2."</span>.";
  		} else {
  			$config_file_status = "<span style=\"color:#ff0000;\">"._HWDVIDS_INFO_CONFIGF3."</span>. (".HWDVS_ADMIN_PATH."/serverconfig.hwdvideoshare.php)";
  		}

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_SS );
  		$smarty->assign( "s" , $s );
  		$smarty->assign( "config_file_status" , $config_file_status );

		/** display template **/
		$smarty->display('admin_settings_server.tpl');
		return;
	}
   /**
	* show server settings
	*/
	function showgeneralsettings($option, &$gtree)
	{
		global $smarty, $database;
		$s = hwd_vs_SConfig::get_instance();
		$c = hwd_vs_Config::get_instance();

		require_once(HWDVS_ADMIN_PATH.'/source/settings.php');
		$temp = hwdvids_HTML_settings::showgeneralsettings($option, $gtree);
		return;
		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="generalsettings" />
		<input type="hidden" name="hidemainmenu" value="0">';
  		if (is_writable(HWDVS_ADMIN_PATH.'/config.hwdvideoshare.php')) {
  			$config_file_status = "<span style=\"color:#458B00;\">"._HWDVIDS_INFO_CONFIGF2."</span>.";
  		} else {
  			$config_file_status = "<span style=\"color:#ff0000;\">"._HWDVIDS_INFO_CONFIGF3."</span>. (".HWDVS_ADMIN_PATH."/config.hwdvideoshare.php)";
  		}
		$tabs = new hwdTabs(1);
		$startpane = $tabs->startPane( "general-settings-pane" );
		$endtab = $tabs->endTab();
		$endpane = $tabs->endPane();
		$starttab1 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_SETUP,0);
		$starttab2 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_SETTS,1);
		$starttab3 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_UPLDS,2);
		$starttab4 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_TP,3);
		$starttab5 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_SHARES,4);
		$starttab6 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_APVLS,5);
		$starttab7 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_CONVNS,6);
		$starttab8 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_NOTFY,7);
		$starttab9 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_XML,8);
		$starttab10 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_INTGTN,9);
		$starttab11 = $tabs->startTab(_ADMIN_HWDVIDS_GS_TAB_ACCESS,10);

		/** assign template variables **/
		$smarty->assign( "hidden_inputs", $hidden_inputs );
		$smarty->assign( "header_title", _HWDVIDS_SECTIONHEAD_GS );
  		$smarty->assign( "s" , $s );
  		$smarty->assign( "c" , $c );
  		$smarty->assign( "config_file_status" , $config_file_status );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endtab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );
		$smarty->assign( "starttab3", $starttab3 );
		$smarty->assign( "starttab4", $starttab4 );
		$smarty->assign( "starttab5", $starttab5 );
		$smarty->assign( "starttab6", $starttab6 );
		$smarty->assign( "starttab7", $starttab7 );
		$smarty->assign( "starttab8", $starttab8 );
		$smarty->assign( "starttab9", $starttab9 );
		$smarty->assign( "starttab10", $starttab10 );
		$smarty->assign( "starttab11", $starttab11 );

		/** display template **/
		$smarty->display('admin_settings_general.tpl');
		return;
	}
   /**
	* show converter
	*/
	function converter($option)
	{
		global $smarty;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="hidemainmenu" value="0">';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_CONVERTOR );

		/** display template **/
		$smarty->display('admin_converter.tpl');
		return;
	}
   /**
	* show converter
	*/
	function startconverter($option, $total1, $total2, $total3, $total4)
	{
		global $smarty;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="resetfconv" />
		<input type="hidden" name="hidemainmenu" value="0">';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_CONVERTOR );
		$smarty->assign( "total1" , $total1 );
		$smarty->assign( "total2" , $total2 );
		$smarty->assign( "total3" , $total3 );
		$smarty->assign( "total4" , $total4 );
		$smarty->assign( "tool1" , JHTML::_('behavior.tooltip', _HWDVIDS_TT_01B, _HWDVIDS_TT_01H) );

		/** display template **/
		$smarty->display('admin_converter_go.tpl');
		exit;
	}
   /**
	* Show waiting approvals
	*/
	function showapprovals($option, &$rows, &$pageNav)
	{
		global $database, $smarty, $limitstart, $mosConfig_offset, $Itemid, $option, $my;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="limitstart" value="'.$limitstart.'" />
		<input type="hidden" name="task" value="approve" />
		<input type="hidden" name="hidemainmenu" value="0">';
		$search = _ADMIN_HWDVIDS_RPP.'&nbsp;';
		$search.= $pageNav->getLimitBox().'&nbsp;';

		/** assign template variables **/
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_APPROVALS );
		$smarty->assign( "print_search", 1 );
		$smarty->assign( "search", $search );
		$smarty->assign( "totalvideos", count($rows) );
		$smarty->assign( "writePagesLinks", $pageNav->getPagesLinks() );
		$smarty->assign( "writePagesCounter", $pageNav->getPagesCounter() );

		/** assign template arrays **/
		$list_all = array();
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];

			$list_all[$i]->id = $row->id;
			$list_all[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list_all[$i]->title = stripslashes($row->title);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editvidsA&hidemainmenu=1&cid='. $row->id;
				$list_all[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->title).'</a>';
			}
			$list_all[$i]->length = $row->video_length;
			$list_all[$i]->rating = $row->updated_rating;
			$list_all[$i]->views = $row->number_of_views;
			$list_all[$i]->access = hwd_vs_tools::generateVideoAccess($row->public_private);
			$list_all[$i]->date = $row->date_uploaded;
			$list_all[$i]->status = hwd_vs_tools::generateVideoStatus($row->approved);
			$list_all[$i]->published_task = $row->published ? 'unpublish' : 'publish';
			$list_all[$i]->published_img = $row->published ? 'publish_g.png' : 'publish_x.png';
			$list_all[$i]->featured_task = $row->featured ? 'unfeature' : 'feature';
			$list_all[$i]->featured_img =$row->featured ? 'publish_g.png' : 'publish_x.png';
			$list_all[$i]->approve_task = 'approve';
			$list_all[$i]->approve_img = 'publish_g.png';

			$list_all[$i]->k = $k;
			$list_all[$i]->i = $i;
			$k = 1 - $k;
		}
		$smarty->assign( "list_all", $list_all );

		/** display template **/
		$smarty->display('admin_approvals.tpl');
		return;
	}
   /**
	* show flagged media
	*/
	function showflagged($option, &$rowsfv, &$rowsfg)
	{
		global $database, $mosConfig_offset, $limitstart, $smarty, $Itemid, $my;

		/** define template variables **/
		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="limitstart" value="'.$limitstart.'" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="flagged" />
		<input type="hidden" name="hidemainmenu" value="0">';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'reported-pane' );
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( "Videos", 'panel1' );
		$starttab2 = $pane->startPanel( "Groups", 'panel1' );

		/** assign template variables **/
		$smarty->assign( "hidden_inputs", $hidden_inputs );
		$smarty->assign( "header_title", _HWDVIDS_SECTIONHEAD_FLAGGED );
		$smarty->assign( "totalvideos", count($rowsfv) );
		$smarty->assign( "totalgroups", count($rowsfg) );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endtab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );

		$list_videos = array();
		$k = 0;
		for ($i=0, $n=count($rowsfv); $i < $n; $i++) {
			$row = $rowsfv[$i];
			$list_videos[$i]->id = $row->id;
			$list_videos[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list_videos[$i]->title = stripslashes($row->title);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editvidsA&hidemainmenu=1&cid='. $row->id;
				$list_videos[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->title).'</a>';
			}
			$list_videos[$i]->user = hwd_vs_tools::generateBEUserFromID($row->user_id);
			$list_videos[$i]->status = $row->status;
			$list_videos[$i]->date = $row->date;
			$list_videos[$i]->k = $k;
			$list_videos[$i]->i = $i;
			$k = 1 - $k;
		}
		$smarty->assign( "list_videos", $list_videos );

		$cbtotal = count($rowsfv)+1;
		$list_groups = array();
		$k = 0;
		for ($i=0, $n=count($rowsfg); $i < $n; $i++) {
			$row = $rowsfg[$i];
			$list_groups[$i]->id = $row->id;
			$list_groups[$i]->checked = JHTML::_('grid.checkedout', $row, $cbtotal);
			if ( $row->checked_out && ( $row->checked_out != $my->id ) ) {
				$list_groups[$i]->title = stripslashes($row->title);
			} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editgrpA&hidemainmenu=1&cid='. $row->id;
				$list_groups[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->group_name).'</a>';
			}
			$list_groups[$i]->user = hwd_vs_tools::generateBEUserFromID($row->adminid);
			$list_groups[$i]->status = $row->status;
			$list_groups[$i]->date = $row->date;
			$list_groups[$i]->k = $k;
			$list_groups[$i]->i = $cbtotal;
			$cbtotal++;
			$k = 1 - $k;
		}
		$smarty->assign( "list_groups", $list_groups );

		/** display template **/
		$smarty->display('admin_reported.tpl');
		return;
	}
   /**
	* show plugins
	*/
	function showPlugins( &$rows, &$pageNav, $option, &$lists, $searchtext ) {
		global $my, $smarty, $limitstart, $mainframe;

		$hidden_inputs = '<input type="hidden" name="option" value="'.$option.'" />
		<input type="hidden" name="task" value="plugins" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="limitstart" value="'.$limitstart.'" />
		<input type="hidden" name="hidemainmenu" value="0" />';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_PLUGIN );
		$smarty->assign( "print_search", 1 );
		$search = _ADMIN_HWDVIDS_SEARCHP.'&nbsp;';
		$search.= '<input type="text" name="search" value="'.$searchtext.'" class="text_area" onChange="document.adminForm.submit();" />&nbsp;';
		$search.= _ADMIN_HWDVIDS_RPP.'&nbsp;';
		$search.= $pageNav->getLimitBox().'&nbsp;';
		$smarty->assign( "search", $search );
		$smarty->assign( "totalplugins", count($rows) );
		$smarty->assign( "writePagesLinks", $pageNav->getPagesLinks() );
		$smarty->assign( "writePagesCounter", $pageNav->getPagesCounter() );

		$list = array();
		$k = 0;
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];

			$xmlfile = JPATH_SITE . '/hwdvideos/plugin/' .$row->type . '/'.$row->folder . '/' . $row->element .'.xml';
			$filesInstalled = file_exists($xmlfile);
			//Installedg
			$instImg 	= $filesInstalled ? 'tick.png' : 'publish_x.png';
			$instAlt 	= $row->published ? 'Installed' : 'Plugin Files missing';
			$installed  = '<img src="images/'. $instImg .'" border="0" alt="'. $instAlt .'" />';
			$plugdir = null;
			if (!$filesInstalled) { $plugdir.= "<span style=\"text-decoration:line-through\">"; }
			$plugdir.= $row->element;
			if (!$filesInstalled) { $plugdir.= "</span>"; };
			$task = $row->published ? 'unpublishPlugin' : 'publishPlugin';
			$img = $row->published ? 'publish_g.png' : 'publish_x.png';
			if ($row->type == "language") {
				$published = '<img src="'.JURI::root(true).'/administrator/components/com_hwdvideoshare/images/language.png" border="0" alt="" title="Language plugins cannot be unpublished, only uninstalled" />';
			} else {
				$published = '<a href="javascript: void(0);" onclick="return listItemTask(\'cb'. $i .'\',\''. $task .'\')" title="Publish">
			<img src="images/'. $img .'" border="0" alt="Publish" />
			</a>';
			}

			if (defined( '_HWD_VS_PLUGIN_COMPS' ) && ($row->client_id == _HWD_VS_PLUGIN_COMPS)) {
				$compatible = '<img src="'.JURI::root(true).'/administrator/images/tick.png" border="0" alt="" title="This plugin is compatible with your version of hwdVideoShare." />';
			} else {
				$compatible = '<img src="'.JURI::root(true).'/administrator/images/publish_x.png" border="0" alt="" title="This plugin is NOT compatible with your version of hwdVideoShare. Please uninstall it immediately and upgrade to the current version. Using this plugin might result in unexpected behaviour." />';
			}


			$list[$i]->id = $row->id;
			$list[$i]->checked = JHTML::_('grid.checkedout', $row, $i);
			//if ( $row->checked_out && ( $row->checked_out != $my->id ) || !$filesInstalled) {
			//	$list[$i]->title = stripslashes($row->name);
			//} else {
				$link = 'index2.php?option=com_hwdvideoshare&task=editPlugin&hidemainmenu=1&plugid='. $row->id;
				$list[$i]->title = '<a href="'.$link.'" title="Edit Category">'.stripslashes($row->name).'</a>';
			//}
			$list[$i]->installed = $installed;
			$list[$i]->published = $published;
			$list[$i]->type = $row->type;
			$list[$i]->plugdir = $plugdir;
			$list[$i]->compatible = $compatible;
			$list[$i]->k = $k;
			$list[$i]->i = $i;
			$k = 1 - $k;
		}
		$smarty->assign( "list", $list );

        $smarty->display('admin_plugins_browse.tpl');
		return;
	}

	/**
	* Writes the edit form for new and existing module
	*
	* A new record is defined when <var>$row</var> is passed with the <var>id</var>
	* property set to 0.
	* @param hwdvidsplugin $row
	* @param array of string $lists  An array of select lists
	* @param cbParamsEditor $params
	* @param string $option of component.
	*
	*/
	function editPlugin( &$row, &$lists, &$params, $options ) {
		global $smarty, $mainframe;

		$hidden_inputs = '<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="id" value="'.$row->id.'" />
		<input type="hidden" name="task" value="editPlugin" />';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_PLUGIN );

		$smarty->display('admin_fe.tpl');
		return;
	}

   /**
	*/
	function showInstallMessage( $message, $title, $url ) {
		global $smarty, $PHP_SELF;

		$hidden_inputs = '';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );

		$smarty->display('admin_fe.tpl');
		return;
	}
   /**
	* export
	*/
	function backuptables($option)
	{
		global $mosConfig_mailfrom, $smarty;
		$config = new JConfig;

		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="botJombackup" />
		<input type="hidden" name="hidemainmenu" value="0">';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_BCUP );
  		$smarty->assign( "mosConfig_mailfrom" , $config->mailfrom );

		$smarty->display('admin_export.tpl');
		return;
	}
   /**
	* export
	*/
	function importdata($option)
	{
		global $mosConfig_mailfrom, $smarty;
		$db = & JFactory::getDBO();

		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="botJombackup" />
		<input type="hidden" name="hidemainmenu" value="0">';
		jimport('joomla.html.pane');
		$pane =& JPane::getInstance('tabs');
		$startpane = $pane->startPane( 'video-pane' );
		$endtab = $pane->endPanel();
		$endpane = $pane->endPane();
		$starttab1 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_FTP, 'panel1' );
		$starttab2 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_REMOTE, 'panel2' );
		$starttab3 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_SQL, 'panel3' );
		$starttab4 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_CSV, 'panel4' );
		$starttab5 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_SEYRET, 'panel5' );
		$starttab6 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_ACHT, 'panel6' );
		$starttab7 = $pane->startPanel( _ADMIN_HWDVIDS_IMPT_TAB_PHPM, 'panel7' );
		$starttab8 = $pane->startPanel( "Scan", 'panel8' );

		/** assign template variables **/
		$smarty->assign( "hidden_inputs", $hidden_inputs );
		$smarty->assign( "header_title", _HWDVIDS_SECTIONHEAD_IMPORT );
		$smarty->assign( "startpane", $startpane );
		$smarty->assign( "endtab", $endtab );
		$smarty->assign( "endpane", $endpane );
		$smarty->assign( "starttab1", $starttab1 );
		$smarty->assign( "starttab2", $starttab2 );
		$smarty->assign( "starttab3", $starttab3 );
		$smarty->assign( "starttab4", $starttab4 );
		$smarty->assign( "starttab5", $starttab5 );
		$smarty->assign( "starttab6", $starttab6 );
		$smarty->assign( "starttab7", $starttab7 );
		$smarty->assign( "starttab8", $starttab8 );
		$smarty->assign( "newvideoid", hwd_vs_tools::generateNewVideoid() );

		if (file_exists(HWDVS_ADMIN_PATH.'/../com_seyret/')) {
			$smarty->assign( "seyretinstalled", 1 );

			//check number of seyret videos
			$db->SetQuery( 'SELECT count(*)'
							. ' FROM #__seyret_items'
						 );
			$seyretitems = $db->loadResult();
			$smarty->assign( "seyretitems", $seyretitems );

			//get seyret categories
			$db->setQuery( "SELECT `id` AS `key`, `categoryname` AS `text` FROM #__seyret_categories ORDER BY categoryname" );
			$rows_seyret = $db->loadObjectList();

			$n = count($rows_seyret);
			$rows_seyret[$n]->key = "-1";
			$rows_seyret[$n]->text = "All Categories";

			$seyretcatsel = JHTML::_('select.genericlist', $rows_seyret, 'seyretcid', 'class="inputbox" size="1"', 'key', 'text', -1);

			$smarty->assign( "seyretcatsel", $seyretcatsel );
		}
		if (file_exists(HWDVS_ADMIN_PATH.'/../com_achtube/')) {
			$smarty->assign( "achtubeinstalled", 1 );
		}

		$smarty->display('admin_import.tpl');
		return;
	}
   /**
	* system cleanup
	*/
	function maintenance($option, $permdelete_report, $total, $fixerrors_report, $recount_report, $archivelogs_report, $fixerror_cache, $recount_cache, $archive_cache)
	{
		global $smarty;

		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
				<input type="hidden" name="option" value="com_hwdvideoshare" />
				<input type="hidden" name="task" value="runmaintenance" />
				<input type="hidden" name="hidemainmenu" value="0">';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_CLUP );
		$smarty->assign( "permdelete_report" , $permdelete_report );
		$smarty->assign( "total" , $total );
		$smarty->assign( "fixerrors_report" , $fixerrors_report );
		$smarty->assign( "recount_report" , $recount_report );
		$smarty->assign( "archivelogs_report" , $archivelogs_report );
		$smarty->assign( "fixerror_cache" , $fixerror_cache );
		$smarty->assign( "recount_cache" , $recount_cache );
		$smarty->assign( "archive_cache" , $archive_cache );

		$smarty->display('admin_maintenance.tpl');
		return;
	}
   /**
	* system cleanup
	*/
	function initialise($option)
	{
		global $smarty;

		$hidden_inputs = '<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="option" value="com_hwdvideoshare" />
		<input type="hidden" name="task" value="initialise_now" />
		<input type="hidden" name="hidemainmenu" value="0">';
		$smarty->assign( "hidden_inputs" , $hidden_inputs );
		$smarty->assign( "header_title" , _HWDVIDS_SECTIONHEAD_HOME );

		$smarty->display('admin_initialise.tpl');
		return;
	}
}
?>