<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

class hwdvids_BE_settings
{
   /**
	* show server settings
	*/
	function showserversettings($option)
	{
		hwdvids_HTML::showserversettings($option);
	}
   /**
	* save server settings
	*/
	function saveserver($option, $ffmpegpath, $flvtool2path, $mencoderpath, $phppath)
	{
		global $mainframe;
		$db = & JFactory::getDBO();

		//register globals = off
		if (!empty($_POST)) {
			extract($_POST);
		}

		// update server settings db
		$HWDSS['updates'][0] = "UPDATE #__hwdvidsss SET value = '$ffmpegpath' WHERE setting = 'ffmpegpath'";
		$HWDSS['updates'][1] = "UPDATE #__hwdvidsss SET value = '$flvtool2path' WHERE setting = 'flvtool2path'";
		$HWDSS['updates'][2] = "UPDATE #__hwdvidsss SET value = '$mencoderpath' WHERE setting = 'mencoderpath'";
		$HWDSS['updates'][3] = "UPDATE #__hwdvidsss SET value = '$phppath' WHERE setting = 'phppath'";
		$HWDSS['updates'][4] = "UPDATE #__hwdvidsss SET value = '$wgetpath' WHERE setting = 'wgetpath'";
		$HWDSS['message'] = "Saving server settings to database";
		// apply
		foreach($HWDSS['updates'] as $UPDT) {
			$db->setQuery($UPDT);
			if(!$db->query()) {
				//Save failed
				print("<font color=red>".$HWDSS['message']." failed! SQL error:" . $db->stderr(true)."</font><br />");
				return;
			}
		}

		$updt_config = hwdvids_BE_settings::drawserverconfig();
		if ($updt_config) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_SETSAVED);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=serversettings' );
		} else {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_SETNOTSAVED);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=serversettings' );
		}
	}
   /**
	* show general settings
	*/
	function showgeneralsettings($option)
	{
		jimport('joomla.user.authorization');
		$acl=& JFactory::getACL();

		$gtree=array();
		$gtree[] = JHTML::_('select.option', -2 , '- ' ._HWDVIDS_SELECT_EVERYONE . ' -');
		$gtree[] = JHTML::_('select.option', -1, '- ' . _HWDVIDS_SELECT_ALLREGUSER . ' -');
		$gtree = array_merge( $gtree, $acl->get_group_children_tree( null, 'USERS', false  ) );

		require(HWDVS_ADMIN_PATH."/source/settings.php");
		hwdvids_HTML::showgeneralsettings($option, $gtree);

	}
   /**
	* Save general settings
	*/
	function savegeneral($option, $vpp, $fpfeaturedvids, $gpp, $fpfeaturedgroups, $aav, $aag, $aac, $hwdvids_language_path, $hwdvids_language_file, $hwdvids_template_path, $hwdvids_template_file, $diable_nav_videos, $diable_nav_catego, $diable_nav_groups, $diable_nav_upload, $radiusrc, $logconvert, $debugconvert, $deleteoriginal, $mailvideonotification, $mailgroupnotification, $mailnotifyaddress, $cbint, $disablelocupld, $flvplay_width, $flvplay_height, $disablecaptcha, $aa3v, $showcredit, $allowvidedit, $allowviddel, $locupldmeth, $requiredins, $maxupld, $flvplayer, $flvalign, $infoalign, $usershare1, $shareoption1, $usershare2, $shareoption2, $usershare3, $shareoption3, $usershare4, $shareoption4, $cbavatar, $avatarwidth, $gtree_core, $gtree_core_child, $gtree_upld, $gtree_upld_child, $gtree_grup, $gtree_grup_child, $thumbwidth, $reconvertflv, $abortthumbfail, $diable_nav_search, $diable_nav_user, $trunvdesc, $truncdesc, $trungdesc, $truntitle, $showrating, $showviews, $showduration, $showuplder, $autoconvert, $commssys, $gjint, $uploadcriteria, $ad1show, $ad1_ad_client, $ad1_ad_channel, $ad1_ad_type, $ad1_ad_uifeatures, $ad1_ad_format, $ad1_color_border1, $ad1_color_bg1, $ad1_color_link1, $ad1_color_text1, $ad1_color_url1, $ad1custom, $customencode, $encoder, $flvplay_autostart, $flvplay_overstretch, $flvplay_logo, $flvplay_volume, $flvplay_fg, $flvplay_bg, $fporder, $pathubr_upload, $cnvt_vbitrate, $cnvt_abitrate, $cnvt_asr, $cnvt_fsize, $usegetheaders, $ajaxratemeth, $ajaxfavmeth, $ajaxrepmeth, $ajaxa2gmeth, $cbitemid, $applywmvfix, $tpfunc, $diable_nav_user1, $diable_nav_user2, $diable_nav_user3, $diable_nav_user4, $diable_nav_user5, $showrate, $showatfb, $showrpmb, $showcoms, $showvurl, $showvebc, $showdesc, $showtags, $showscbm, $showuldr, $showa2gb, $gtree_plyr_child, $gtree_plyr) {
		global $mainframe;
		$db = & JFactory::getDBO();

		//register globals = off
		if (!empty($_POST)) {
			extract($_POST);
		}

		$ad1custom = trim( $ad1custom );
		$customencode = ereg_replace("[^A-Za-z0-9 -]", "", $customencode);
		$cnvt_vbitrate = intval($cnvt_vbitrate);
		$cnvt_abitrate = intval($cnvt_abitrate);
		$cnvt_asr = intval($cnvt_asr);
		$cnvt_fsize = ereg_replace("[^A-Za-z0-9]", "", $cnvt_fsize);
		$cbitemid = intval($cbitemid);
		$hwdvids_language = explode("|", $language);
		$hwdvids_language_file = $hwdvids_language[0];
		$hwdvids_language_path = $hwdvids_language[1];
		$hwdvids_template = explode("|", $template);
		$hwdvids_template_file = $hwdvids_template[0];
		$hwdvids_template_path = $hwdvids_template[1];
		$hwdvids_videoplayer = explode("|", $videoplayer);
		$hwdvids_videoplayer_file = $hwdvids_videoplayer[0];
		$hwdvids_videoplayer_path = $hwdvids_videoplayer[1];

		$accesslevel_main = @implode(",", $accesslevel_main);
		$accesslevel_upld = @implode(",", $accesslevel_upld);
		$accesslevel_plyr = @implode(",", $accesslevel_plyr);
		$accesslevel_grps = @implode(",", $accesslevel_grps);

		// update server settings db
		$HWDGS['updates'][0] = "UPDATE #__hwdvidsgs SET value = '$vpp' WHERE setting = 'vpp'";
		$HWDGS['updates'][1] = "UPDATE #__hwdvidsgs SET value = '$fpfeaturedvids' WHERE setting = 'fpfeaturedvids'";
		$HWDGS['updates'][2] = "UPDATE #__hwdvidsgs SET value = '$gpp' WHERE setting = 'gpp'";
		$HWDGS['updates'][3] = "UPDATE #__hwdvidsgs SET value = '$fpfeaturedgroups' WHERE setting = 'fpfeaturedgroups'";
		$HWDGS['updates'][4] = "UPDATE #__hwdvidsgs SET value = '$aav' WHERE setting = 'aav'";
		$HWDGS['updates'][5] = "UPDATE #__hwdvidsgs SET value = '$aag' WHERE setting = 'aag'";
		$HWDGS['updates'][6] = "UPDATE #__hwdvidsgs SET value = '$aac' WHERE setting = 'aac'";
		$HWDGS['updates'][7] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_language_path' WHERE setting = 'hwdvids_language_path'";
		$HWDGS['updates'][8] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_language_file' WHERE setting = 'hwdvids_language_file'";
		$HWDGS['updates'][9] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_template_path' WHERE setting = 'hwdvids_template_path'";
		$HWDGS['updates'][10] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_template_file' WHERE setting = 'hwdvids_template_file'";
		$HWDGS['updates'][11] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_videos' WHERE setting = 'diable_nav_videos'";
		$HWDGS['updates'][12] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_catego' WHERE setting = 'diable_nav_catego'";
		$HWDGS['updates'][13] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_groups' WHERE setting = 'diable_nav_groups'";
		$HWDGS['updates'][14] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_upload' WHERE setting = 'diable_nav_upload'";
		$HWDGS['updates'][15] = "UPDATE #__hwdvidsgs SET value = '$radiusrc' WHERE setting = 'radiusrc'";
		$HWDGS['updates'][16] = "UPDATE #__hwdvidsgs SET value = '$logconvert' WHERE setting = 'logconvert'";
		$HWDGS['updates'][17] = "UPDATE #__hwdvidsgs SET value = '$debugconvert' WHERE setting = 'debugconvert'";
		$HWDGS['updates'][18] = "UPDATE #__hwdvidsgs SET value = '$deleteoriginal' WHERE setting = 'deleteoriginal'";
		$HWDGS['updates'][19] = "UPDATE #__hwdvidsgs SET value = '$mailvideonotification' WHERE setting = 'mailvideonotification'";
		$HWDGS['updates'][20] = "UPDATE #__hwdvidsgs SET value = '$mailgroupnotification' WHERE setting = 'mailgroupnotification'";
		$HWDGS['updates'][21] = "UPDATE #__hwdvidsgs SET value = '$mailnotifyaddress' WHERE setting = 'mailnotifyaddress'";
		$HWDGS['updates'][23] = "UPDATE #__hwdvidsgs SET value = '$cbint' WHERE setting = 'cbint'";
		$HWDGS['updates'][24] = "UPDATE #__hwdvidsgs SET value = '$disablelocupld' WHERE setting = 'disablelocupld'";
		$HWDGS['updates'][25] = "UPDATE #__hwdvidsgs SET value = '$flvplay_width' WHERE setting = 'flvplay_width'";
		$HWDGS['updates'][26] = "UPDATE #__hwdvidsgs SET value = '$flvplay_height' WHERE setting = 'flvplay_height'";
		$HWDGS['updates'][27] = "UPDATE #__hwdvidsgs SET value = '$disablecaptcha' WHERE setting = 'disablecaptcha'";
		$HWDGS['updates'][28] = "UPDATE #__hwdvidsgs SET value = '$aa3v' WHERE setting = 'aa3v'";
		$HWDGS['updates'][29] = "UPDATE #__hwdvidsgs SET value = '$showcredit' WHERE setting = 'showcredit'";
		$HWDGS['updates'][30] = "UPDATE #__hwdvidsgs SET value = '$allowvidedit' WHERE setting = 'allowvidedit'";
		$HWDGS['updates'][31] = "UPDATE #__hwdvidsgs SET value = '$allowviddel' WHERE setting = 'allowviddel'";
		$HWDGS['updates'][32] = "UPDATE #__hwdvidsgs SET value = '$locupldmeth' WHERE setting = 'locupldmeth'";
		$HWDGS['updates'][33] = "UPDATE #__hwdvidsgs SET value = '$requiredins' WHERE setting = 'requiredins'";
		$HWDGS['updates'][34] = "UPDATE #__hwdvidsgs SET value = '$ft_mpg' WHERE setting = 'ft_mpg'";
		$HWDGS['updates'][35] = "UPDATE #__hwdvidsgs SET value = '$ft_mpeg' WHERE setting = 'ft_mpeg'";
		$HWDGS['updates'][36] = "UPDATE #__hwdvidsgs SET value = '$ft_avi' WHERE setting = 'ft_avi'";
		$HWDGS['updates'][37] = "UPDATE #__hwdvidsgs SET value = '$ft_divx' WHERE setting = 'ft_divx'";
		$HWDGS['updates'][38] = "UPDATE #__hwdvidsgs SET value = '$ft_mp4' WHERE setting = 'ft_mp4'";
		$HWDGS['updates'][39] = "UPDATE #__hwdvidsgs SET value = '$ft_flv' WHERE setting = 'ft_flv'";
		$HWDGS['updates'][40] = "UPDATE #__hwdvidsgs SET value = '$ft_wmv' WHERE setting = 'ft_wmv'";
		$HWDGS['updates'][41] = "UPDATE #__hwdvidsgs SET value = '$ft_rm' WHERE setting = 'ft_rm'";
		$HWDGS['updates'][42] = "UPDATE #__hwdvidsgs SET value = '$ft_mov' WHERE setting = 'ft_mov'";
		$HWDGS['updates'][43] = "UPDATE #__hwdvidsgs SET value = '$ft_moov' WHERE setting = 'ft_moov'";
		$HWDGS['updates'][44] = "UPDATE #__hwdvidsgs SET value = '$ft_asf' WHERE setting = 'ft_asf'";
		$HWDGS['updates'][45] = "UPDATE #__hwdvidsgs SET value = '$ft_swf' WHERE setting = 'ft_swf'";
		$HWDGS['updates'][46] = "UPDATE #__hwdvidsgs SET value = '$ft_vob' WHERE setting = 'ft_vob'";
		$HWDGS['updates'][47] = "UPDATE #__hwdvidsgs SET value = '$maxupld' WHERE setting = 'maxupld'";
		$HWDGS['updates'][48] = "UPDATE #__hwdvidsgs SET value = '$flvplayer' WHERE setting = 'flvplayer'";
		$HWDGS['updates'][49] = "UPDATE #__hwdvidsgs SET value = '$flvalign' WHERE setting = 'flvalign'";
		$HWDGS['updates'][50] = "UPDATE #__hwdvidsgs SET value = '$infoalign' WHERE setting = 'infoalign'";
		$HWDGS['updates'][51] = "UPDATE #__hwdvidsgs SET value = '$usershare1' WHERE setting = 'usershare1'";
		$HWDGS['updates'][52] = "UPDATE #__hwdvidsgs SET value = '$shareoption1' WHERE setting = 'shareoption1'";
		$HWDGS['updates'][53] = "UPDATE #__hwdvidsgs SET value = '$usershare2' WHERE setting = 'usershare2'";
		$HWDGS['updates'][54] = "UPDATE #__hwdvidsgs SET value = '$shareoption2' WHERE setting = 'shareoption2'";
		$HWDGS['updates'][55] = "UPDATE #__hwdvidsgs SET value = '$usershare3' WHERE setting = 'usershare3'";
		$HWDGS['updates'][56] = "UPDATE #__hwdvidsgs SET value = '$shareoption3' WHERE setting = 'shareoption3'";		$HWDGS['updates'][57] = "UPDATE #__hwdvidsgs SET value = '$usershare4' WHERE setting = 'usershare4'";
		$HWDGS['updates'][58] = "UPDATE #__hwdvidsgs SET value = '$shareoption4' WHERE setting = 'shareoption4'";
		$HWDGS['updates'][59] = "UPDATE #__hwdvidsgs SET value = '$cbavatar' WHERE setting = 'cbavatar'";
		$HWDGS['updates'][60] = "UPDATE #__hwdvidsgs SET value = '$avatarwidth' WHERE setting = 'avatarwidth'";
		$HWDGS['updates'][61] = "UPDATE #__hwdvidsgs SET value = '$gtree_core' WHERE setting = 'gtree_core'";
		$HWDGS['updates'][62] = "UPDATE #__hwdvidsgs SET value = '$gtree_core_child' WHERE setting = 'gtree_core_child'";
		$HWDGS['updates'][63] = "UPDATE #__hwdvidsgs SET value = '$gtree_upld' WHERE setting = 'gtree_upld'";
		$HWDGS['updates'][64] = "UPDATE #__hwdvidsgs SET value = '$gtree_upld_child' WHERE setting = 'gtree_upld_child'";
		$HWDGS['updates'][65] = "UPDATE #__hwdvidsgs SET value = '$gtree_grup' WHERE setting = 'gtree_grup'";
		$HWDGS['updates'][66] = "UPDATE #__hwdvidsgs SET value = '$gtree_grup_child' WHERE setting = 'gtree_grup_child'";
		$HWDGS['updates'][67] = "UPDATE #__hwdvidsgs SET value = '$thumbwidth' WHERE setting = 'thumbwidth'";
		$HWDGS['updates'][68] = "UPDATE #__hwdvidsgs SET value = '$reconvertflv' WHERE setting = 'reconvertflv'";
		$HWDGS['updates'][69] = "UPDATE #__hwdvidsgs SET value = '$abortthumbfail' WHERE setting = 'abortthumbfail'";
		$HWDGS['updates'][70] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_search' WHERE setting = 'diable_nav_search'";
		$HWDGS['updates'][71] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user' WHERE setting = 'diable_nav_user'";
		$HWDGS['updates'][72] = "UPDATE #__hwdvidsgs SET value = '$trunvdesc' WHERE setting = 'trunvdesc'";
		$HWDGS['updates'][73] = "UPDATE #__hwdvidsgs SET value = '$truncdesc' WHERE setting = 'truncdesc'";
		$HWDGS['updates'][74] = "UPDATE #__hwdvidsgs SET value = '$trungdesc' WHERE setting = 'trungdesc'";
		$HWDGS['updates'][75] = "UPDATE #__hwdvidsgs SET value = '$truntitle' WHERE setting = 'truntitle'";
		$HWDGS['updates'][76] = "UPDATE #__hwdvidsgs SET value = '$sb_digg' WHERE setting = 'sb_digg'";
		$HWDGS['updates'][77] = "UPDATE #__hwdvidsgs SET value = '$sb_reddit' WHERE setting = 'sb_reddit'";
		$HWDGS['updates'][78] = "UPDATE #__hwdvidsgs SET value = '$sb_delicious' WHERE setting = 'sb_delicious'";
		$HWDGS['updates'][79] = "UPDATE #__hwdvidsgs SET value = '$sb_google' WHERE setting = 'sb_google'";
		$HWDGS['updates'][80] = "UPDATE #__hwdvidsgs SET value = '$sb_live' WHERE setting = 'sb_live'";
		$HWDGS['updates'][81] = "UPDATE #__hwdvidsgs SET value = '$sb_facebook' WHERE setting = 'sb_facebook'";
		$HWDGS['updates'][82] = "UPDATE #__hwdvidsgs SET value = '$sb_slashdot' WHERE setting = 'sb_slashdot'";
		$HWDGS['updates'][83] = "UPDATE #__hwdvidsgs SET value = '$sb_netscape' WHERE setting = 'sb_netscape'";
		$HWDGS['updates'][84] = "UPDATE #__hwdvidsgs SET value = '$sb_technorati' WHERE setting = 'sb_technorati'";
		$HWDGS['updates'][85] = "UPDATE #__hwdvidsgs SET value = '$sb_stumbleupon' WHERE setting = 'sb_stumbleupon'";
		$HWDGS['updates'][86] = "UPDATE #__hwdvidsgs SET value = '$sb_spurl' WHERE setting = 'sb_spurl'";
		$HWDGS['updates'][87] = "UPDATE #__hwdvidsgs SET value = '$sb_wists' WHERE setting = 'sb_wists'";
		$HWDGS['updates'][88] = "UPDATE #__hwdvidsgs SET value = '$sb_simpy' WHERE setting = 'sb_simpy'";
		$HWDGS['updates'][89] = "UPDATE #__hwdvidsgs SET value = '$sb_newsvine' WHERE setting = 'sb_newsvine'";
		$HWDGS['updates'][90] = "UPDATE #__hwdvidsgs SET value = '$sb_blinklist' WHERE setting = 'sb_blinklist'";
		$HWDGS['updates'][91] = "UPDATE #__hwdvidsgs SET value = '$sb_furl' WHERE setting = 'sb_furl'";
		$HWDGS['updates'][92] = "UPDATE #__hwdvidsgs SET value = '$sb_fark' WHERE setting = 'sb_fark'";
		$HWDGS['updates'][93] = "UPDATE #__hwdvidsgs SET value = '$sb_blogmarks' WHERE setting = 'sb_blogmarks'";
		$HWDGS['updates'][94] = "UPDATE #__hwdvidsgs SET value = '$sb_yahoo' WHERE setting = 'sb_yahoo'";
		$HWDGS['updates'][95] = "UPDATE #__hwdvidsgs SET value = '$sb_smarking' WHERE setting = 'sb_smarking'";
		$HWDGS['updates'][96] = "UPDATE #__hwdvidsgs SET value = '$sb_netvouz' WHERE setting = 'sb_netvouz'";
		$HWDGS['updates'][97] = "UPDATE #__hwdvidsgs SET value = '$sb_shadows' WHERE setting = 'sb_shadows'";
		$HWDGS['updates'][98] = "UPDATE #__hwdvidsgs SET value = '$sb_rawsugar' WHERE setting = 'sb_rawsugar'";
		$HWDGS['updates'][99] = "UPDATE #__hwdvidsgs SET value = '$sb_magnolia' WHERE setting = 'sb_magnolia'";
		$HWDGS['updates'][100] = "UPDATE #__hwdvidsgs SET value = '$sb_plugim' WHERE setting = 'sb_plugim'";
		$HWDGS['updates'][101] = "UPDATE #__hwdvidsgs SET value = '$sb_squidoo' WHERE setting = 'sb_squidoo'";
		$HWDGS['updates'][102] = "UPDATE #__hwdvidsgs SET value = '$sb_blogmemes' WHERE setting = 'sb_blogmemes'";
		$HWDGS['updates'][103] = "UPDATE #__hwdvidsgs SET value = '$sb_feedmelinks' WHERE setting = 'sb_feedmelinks'";
		$HWDGS['updates'][104] = "UPDATE #__hwdvidsgs SET value = '$sb_blinkbits' WHERE setting = 'sb_blinkbits'";
		$HWDGS['updates'][105] = "UPDATE #__hwdvidsgs SET value = '$sb_tailrank' WHERE setting = 'sb_tailrank'";
		$HWDGS['updates'][106] = "UPDATE #__hwdvidsgs SET value = '$sb_linkagogo' WHERE setting = 'sb_linkagogo'";
		$HWDGS['updates'][107] = "UPDATE #__hwdvidsgs SET value = '$showrating' WHERE setting = 'showrating'";
		$HWDGS['updates'][108] = "UPDATE #__hwdvidsgs SET value = '$showviews' WHERE setting = 'showviews'";
		$HWDGS['updates'][109] = "UPDATE #__hwdvidsgs SET value = '$showduration' WHERE setting = 'showduration'";
		$HWDGS['updates'][110] = "UPDATE #__hwdvidsgs SET value = '$showuplder' WHERE setting = 'showuplder'";
		$HWDGS['updates'][111] = "UPDATE #__hwdvidsgs SET value = '$autoconvert' WHERE setting = 'autoconvert'";
		$HWDGS['updates'][112] = "UPDATE #__hwdvidsgs SET value = '$commssys' WHERE setting = 'commssys'";
		$HWDGS['updates'][113] = "UPDATE #__hwdvidsgs SET value = '$gjint' WHERE setting = 'gjint'";
		$HWDGS['updates'][114] = "UPDATE #__hwdvidsgs SET value = '$uploadcriteria' WHERE setting = 'uploadcriteria'";
		$HWDGS['updates'][115] = "UPDATE #__hwdvidsgs SET value = '$ad1show' WHERE setting = 'ad1show'";
		$HWDGS['updates'][116] = "UPDATE #__hwdvidsgs SET value = '$ad1_ad_client' WHERE setting = 'ad1_ad_client'";
		$HWDGS['updates'][117] = "UPDATE #__hwdvidsgs SET value = '$ad1_ad_channel' WHERE setting = 'ad1_ad_channel'";
		$HWDGS['updates'][118] = "UPDATE #__hwdvidsgs SET value = '$ad1_ad_type' WHERE setting = 'ad1_ad_type'";
		$HWDGS['updates'][119] = "UPDATE #__hwdvidsgs SET value = '$ad1_ad_uifeatures' WHERE setting = 'ad1_ad_uifeatures'";
		$HWDGS['updates'][120] = "UPDATE #__hwdvidsgs SET value = '$ad1_ad_format' WHERE setting = 'ad1_ad_format'";
		$HWDGS['updates'][121] = "UPDATE #__hwdvidsgs SET value = '$ad1_color_border1' WHERE setting = 'ad1_color_border1'";
		$HWDGS['updates'][122] = "UPDATE #__hwdvidsgs SET value = '$ad1_color_bg1' WHERE setting = 'ad1_color_bg1'";
		$HWDGS['updates'][123] = "UPDATE #__hwdvidsgs SET value = '$ad1_color_link1' WHERE setting = 'ad1_color_link1'";
		$HWDGS['updates'][124] = "UPDATE #__hwdvidsgs SET value = '$ad1_color_text1' WHERE setting = 'ad1_color_text1'";
		$HWDGS['updates'][125] = "UPDATE #__hwdvidsgs SET value = '$ad1_color_url1' WHERE setting = 'ad1_color_url1'";
		$HWDGS['updates'][126] = "UPDATE #__hwdvidsgs SET value = '$ad1custom' WHERE setting = 'ad1custom'";
		$HWDGS['updates'][127] = "UPDATE #__hwdvidsgs SET value = '$customencode' WHERE setting = 'customencode'";
		$HWDGS['updates'][128] = "UPDATE #__hwdvidsgs SET value = '$encoder' WHERE setting = 'encoder'";
		$HWDGS['updates'][129] = "UPDATE #__hwdvidsgs SET value = '$flvplay_autostart' WHERE setting = 'flvplay_autostart'";
		$HWDGS['updates'][130] = "UPDATE #__hwdvidsgs SET value = '$flvplay_overstretch' WHERE setting = 'flvplay_overstretch'";
		$HWDGS['updates'][131] = "UPDATE #__hwdvidsgs SET value = '$flvplay_logo' WHERE setting = 'flvplay_logo'";
		$HWDGS['updates'][132] = "UPDATE #__hwdvidsgs SET value = '$flvplay_volume' WHERE setting = 'flvplay_volume'";
		$HWDGS['updates'][133] = "UPDATE #__hwdvidsgs SET value = '$flvplay_fg' WHERE setting = 'flvplay_fg'";
		$HWDGS['updates'][134] = "UPDATE #__hwdvidsgs SET value = '$flvplay_bg' WHERE setting = 'flvplay_bg'";
		$HWDGS['updates'][135] = "UPDATE #__hwdvidsgs SET value = '$fporder' WHERE setting = 'fporder'";
		$HWDGS['updates'][136] = "UPDATE #__hwdvidsgs SET value = '$pathubr_upload' WHERE setting = 'pathubr_upload'";
		$HWDGS['updates'][137] = "UPDATE #__hwdvidsgs SET value = '$cnvt_vbitrate' WHERE setting = 'cnvt_vbitrate'";
		$HWDGS['updates'][138] = "UPDATE #__hwdvidsgs SET value = '$cnvt_abitrate' WHERE setting = 'cnvt_abitrate'";
		$HWDGS['updates'][139] = "UPDATE #__hwdvidsgs SET value = '$cnvt_asr' WHERE setting = 'cnvt_asr'";
		$HWDGS['updates'][140] = "UPDATE #__hwdvidsgs SET value = '$cnvt_fsize' WHERE setting = 'cnvt_fsize'";
		$HWDGS['updates'][141] = "UPDATE #__hwdvidsgs SET value = '$usegetheaders' WHERE setting = 'usegetheaders'";
		$HWDGS['updates'][142] = "UPDATE #__hwdvidsgs SET value = '$ajaxratemeth' WHERE setting = 'ajaxratemeth'";
		$HWDGS['updates'][143] = "UPDATE #__hwdvidsgs SET value = '$ajaxfavmeth' WHERE setting = 'ajaxfavmeth'";
		$HWDGS['updates'][144] = "UPDATE #__hwdvidsgs SET value = '$ajaxrepmeth' WHERE setting = 'ajaxrepmeth'";
		$HWDGS['updates'][145] = "UPDATE #__hwdvidsgs SET value = '$ajaxa2gmeth' WHERE setting = 'ajaxa2gmeth'";
		$HWDGS['updates'][146] = "UPDATE #__hwdvidsgs SET value = '$cbitemid' WHERE setting = 'cbitemid'";
		$HWDGS['updates'][147] = "UPDATE #__hwdvidsgs SET value = '$applywmvfix' WHERE setting = 'applywmvfix'";
		$HWDGS['updates'][148] = "UPDATE #__hwdvidsgs SET value = '$tpfunc' WHERE setting = 'tpfunc'";
		$HWDGS['updates'][149] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user1' WHERE setting = 'diable_nav_user1'";
		$HWDGS['updates'][150] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user2' WHERE setting = 'diable_nav_user2'";
		$HWDGS['updates'][151] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user3' WHERE setting = 'diable_nav_user3'";
		$HWDGS['updates'][152] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user4' WHERE setting = 'diable_nav_user4'";
		$HWDGS['updates'][153] = "UPDATE #__hwdvidsgs SET value = '$diable_nav_user5' WHERE setting = 'diable_nav_user5'";
		$HWDGS['updates'][154] = "UPDATE #__hwdvidsgs SET value = '$showrate' WHERE setting = 'showrate'";
		$HWDGS['updates'][155] = "UPDATE #__hwdvidsgs SET value = '$showatfb' WHERE setting = 'showatfb'";
		$HWDGS['updates'][156] = "UPDATE #__hwdvidsgs SET value = '$showrpmb' WHERE setting = 'showrpmb'";
		$HWDGS['updates'][157] = "UPDATE #__hwdvidsgs SET value = '$showcoms' WHERE setting = 'showcoms'";
		$HWDGS['updates'][158] = "UPDATE #__hwdvidsgs SET value = '$showvurl' WHERE setting = 'showvurl'";
		$HWDGS['updates'][159] = "UPDATE #__hwdvidsgs SET value = '$showvebc' WHERE setting = 'showvebc'";
		$HWDGS['updates'][160] = "UPDATE #__hwdvidsgs SET value = '$showdesc' WHERE setting = 'showdesc'";
		$HWDGS['updates'][161] = "UPDATE #__hwdvidsgs SET value = '$showtags' WHERE setting = 'showtags'";
		$HWDGS['updates'][162] = "UPDATE #__hwdvidsgs SET value = '$showscbm' WHERE setting = 'showscbm'";
		$HWDGS['updates'][163] = "UPDATE #__hwdvidsgs SET value = '$showuldr' WHERE setting = 'showuldr'";
		$HWDGS['updates'][164] = "UPDATE #__hwdvidsgs SET value = '$showa2gb' WHERE setting = 'showa2gb'";
		$HWDGS['updates'][165] = "UPDATE #__hwdvidsgs SET value = '$gtree_plyr_child' WHERE setting = 'gtree_plyr_child'";
		$HWDGS['updates'][166] = "UPDATE #__hwdvidsgs SET value = '$gtree_plyr' WHERE setting = 'gtree_plyr'";
		$HWDGS['updates'][167] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_videoplayer_file' WHERE setting = 'hwdvids_videoplayer_file'";
		$HWDGS['updates'][168] = "UPDATE #__hwdvidsgs SET value = '$hwdvids_videoplayer_path' WHERE setting = 'hwdvids_videoplayer_path'";
		$HWDGS['updates'][169] = "UPDATE #__hwdvidsgs SET value = '$accesslevel_main' WHERE setting = 'accesslevel_main'";
		$HWDGS['updates'][170] = "UPDATE #__hwdvidsgs SET value = '$accesslevel_upld' WHERE setting = 'accesslevel_upld'";
		$HWDGS['updates'][171] = "UPDATE #__hwdvidsgs SET value = '$accesslevel_plyr' WHERE setting = 'accesslevel_plyr'";
		$HWDGS['updates'][172] = "UPDATE #__hwdvidsgs SET value = '$accesslevel_grps' WHERE setting = 'accesslevel_grps'";
		$HWDGS['updates'][173] = "UPDATE #__hwdvidsgs SET value = '$access_method' WHERE setting = 'access_method'";
		$HWDGS['updates'][174] = "UPDATE #__hwdvidsgs SET value = '$xmlcache_today' WHERE setting = 'xmlcache_today'";
		$HWDGS['updates'][175] = "UPDATE #__hwdvidsgs SET value = '$xmlcache_thisweek' WHERE setting = 'xmlcache_thisweek'";
		$HWDGS['updates'][176] = "UPDATE #__hwdvidsgs SET value = '$xmlcache_thismonth' WHERE setting = 'xmlcache_thismonth'";
		$HWDGS['updates'][177] = "UPDATE #__hwdvidsgs SET value = '$xmlcache_alltime' WHERE setting = 'xmlcache_alltime'";
		$HWDGS['updates'][178] = "UPDATE #__hwdvidsgs SET value = '$xmlcustom01' WHERE setting = 'xmlcustom01'";
		$HWDGS['updates'][179] = "UPDATE #__hwdvidsgs SET value = '$xmlcustom02' WHERE setting = 'xmlcustom02'";
		$HWDGS['updates'][180] = "UPDATE #__hwdvidsgs SET value = '$xmlcustom03' WHERE setting = 'xmlcustom03'";
		$HWDGS['updates'][181] = "UPDATE #__hwdvidsgs SET value = '$xmlcustom04' WHERE setting = 'xmlcustom04'";
		$HWDGS['updates'][182] = "UPDATE #__hwdvidsgs SET value = '$xmlcustom05' WHERE setting = 'xmlcustom05'";
		$HWDGS['updates'][183] = "UPDATE #__hwdvidsgs SET value = '$mailreportnotification' WHERE setting = 'mailreportnotification'";
		$HWDGS['updates'][184] = "UPDATE #__hwdvidsgs SET value = '$sharedlibrarypath' WHERE setting = 'sharedlibrarypath'";
		$HWDGS['updates'][185] = "UPDATE #__hwdvidsgs SET value = '$standaloneswf' WHERE setting = 'standaloneswf'";
		$HWDGS['updates'][186] = "UPDATE #__hwdvidsgs SET value = '$playlocal' WHERE setting = 'playlocal'";
		$HWDGS['updates'][187] = "UPDATE #__hwdvidsgs SET value = '$frontpage_watched' WHERE setting = 'frontpage_watched'";
		$HWDGS['updates'][188] = "UPDATE #__hwdvidsgs SET value = '$frontpage_viewed' WHERE setting = 'frontpage_viewed'";
		$HWDGS['updates'][189] = "UPDATE #__hwdvidsgs SET value = '$frontpage_favoured' WHERE setting = 'frontpage_favoured'";
		$HWDGS['updates'][190] = "UPDATE #__hwdvidsgs SET value = '$frontpage_popular' WHERE setting = 'frontpage_popular'";
		$HWDGS['updates'][191] = "UPDATE #__hwdvidsgs SET value = '$jaclint' WHERE setting = 'jaclint'";
		$HWDGS['updates'][192] = "UPDATE #__hwdvidsgs SET value = '$loadmootools' WHERE setting = 'loadmootools'";
		$HWDGS['updates'][193] = "UPDATE #__hwdvidsgs SET value = '$loadprototype' WHERE setting = 'loadprototype'";
		$HWDGS['updates'][194] = "UPDATE #__hwdvidsgs SET value = '$loadscriptaculous' WHERE setting = 'loadscriptaculous'";
		$HWDGS['updates'][195] = "UPDATE #__hwdvidsgs SET value = '$loadswfobject' WHERE setting = 'loadswfobject'";
		$HWDGS['updates'][196] = "UPDATE #__hwdvidsgs SET value = '$embedreturnlink' WHERE setting = 'embedreturnlink'";
		$HWDGS['updates'][197] = "UPDATE #__hwdvidsgs SET value = '$tpwidth' WHERE setting = 'tpwidth'";
		$HWDGS['updates'][198] = "UPDATE #__hwdvidsgs SET value = '$nicepriority' WHERE setting = 'nicepriority'";
		$HWDGS['updates'][199] = "UPDATE #__hwdvidsgs SET value = '$showdlor' WHERE setting = 'showdlor'";
		$HWDGS['updates'][200] = "UPDATE #__hwdvidsgs SET value = '$showvuor' WHERE setting = 'showvuor'";
		$HWDGS['updates'][201] = "UPDATE #__hwdvidsgs SET value = '$mbtu_no' WHERE setting = 'mbtu_no'";
		$HWDGS['updates'][202] = "UPDATE #__hwdvidsgs SET value = '$showprnx' WHERE setting = 'showprnx'";
		$HWDGS['updates'][203] = "UPDATE #__hwdvidsgs SET value = '$showdlfl' WHERE setting = 'showdlfl'";
		$HWDGS['updates'][204] = "UPDATE #__hwdvidsgs SET value = '$maintenance_bkgd' WHERE setting = 'maintenance_bkgd'";
		$HWDGS['updates'][205] = "UPDATE #__hwdvidsgs SET value = '$playlist_bkgd' WHERE setting = 'playlist_bkgd'";
		$HWDGS['updates'][206] = "UPDATE #__hwdvidsgs SET value = '$showrevi' WHERE setting = 'showrevi'";
		$HWDGS['updates'][207] = "UPDATE #__hwdvidsgs SET value = '$revi_no' WHERE setting = 'revi_no'";
		$HWDGS['updates'][208] = "UPDATE #__hwdvidsgs SET value = '$fvid_w' WHERE setting = 'fvid_w'";
		$HWDGS['updates'][209] = "UPDATE #__hwdvidsgs SET value = '$fvid_h' WHERE setting = 'fvid_h'";
		$HWDGS['updates'][210] = "UPDATE #__hwdvidsgs SET value = '$var_c' WHERE setting = 'var_c'";
		$HWDGS['updates'][211] = "UPDATE #__hwdvidsgs SET value = '$var_fb' WHERE setting = 'var_fb'";
		$HWDGS['updates'][212] = "UPDATE #__hwdvidsgs SET value = '$tar_fb' WHERE setting = 'tar_fb'";
		$HWDGS['updates'][213] = "UPDATE #__hwdvidsgs SET value = '$udt' WHERE setting = 'udt'";
		$HWDGS['updates'][214] = "UPDATE #__hwdvidsgs SET value = '$oformats' WHERE setting = 'oformats'";
		$HWDGS['updates'][215] = "UPDATE #__hwdvidsgs SET value = '$bwn_no' WHERE setting = 'bwn_no'";

		$HWDGS['message'] = "Saving general settings to database";
		// apply
		foreach($HWDGS['updates'] as $UPDT) {
			$db->setQuery($UPDT);
			if(!$db->query()) {
				//Save failed
				print("<font color=red>".$HWDGS['message']." failed! SQL error:" . $db->stderr(true)."</font><br />");
				return;
			}
		}

		$updt_config = hwdvids_BE_settings::drawconfig();
		if ($updt_config) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_SETSAVED);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=generalsettings' );
		} else {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_SETNOTSAVED);
			$mainframe->redirect( JURI::root( true ) . '/administrator/index2.php?option='.$option.'&task=generalsettings' );
		}
	}
   /**
	* draw singleton pattern config file
	*/
	function drawconfig()
	{
		global $mainframe;
		$db = & JFactory::getDBO();

		$configfile = "components/com_hwdvideoshare/config.hwdvideoshare.php";
		@chmod ($configfile, 0777);
		$permission = is_writable($configfile);
		if (!$permission) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_CONFUNWRT);
			$mainframe->redirect( JURI::root( true ) . 'index2.php?option='.$option.'&task=generalsettings' );
		}

		$config = "<?php\n";
		$config .= "class hwd_vs_Config{ \n\n";
		$config .= "  // Stores the only allowable instance of this class.\n";
		$config .= "  var \$instanceConfig = null;\n\n";
		$config .= "  // Member variables\n";
		// print out config
		$query  = 'SELECT *'
				. ' FROM #__hwdvidsgs'
				;
				$db->SetQuery($query);
		$rows = $db->loadObjectList();
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];
			$config .= "  var \$".$row->setting." = '".$row->value."';\n";
		}
		$config .= "\n/**\n";
		$config .= "  * get_instance\n";
		$config .= "  *	Description:\n";
		$config .= "  *		This function is used to instantiate the object\n";
		$config .= "  * 		and ensure only one of this type exists at any\n";
		$config .= "  *		time. It returns a reference to the only Config\n";
		$config .= "  *		instance.\n";
		$config .= "  *	Parameters:\n";
		$config .= "  *		none\n";
		$config .= "  *	Returns:\n";
		$config .= "  *		Config\n";
		$config .= "  **/\n\n";
		$config .= "  function get_instance(){\n";
		$config .= "    \$instanceConfig = new hwd_vs_Config;\n";
		$config .= "    return \$instanceConfig;\n";
		$config .= "  }\n\n";
		$config .= "}\n";
		$config .= "?>";

		if ($fp = fopen("$configfile", "w")) {
			fputs($fp, $config, strlen($config));
			fclose ($fp);
		}

		return true;
	}
   /**
	* draw singleton pattern config file
	*/
	function drawserverconfig()
	{
		global $mainframe;
		$db = & JFactory::getDBO();

		$configfile = "components/com_hwdvideoshare/serverconfig.hwdvideoshare.php";
		@chmod ($configfile, 0777);
		$permission = is_writable($configfile);
		if (!$permission) {
			$mainframe->enqueueMessage(_HWDVIDS_ALERT_ADMIN_CONFUNWRT);
			$mainframe->redirect( JURI::root( true ) . 'index2.php?option='.$option.'&task=serversettings' );
		}

		$config = "<?php\n";
		$config .= "class hwd_vs_SConfig{ \n\n";
		$config .= "  // Stores the only allowable instance of this class.\n";
		$config .= "  var \$instanceConfig = null;\n\n";
		$config .= "  // Member variables\n";
		// print out config
		$query  = 'SELECT *'
				. ' FROM #__hwdvidsss'
				;
				$db->SetQuery($query);
		$rows = $db->loadObjectList();
		for ($i=0, $n=count($rows); $i < $n; $i++) {
			$row = $rows[$i];
			$config .= "  var \$".$row->setting." = '".$row->value."';\n";
		}
		$config .= "\n/**\n";
		$config .= "  * get_instance\n";
		$config .= "  *	Description:\n";
		$config .= "  *		This function is used to instantiate the object\n";
		$config .= "  * 		and ensure only one of this type exists at any\n";
		$config .= "  *		time. It returns a reference to the only Config\n";
		$config .= "  *		instance.\n";
		$config .= "  *	Parameters:\n";
		$config .= "  *		none\n";
		$config .= "  *	Returns:\n";
		$config .= "  *		Config\n";
		$config .= "  **/\n\n";
		$config .= "  function get_instance(){\n";
		$config .= "    \$instanceConfig = new hwd_vs_SConfig;\n";
		$config .= "    return \$instanceConfig;\n";
		$config .= "  }\n\n";
		$config .= "}\n";
		$config .= "?>";

		if ($fp = fopen("$configfile", "w")) {
			fputs($fp, $config, strlen($config));
			fclose ($fp);
		}

		return true;
	}
}
?>