<?php
/**
 *    @version 2.1.1 Build 21106 Alpha [ Drury ]
 *    @package hwdVideoShare
 *    @copyright (C) 2007 - 2009 Highwood Design
 *    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 ***
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 ***
 *    New Language Definitions are located at bottom of file
 *    DEFINITIONS HAVE FORM
 *    ---------------------
 *    DEFINE("_HWDVIDS_NAV_VIDEOS","Videos"); // Videos
 *           \___________________/  \_____/      \____/
 *            |                 |    |    \_____  \   \_____________________
 *            | PHP LANGUAGE    |    | LANGUAGE \__ \    COPY OF ORIGINAL   |
 *            | DEFINTIONS      |    | TRANSLATION |  \  ENGLISH DEFINITION |
 *            |_________________|    |_____________|    \___________________|
 ***
 *    TRANSLATOR CREDITS CAN GO HERE::
 *    ORIGINAL ENGLISH FILE BY HIGHWOOD DESIGN
 **/
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

//Current Version
DEFINE("_HWDVIDS_TOOLBARTITLE","hwdVideoShare"); //
DEFINE("_ADMIN_HWDVIDS_HOME_01","Welcome to hwdVideoShare 2.1.1 Build 21106 Alpha [ Drury ]"); //

//Frontend Navigation Headers
DEFINE("_HWDVIDS_NAV_VIDEOS","Videos"); // Videos
DEFINE("_HWDVIDS_NAV_CATEGORIES","Categories"); // Categories
DEFINE("_HWDVIDS_NAV_GROUPS","Groups"); // Groups
DEFINE("_HWDVIDS_NAV_UPLOAD","Upload"); // Upload
DEFINE("_HWDVIDS_NAV_YOURGROUPS","Your Groups"); // Your Groups
DEFINE("_HWDVIDS_NAV_YOURMEMBERSHIPS","Your Group Membership"); // Your Group Membership
DEFINE("_HWDVIDS_NAV_CREATEGROUP","Create New Group"); // Create New Group

//Frontend Search
DEFINE("_HWDVIDS_SEARCHBAR","Search..."); // Search...

//Backend Section Headers
DEFINE("_HWDVIDS_SECTIONHEAD_CREDITS","&laquo; Credits & Information &raquo; "); // Credits & Information
DEFINE("_HWDVIDS_SECTIONHEAD_VIDEOS","&laquo; Videos &raquo; "); // Videos
DEFINE("_HWDVIDS_SECTIONHEAD_CATS","&laquo; Categories &raquo; "); // Categories
DEFINE("_HWDVIDS_SECTIONHEAD_GROUPS","&laquo; Groups &raquo; "); // Groups
DEFINE("_HWDVIDS_SECTIONHEAD_APPROVALS","&laquo; Waiting Approvals &raquo; "); // Waiting Approvals
DEFINE("_HWDVIDS_SECTIONHEAD_FLAGGED","&laquo; Reported Media &raquo; "); // Reported Media
DEFINE("_HWDVIDS_SECTIONHEAD_COMMENTS","&laquo; Comments &raquo; "); // Comments
DEFINE("_HWDVIDS_SECTIONHEAD_SS","&laquo; Server Settings &raquo; "); // Server Settings
DEFINE("_HWDVIDS_SECTIONHEAD_GS","&laquo; General Settings &raquo; "); // General Settings
DEFINE("_HWDVIDS_SECTIONHEAD_BCUP","&laquo; Backup Data &raquo; "); // Backup Data
DEFINE("_HWDVIDS_SECTIONHEAD_RSTR","&laquo; Restore Data &raquo; "); // Restore Data
DEFINE("_HWDVIDS_SECTIONHEAD_PLUGIN","&laquo; Plugin Management &raquo; "); // Plugin Management

//Frontend and Backend Detail Text
DEFINE("_HWDVIDS_DETAILS_GOTOGROUP","Go to Group"); // Go to Group
DEFINE("_HWDVIDS_DETAILS_DELETEGROUP","Delete Group"); // Delete Group
DEFINE("_HWDVIDS_DETAILS_VTITLE","Title"); // Title
DEFINE("_HWDVIDS_DETAILS_VDATE","Date Uploaded"); // Date Uploaded
DEFINE("_HWDVIDS_DETAILS_VDESC","Description"); // Description
DEFINE("_HWDVIDS_DETAILS_VTAGS","Tags"); // Tags
DEFINE("_HWDVIDS_DETAILS_VLENGTH","Length"); // Length
DEFINE("_HWDVIDS_DETAILS_VCAT","Category"); // Category
DEFINE("_HWDVIDS_DETAILS_VRATING","Rating"); // Rating
DEFINE("_HWDVIDS_DETAILS_VAPPROVED","Approved"); // Approved
DEFINE("_HWDVIDS_DETAILS_VVIEWS","Views"); // Views
DEFINE("_HWDVIDS_DETAILS_VFEATURED","Featured?"); // Featured?
DEFINE("_HWDVIDS_DETAILS_VPUB","Published?"); // Published?
DEFINE("_HWDVIDS_DETAILS_VCOMMENTS","Allow Comments?"); // Allow Comments?
DEFINE("_HWDVIDS_DETAILS_VEMBEDDING","Allow Video Embedding?"); // Allow Video Embedding?
DEFINE("_HWDVIDS_DETAILS_VRATINGS","Allow Video Ratings?"); // Allow Video Ratings?
DEFINE("_HWDVIDS_DETAILS_VAPPROVEPUB","Approve & Publish Video"); // Approve & Publish Video
DEFINE("_HWDVIDS_DETAILS_GTITLE","Group Name"); // Group Name
DEFINE("_HWDVIDS_DETAILS_GDESC","Group Description"); // Group Description
DEFINE("_HWDVIDS_DETAILS_GACCESS","Access Level"); // Access Level
DEFINE("_HWDVIDS_DETAILS_GCOMMENTS","Allow Group Comments?"); // Allow Group Comments?
DEFINE("_HWDVIDS_DETAILS_GAPPROVAL","Require your approval to join?"); // Require your approval to join?
DEFINE("_HWDVIDS_DETAILS_CATS","Categories"); // Categories
DEFINE("_HWDVIDS_DETAILS_CNAME","Category Name"); // Category Name
DEFINE("_HWDVIDS_DETAILS_CDESC","Category Description"); // Category Description
DEFINE("_HWDVIDS_DETAILS_CACCESS","Category Access"); // Category Access
DEFINE("_HWDVIDS_DETAILS_PB","Powered by"); // Powered by
DEFINE("_HWDVIDS_DETAILS_CPUB","Published?"); // Published?
DEFINE("_HWDVIDS_DETAILS_WATCHVID","Watch Reported Video"); // Watch Reported Video
DEFINE("_HWDVIDS_DETAILS_DELETEVID","Delete Video"); // Delete Video
DEFINE("_HWDVIDS_DETAILS_FLAGGEDBY","Reported By"); // Reported By
DEFINE("_HWDVIDS_DETAILS_STATUS","Status"); // Status
DEFINE("_HWDVIDS_DETAILS_FLAGGEDDATE","Date Reported"); // Date Reported
DEFINE("_HWDVIDS_DETAILS_REPORTEDCOMMS","Reported Comments"); // Reported Comments
DEFINE("_HWDVIDS_DETAILS_DELETECOMMS","Delete Comments"); // Delete Comments
DEFINE("_HWDVIDS_DETAILS_GOTOVID","Go to Video"); // Go to Video
DEFINE("_HWDVIDS_DETAILS_COMMENT","Comment"); // Comment
DEFINE("_HWDVIDS_DETAILS_POSTEDBY","Posted By"); // Posted By
DEFINE("_HWDVIDS_DETAILS_CDATE","Comment Post Date"); // Comment Post Date
DEFINE("_HWDVIDS_DETAILS_GNAME","Group Name"); // Group Name
DEFINE("_HWDVIDS_DETAILS_GREQUIREAPPROVAL","Require Approval to Join?"); // Require Approval to Join?
DEFINE("_HWDVIDS_DETAILS_GDATE","Date Created"); // Date Created
DEFINE("_HWDVIDS_DETAILS_GFEATURED","Featured?"); // Featured?
DEFINE("_HWDVIDS_DETAILS_GPUBLISHED","Published?"); // Published?
DEFINE("_HWDVIDS_DETAILS_LEAVEG","Leave Group"); // Leave Group
DEFINE("_HWDVIDS_DETAILS_JOING","Join Group"); // Join Group
DEFINE("_HWDVIDS_DETAILS_DELETEG","Delete Group"); // Delete Group
DEFINE("_HWDVIDS_DETAILS_REPORTG","Report Group"); // Report Group
DEFINE("_HWDVIDS_DETAILS_ADDFAV","Add to favourites"); // Add to favourites
DEFINE("_HWDVIDS_DETAILS_REMFAV","Remove from favourites"); // Remove from favourites
DEFINE("_HWDVIDS_DETAILS_FLAGVID","Report Video"); // Report Video
DEFINE("_HWDVIDS_DETAILS_FLAG","Report"); // Report
DEFINE("_HWDVIDS_DETAILS_FLAGCOMMS","Report Comment"); // Report Comment
DEFINE("_HWDVIDS_DETAILS_YOURNAME","Your Name"); // Your Name
DEFINE("_HWDVIDS_DETAILS_MARKASREAD","Don't Delete Item"); // Don't Delete Item
DEFINE("_HWDVIDS_DETAILS_RATED1","Rated "); // Rated
DEFINE("_HWDVIDS_DETAILS_RATED2","(Rated: "); // (Rated:
DEFINE("_HWDVIDS_DETAILS_RATED3","/5 from "); // /5 from
DEFINE("_HWDVIDS_DETAILS_RATED4"," votes)"); //  votes
DEFINE("_HWDVIDS_DETAILS_RATE0","Rate this video"); // Rate this video
DEFINE("_HWDVIDS_DETAILS_RATE1","Rubbish"); // Rubbish
DEFINE("_HWDVIDS_DETAILS_RATE2","Poor"); // Poor
DEFINE("_HWDVIDS_DETAILS_RATE3","Not Too Bad"); // Not Too Bad
DEFINE("_HWDVIDS_DETAILS_RATE4","Very Good"); // Very Good
DEFINE("_HWDVIDS_DETAILS_RATE5","Excellent"); // Excellent
DEFINE("_HWDVIDS_DETAILS_FILENAME","Backup Filename"); // Backup Filename
DEFINE("_HWDVIDS_DETAILS_DATECREATED","Date Created"); // Date Created
DEFINE("_HWDVIDS_DETAILS_FILESIZE","Filesize"); // Filesize
DEFINE("_HWDVIDS_DETAILS_DELETEBKUP","Delete Backup File"); // Delete Backup File
DEFINE("_HWDVIDS_DETAILS_RESTOREBKUP","Restore Backup File"); // Restore Backup File
DEFINE("_HWDVIDS_DETAILS_VPASTEEMBED","Embed code"); // Embed code
DEFINE("_HWDVIDS_DETAILS_VIDTYPE","Upload method"); // Upload method
DEFINE("_HWDVIDS_DETAILS_OTHER","Other Details"); // Other Details
DEFINE("_HWDVIDS_DETAILS_PLUGNAME","Plugin Name"); // Plugin Name
DEFINE("_HWDVIDS_DETAILS_PLUGINSTALLED","Installed"); // Installed
DEFINE("_HWDVIDS_DETAILS_PLUGTYPE","Type"); // Type
DEFINE("_HWDVIDS_DETAILS_PLUGDIR","Directory"); // Directory
DEFINE("_HWDVIDS_DETAILS_PLUGFILE","Plugin File"); // Plugin File
DEFINE("_HWDVIDS_DETAILS_DELETE","[Delete]"); // [Delete]
DEFINE("_HWDVIDS_DETAILS_EDIT","[Edit]"); // [Edit]

//Backend Settings Text
DEFINE("_ADMIN_HWDVIDS_SETT_TABLAYOUT","Layout"); // Layout
DEFINE("_ADMIN_HWDVIDS_SETT_VIDEOS","Video Lists"); // Video Lists
DEFINE("_ADMIN_HWDVIDS_SETT_VPP","Videos Per Page"); // Videos Per Page
DEFINE("_ADMIN_HWDVIDS_SETT_VPP_DESC","Set the number of videos displayed per page"); // Set the number of videos displayed per page
DEFINE("_ADMIN_HWDVIDS_SETT_FVIDS","Featured Videos"); // Featured Videos
DEFINE("_ADMIN_HWDVIDS_SETT_FVIDS_DESC","Set the number of featured videos displayed on the component homepage"); // Set the number of featured videos displayed on the component homepage
DEFINE("_ADMIN_HWDVIDS_SETT_GROUPS","Group Lists"); // Group Lists
DEFINE("_ADMIN_HWDVIDS_SETT_GPP","Groups Per Page"); // Groups Per Page
DEFINE("_ADMIN_HWDVIDS_SETT_GPP_DESC","Set the number of groups displayed per page"); // Set the number of groups displayed per page
DEFINE("_ADMIN_HWDVIDS_SETT_FGROUPS","Featured Groups"); // Featured Groups
DEFINE("_ADMIN_HWDVIDS_SETT_FGROUPS_DESC","Set the number of featured groups displayed on the group homepage"); // Set the number of featured groups displayed on the group homepage
DEFINE("_ADMIN_HWDVIDS_SETT_COMMENTS","Comment Lists"); // Comment Lists
DEFINE("_ADMIN_HWDVIDS_SETT_CPP","Comments Per Page"); // Comments Per Page
DEFINE("_ADMIN_HWDVIDS_SETT_CPP_DESC","Set the number of comments displayed per page"); // Set the number of comments displayed per page
DEFINE("_ADMIN_HWDVIDS_SETT_PLUGINS","Plugin Management"); // Plugin Management
DEFINE("_ADMIN_HWDVIDS_SETT_TEMPLATE","Select Template"); // Select Template
DEFINE("_ADMIN_HWDVIDS_SETT_TEMPLATE_DESC","Choose the hwdVideoShare template plugin. To add more templates, install template plugins through the plugin manager."); // Choose the hwdVideoShare template plugin. To add more templates, install template plugins through the plugin manager.
DEFINE("_ADMIN_HWDVIDS_SETT_LANGUAGE","Select Language"); // Select Language
DEFINE("_ADMIN_HWDVIDS_SETT_ROUNDEDC","Rounded Corners"); // Rounded Corners
DEFINE("_ADMIN_HWDVIDS_SETT_RADIUSRC","Rounded Corner Radius"); // Rounded Corner Radius
DEFINE("_ADMIN_HWDVIDS_SETT_RADIUSRC_DESC","Choose the radius of the rounded corners (in pixels)"); // Choose the radius of the rounded corners (in pixels)
DEFINE("_ADMIN_HWDVIDS_SETT_LOGS","Video Conversion Logs"); // Video Conversion Logs
DEFINE("_ADMIN_HWDVIDS_SETT_LOGCONVERT","Log Video Conversions?"); // Log Video Conversions?
DEFINE("_ADMIN_HWDVIDS_SETT_LOGCONVERT_DESC","You can create a log file of video conversions (Stored at /components/com_hwdvideoshare/logs/log.rtf)"); // You can create a log file of video conversions (Stored at /components/com_hwdvideoshare/logs/log.rtf)
DEFINE("_ADMIN_HWDVIDS_SETT_DEBUG","Video Conversions Debug"); // Video Conversions Debug
DEFINE("_ADMIN_HWDVIDS_SETT_DEBUGCONVERT","Debug Video Conversions?"); // Debug Video Conversions?
DEFINE("_ADMIN_HWDVIDS_SETT_DEBUG_DESC","Dump conversion output to screen during video conversions to debug"); // Dump conversion output to screen during video conversions to debug
DEFINE("_ADMIN_HWDVIDS_SETT_ORIGINALS","Original Video"); // Original Video
DEFINE("_ADMIN_HWDVIDS_SETT_DELETEO","Delete Original Videos?"); // Delete Original Videos?
DEFINE("_ADMIN_HWDVIDS_SETT_DELETEO_DESC","Delete the original video files after successful conversion (Highly Recommended)"); // Delete the original video files after successful conversion (Highly Recommended)
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFICATIONS","Administrator Notifications"); // Administrator Notifications
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYVID","Notify after new video upload?"); // Notify after new video upload?
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYVID_DESC","Send a notification email when a user uploads a video"); // Send a notification email when a user uploads a video
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYG","Notify after new group creation?"); // Notify after new group creation?
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYG_DESC","Send a notification email when a user creates a group"); // Send a notification email when a user creates a group
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYC","Notify after new comment?"); // Notify after new comment?
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYC_DESC","Send a notification email when a user writes a comment"); // Send a notification email when a user writes a comment
DEFINE("_ADMIN_HWDVIDS_SETT_SENTTO","Sent notifications to:"); // Sent notifications to:
DEFINE("_ADMIN_HWDVIDS_SETT_SENDTO_DESC","The email address that should receive the notification emails"); // The email address that should receive the notification emails
DEFINE("_ADMIN_HWDVIDS_SETT_INTEGRATIONS","Integrations"); // Integrations
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESS","Access"); // Access
DEFINE("_ADMIN_HWDVIDS_SETT_GUESTCOMMS","Allow Guest Comments?"); // Allow Guest Comments?
DEFINE("_ADMIN_HWDVIDS_SETT_GUESTCOMMS_DESC","Allow users who are not logged in to add video/group comments"); // Allow users who are not logged in to add video/group comments
DEFINE("_ADMIN_HWDVIDS_SETT_YES","Yes"); // Yes
DEFINE("_ADMIN_HWDVIDS_SETT_NO","No"); // No
DEFINE("_ADMIN_HWDVIDS_SETT_01","1"); //
DEFINE("_ADMIN_HWDVIDS_SETT_02","2"); //
DEFINE("_ADMIN_HWDVIDS_SETT_03","3"); //
DEFINE("_ADMIN_HWDVIDS_SETT_04","4"); //
DEFINE("_ADMIN_HWDVIDS_SETT_05","5"); //
DEFINE("_ADMIN_HWDVIDS_SETT_06","6"); //
DEFINE("_ADMIN_HWDVIDS_SETT_07","7"); //
DEFINE("_ADMIN_HWDVIDS_SETT_08","8"); //
DEFINE("_ADMIN_HWDVIDS_SETT_09","9"); //
DEFINE("_ADMIN_HWDVIDS_SETT_10","10"); //
DEFINE("_ADMIN_HWDVIDS_SETT_15","15"); //
DEFINE("_ADMIN_HWDVIDS_SETT_20","20"); //
DEFINE("_ADMIN_HWDVIDS_SETT_25","25"); //
DEFINE("_ADMIN_HWDVIDS_SETT_30","30"); //
DEFINE("_ADMIN_HWDVIDS_SETT_35","35"); //
DEFINE("_ADMIN_HWDVIDS_SETT_40","40"); //
DEFINE("_ADMIN_HWDVIDS_SETT_45","45"); //
DEFINE("_ADMIN_HWDVIDS_SETT_50","50"); //
DEFINE("_ADMIN_HWDVIDS_SETT_APPROVALS","Auto Approvals"); // Auto Approvals
DEFINE("_ADMIN_HWDVIDS_SETT_AA3VIDS","Auto-approve 3rd Party Videos?"); // Auto-approve 3rd Party Videos?
DEFINE("_ADMIN_HWDVIDS_SETT_AAGROUPS","Auto-approve Groups?"); // Auto-approve Groups?
DEFINE("_ADMIN_HWDVIDS_SETT_AACOMMS","Auto-approve Comments?"); // Auto-approve Comments?
DEFINE("_ADMIN_HWDVIDS_SETT_AAVIDS_DESC","Should videos be automatically approved after conversion?"); // Should videos be automatically approved after conversion?
DEFINE("_ADMIN_HWDVIDS_SETT_AA3VIDS_DESC","Should third party videos (from YouTube etc) be automatically approved?"); // Should third party videos (from YouTube etc) be automatically approved?
DEFINE("_ADMIN_HWDVIDS_SETT_AAGROUPS_DESC","Should groups be automatically approved after they are created by users?"); // Should groups be automatically approved after they are created by users?
DEFINE("_ADMIN_HWDVIDS_SETT_AACOMMS_DESC","Should all comments be automatically approved?"); // Should all comments be automatically approved?
DEFINE("_ADMIN_HWDVIDS_SETT_LOCALUPLD","Local File Uploads"); // Local File Uploads
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLELCOAL","Disable Local File Uploads"); // Disable Local File Uploads
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLELCOAL_DESC","Disabling this feature will prevent people uploading video files from their local computers. They will only be able to add videos from third party video websites like YouTube. If you disable this remember to enable at least one third party video website."); // Disabling this feature will prevent people uploading video files from their local computers. They will only be able to add videos from third party video websites like YouTube. If you disable this remember to enable at least one third party video website.
DEFINE("_ADMIN_HWDVIDS_SETT_THIRDPARTYVSITES","Third Party Video Sites"); // Third Party Video Sites
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWYOUTUBE","Allow YouTube Videos"); // vAllow YouTube Videos
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWYOUTUBE_DESC","Allow users to add videos from YouTube"); // Allow users to add videos from YouTube
DEFINE("_ADMIN_HWDVIDS_SETT_GOOGLE","Allow Google Videos"); // Allow Google Videos
DEFINE("_ADMIN_HWDVIDS_SETT_GOOGLE_DESC","Allow users to add videos from Google"); // Allow users to add videos from Google
DEFINE("_ADMIN_HWDVIDS_SETT_EYESPOT","Allow Eyespot Videos"); // Allow Eyespot Videos
DEFINE("_ADMIN_HWDVIDS_SETT_EYESPOT_DESC","Allow users to add videos from Eyespot"); // Allow users to add videos from Eyespot
DEFINE("_ADMIN_HWDVIDS_SETT_JUMPCUT","Allow Jumpcut Videos"); // Allow Jumpcut Videos
DEFINE("_ADMIN_HWDVIDS_SETT_JUMPCUT_DESC","Allow users to add videos from Jumpcut"); // Allow users to add videos from Jumpcut
DEFINE("_ADMIN_HWDVIDS_SETT_REVVER","Allow Revver Videos"); // Allow Revver Videos
DEFINE("_ADMIN_HWDVIDS_SETT_REVVER_DESC","Allow users to add videos from Revver"); // Allow users to add videos from Revver
DEFINE("_ADMIN_HWDVIDS_SETT_VIMEO","Allow Vimeo Videos"); // Allow Vimeo Videos
DEFINE("_ADMIN_HWDVIDS_SETT_VIMEO_DESC","Allow users to add videos from Vimeo"); // Allow users to add videos from Vimeo
DEFINE("_ADMIN_HWDVIDS_SETT_BLIPTV","Allow Blip.tv Videos"); // Allow Blip.tv Videos
DEFINE("_ADMIN_HWDVIDS_SETT_BLIPTV_DESC","Allow users to add videos from Blip.tv"); // Allow users to add videos from Blip.tv
DEFINE("_ADMIN_HWDVIDS_SETT_STAGE6","Allow Stage6 [DivX] Videos"); // Allow Stage6 [DivX] Videos
DEFINE("_ADMIN_HWDVIDS_SETT_STAGE6_DESC","Allow users to add videos from Stage6 [This will require the user to use the DivX web player]"); // Allow users to add videos from Stage6 [This will require the user to use the DivX web player]
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAYER","Video Player Settings"); // Video Player Settings
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_WIDTH","Video Player Width (px)"); // Video Player Width (px)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_WIDTH_DESC","Forces the video player's width in pixels (eg 450px). Note this will be used for all third party video widths also."); // Forces the video player's width in pixels (eg 450px). Note this will be used for all third party video widths also.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_HEIGHT","Video Player Height (px)"); // Video Player Height (px)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_HEIGHT_DESC","Forces the video player's height in pixels (eg 450px). Note this will be used for all third party video height also."); // Forces the video player's height in pixels (eg 450px). Note this will be used for all third party video height also.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_AUTOPLAY","Autoplay"); // Autoplay
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_AUTOPLAY_DESC","Autoplay the video when page loads"); // Autoplay the video when page loads
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_AUTOLOAD","Autoload"); // Autoload
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_AUTOLOAD_DESC","Autoload the video when the page loads"); // Autoload the video when the page loads
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFER","Buffer Time (secs)"); // Buffer Time (secs)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFER_DESC","The number of seconds to buffer. By default set to 5."); // The number of seconds to buffer. By default set to 5.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWSTOP","Show Stop Button"); // Show Stop Button
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWSTOP_DESC","Show the stop button on the video player"); // Show the stop button on the video player
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWVOL","Show Volume Slider"); // Show Volume Slider
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWVOL_DESC","Show the volume slider on the video player"); // Show the volume slider on the video player
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWTIME","Show Time"); // Show Time
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWTIME_DESC","Show the video time of the current position"); // Show the video time of the current position
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_LOOP","Loop Movie"); // Loop Movie
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_LOOP_DESC","Loop movie when finished"); // Loop movie when finished
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_IMAGE","Logo Image and Position"); // Logo Image and Position
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_IMAGE_DESC","Load an image over the video and place it at the coordinate x and y (for example url|x|y)"); // Load an image over the video and place it at the coordinate x and y (for example url|x|y)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_COLOR","Player Colour"); // Player Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_COLOR_DESC","The background colour of the player bar in hexadecimal format without preceding # (eg 333333)"); // The background colour of the player bar in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_LDCOLOR","Loading Colour"); // Loading Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_LDCOLOR_DESC","The colour of loading bar in hexadecimal format without preceding # (eg 333333)"); // The colour of loading bar in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR0","Background Colour"); // Background Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR0_DESC","The background colour in hexadecimal format without preceding # (eg 333333)"); // The background colour in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR1","Gradient Colour 1"); // Gradient Colour 1
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR1_DESC","The first colour of the background gradient in hexadecimal format without preceding # (eg 333333)"); // The first colour of the background gradient in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR2","Gradient Colour 2"); // Gradient Colour 2
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BGCOLOR2_DESC","The second colour of the background gradient in hexadecimal format without preceding # (eg 333333)"); // The second colour of the background gradient in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUTCOLOR","Button Colour"); // Button Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUTCOLOR_DESC","The colour of the buttons in hexadecimal format without preceding # (eg 333333)"); // The colour of the buttons in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUTHCOLOR","Button Hover Colour"); // Button Hover Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUTHCOLOR_DESC","Hover colour of buttons in hexadecimal format without preceding # (eg 333333)"); // Hover colour of buttons in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLOR0","Slider Colour 1"); // Slider Colour 1
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLOR0_DESC","The first colour of the slider gradient in hexadecimal format without preceding # (eg 333333)"); // The first colour of the slider gradient in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLOR1","Slider Colour 2"); // Slider Colour 2
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLOR1_DESC","The first colour of the slider gradient in hexadecimal format without preceding # (eg 333333)"); // The first colour of the slider gradient in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLORH","Slider Hover Colour"); // Slider Hover Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SLCOLORH_DESC","Hover colour of the bar in hexadecimal format without preceding # (eg 333333)"); // Hover colour of the bar in hexadecimal format without preceding # (eg 333333)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFMESS","Buffer Message"); // Buffer Message
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFMESS_DESC","The buffering message. By default Buffering _n_, _n_ shown in percent."); // The buffering message. By default Buffering _n_, _n_ shown in percent.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFCOL","Buffer Colour"); // Buffer Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFCOL_DESC","The colour of the buffering message"); // The colour of the buffering message
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFBGCOL","Buffer Background"); // Buffer Background
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BUFFBGCOL_DESC","The background colour of the buffering message"); // The background colour of the buffering message
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWBUFFBG","Show Buffer Background"); // Show Buffer Background
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWBUFFBG_DESC","0 to hide the background colour of the buffering message"); // 0 to hide the background colour of the buffering message
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWBAR","Show Player Bar"); // Show Player Bar
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWBAR_DESC","Player bar display mode : autohide, always or never."); // Player bar display mode : autohide, always or never.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWLDBAR","Show Loading Bar"); // Show Loading Bar
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWLDBAR_DESC","Loading bar display mode : autohide, always or never."); // Loading bar display mode : autohide, always or never.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWFS","Show Fullscreen"); // Show Fullscreen
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWFS_DESC","1 to show fullscreen button (requires Flash Player 9.0.16.60 or newer)"); // 1 to show fullscreen button (requires Flash Player 9.0.16.60 or newer)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWMOUSE","Show Mouse"); // Show Mouse
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_SHOWMOUSE_DESC","Display of the mouse cursor : always, autohide, never."); // Display of the mouse cursor : always, autohide, never.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_OCDEST","OnClick"); // OnClick
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_OCDEST_DESC","The destination URL when clicking on the video. By default playpause, meaning that the video is played/paused on click. To remove events, set to none."); // The destination URL when clicking on the video. By default playpause, meaning that the video is played/paused on click. To remove events, set to none.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_OCTARGET","OnClick Target"); // OnClick Target
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_OCTARGET_DESC","The target of the URL when clicking on the video. By default _self. To open a new window set to _blank."); // The target of the URL when clicking on the video. By default _self. To open a new window set to _blank.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_ODCDEST","OnDoubleClick"); // OnDoubleClick
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_ODCDEST_DESC","Action on double click: none, fullscreen, playpause, or the URL to open."); // Action on double click: none, fullscreen, playpause, or the URL to open.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_ODCTARGET","OnDoubleClick Target"); // OnDoubleClick Target
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_ODCTARGET_DESC","The target of the URL when double clicking on the video. By default _self. To open a new window set to _blank."); // The target of the URL when double clicking on the video. By default _self. To open a new window set to _blank.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_TIMEOUT","Player Timeout"); // Player Timeout
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_TIMEOUT_DESC","The timeout in milliseconds before the player hides (when autohide mode is set). By default set to 1500."); // The timeout in milliseconds before the player hides (when autohide mode is set). By default set to 1500.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_VIDBG","Empty Video Background"); // Empty Video Background
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_VIDBG_DESC","Background colour of the flash, when no video is shown."); // Background colour of the flash, when no video is shown.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_INIVOL","Initial Volume"); // Initial Volume
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_INIVOL_DESC","The initial volume, between 0 and 200."); // The initial volume, between 0 and 200.
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BARALPHA","Player Transparency"); // Player Transparency
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAY_BARALPHA_DESC","The transparency of the player bar, between 0 and 100."); // The transparency of the player bar, between 0 and 100.
DEFINE("_ADMIN_HWDVIDS_SETT_ALWAYS","Always"); // Always
DEFINE("_ADMIN_HWDVIDS_SETT_AUTOHIDE","Autohide"); // Autohide
DEFINE("_ADMIN_HWDVIDS_SETT_NEVER","Never"); // Never
DEFINE("_ADMIN_HWDVIDS_SETT_TBLANK","_blank"); // _blank
DEFINE("_ADMIN_HWDVIDS_SETT_TPARENT","_parent"); // _parent
DEFINE("_ADMIN_HWDVIDS_SETT_TSELF","_self"); // _self
DEFINE("_ADMIN_HWDVIDS_SETT_TTOP","_top"); // _top
DEFINE("_ADMIN_HWDVIDS_SETT_CAPTCHA","Captcha Security Image"); // Captcha Security Image
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECAPTCHA","Disable Captcha?"); // Disable Captcha?
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECAPTCHA_DESC","Disable the captcha security image so no human verification is required."); // Disable the captcha security image so no human verification is required.
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLENAVTABS","Disable Main Navigation Tabs"); // Disable Main Navigation Tabs
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEVIDTAB","Disable Video Tab"); // Disable Video Tab
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEVIDTAB_DESC","Disable the video tab so this link does not appear at the top of the page"); // Disable the video tab so this link does not appear at the top of the page
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECATTAB","Disable Category Tab"); // Disable Category Tab
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECATTAB_DESC","Disable the category tab so this link does not appear at the top of the page"); // Disable the category tab so this link does not appear at the top of the page
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEGRPTAB","Disable Group Tab"); // Disable Group Tab
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEGRPTAB_DESC","Disable the group tab so this link does not appear at the top of the page"); // Disable the group tab so this link does not appear at the top of the page
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEULDTAB","Disable Upload Tab"); // Disable Upload Tab
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEULDTAB_DESC","Disable the upload tab so this link does not appear at the top of the page"); // Disable the upload tab so this link does not appear at the top of the page
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCOPYRIGHT","Credit Link"); // Credit Link
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCREDIT","Show 'powered by' notice?"); // Show 'powered by' notice?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCREDIT_DESC","We always appreciate return links but if you are a subscriber you can switch this off!"); // We always appreciate return links but if you are a subscriber you can switch this off!
DEFINE("_ADMIN_HWDVIDS_SETT_VIDEDIT","Video Edit and Removal Feature"); // Video Edit and Removal Feature
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWEDIT","Allow Video Edit?"); // Allow Video Edit?
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWEDIT_DESC","Allow users to edit their own videos through the website frontend"); // Allow users to edit their own videos through the website frontend
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWDEL","Allow Video Deletion?"); // Allow Video Deletion?
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWDEL_DESC","Allow users to delete their own videos through the website frontend"); // Allow users to delete their own videos through the website frontend

//Backend Filter Text
DEFINE("_ADMIN_HWDVIDS_SEARCHV","Search Videos"); // Search Videos
DEFINE("_ADMIN_HWDVIDS_SEARCHC","Search Categories"); // Search Categories
DEFINE("_ADMIN_HWDVIDS_SEARCHG","Search Groups"); // Search Groups
DEFINE("_ADMIN_HWDVIDS_RPP","Results Per Page"); // Results Per Page

//Frontend and Backend Alert Text
DEFINE("_HWDVIDS_ALERT_NOTITLE","Please enter a video title"); // Please enter a video title
DEFINE("_HWDVIDS_ALERT_NODESC","Please enter a video description"); // Please enter a video description
DEFINE("_HWDVIDS_ALERT_NOCAT","Please choose a video category"); // Please choose a video category
DEFINE("_HWDVIDS_ALERT_NOTAG","Please enter some video tags"); // Please enter some video tags
DEFINE("_HWDVIDS_ALERT_NOSECURE","Please enter the security code as it appears in the blue box"); // Please enter the security code as it appears in the blue box
DEFINE("_HWDVIDS_ALERT_NOGNAME","Please enter a group name"); // Please enter a group name
DEFINE("_HWDVIDS_ALERT_NOCOMMS","Please enter your comments"); // Please enter your comments
DEFINE("_HWDVIDS_ALERT_NOGDESC","Please enter a group description"); // Please enter a group description
DEFINE("_HWDVIDS_ALERT_ERRSC","You typed in the security code incorrectly! Please try again"); // You typed in the security code incorrectly! Please try again
DEFINE("_HWDVIDS_ALERT_GROUPNOEXIST","This group is pending approval or has been removed from our system<br /><br />"); // This group is pending approval or has been removed from our system
DEFINE("_HWDVIDS_ALERT_ALREADYVOTED","You have already voted for this video"); // You have already voted for this video
DEFINE("_HWDVIDS_ALERT_ALREADYFAV","You have already added this video to your favourites"); // You have already added this video to your favourites
DEFINE("_HWDVIDS_ALERT_ALREADYFLAG","This media has already been flagged by a user."); // This media has already been flagged by a user.
DEFINE("_HWDVIDS_ALERT_ALREADYAV2G","This video has already been added to this group."); // This video has already been added to this group.
DEFINE("_HWDVIDS_ALERT_VOTEADDED","You have successfully voted"); // You have successfully voted
DEFINE("_HWDVIDS_ALERT_FAVADDED","Video added to your favourites"); // Video added to your favourites
DEFINE("_HWDVIDS_ALERT_FAVREM","Video removed from your favourites"); // Video removed from your favourites
DEFINE("_HWDVIDS_ALERT_LOG2RATE","You need to login to rate videos"); // You need to login to rate videos
DEFINE("_HWDVIDS_ALERT_LOG2ADDF","You need to login to add videos to your favourites"); // You need to login to add videos to your favourites
DEFINE("_HWDVIDS_ALERT_LOG2REMF","You need to login to remove videos from your favourites"); // You need to login to remove videos from your favourites
DEFINE("_HWDVIDS_ALERT_LOG2ADDG","You need to login to create groups"); // You need to login to create groups
DEFINE("_HWDVIDS_ALERT_LOG2REMG","You need to login to delete your groups"); // You need to login to delete your groups
DEFINE("_HWDVIDS_ALERT_LOG2FLAG","You need to login to report media"); // You need to login to report media
DEFINE("_HWDVIDS_ALERT_LOG2COMM","You need to login to comment"); // You need to login to comment
DEFINE("_HWDVIDS_ALERT_LOG2JOING","You need to login to join groups"); // You need to login to join groups
DEFINE("_HWDVIDS_ALERT_LOG2AV2G","You need to login to add videos to groups"); // You need to login to add videos to groups
DEFINE("_HWDVIDS_ALERT_LOG2CYG","You need to login to see your groups"); // You need to login to see your groups
DEFINE("_HWDVIDS_ALERT_LOG2CYM","You need to login to see your group memberships"); // You need to login to see your group memberships
DEFINE("_HWDVIDS_ALERT_LOG2CYV","You need to login to see your videos"); // You need to login to see your videos
DEFINE("_HWDVIDS_ALERT_LOG2CYF","You need to login to see your favourite videos"); // You need to login to see your favourite videos
DEFINE("_HWDVIDS_ALERT_NOPERM","You do not have permission to edit this video"); // You do not have permission to edit this video
DEFINE("_HWDVIDS_ALERT_SUCJOIN","You have joined the group"); // You have joined the group
DEFINE("_HWDVIDS_ALERT_LOG2LEAVEG","You need to login to leave groups"); // You need to login to leave groups
DEFINE("_HWDVIDS_ALERT_SUCLEAVE","You have left the group"); // You have left the group
DEFINE("_HWDVIDS_ALERT_SUCFLAGGED","The media has been reported and will be reviewed shortly."); // The media has been reported and will be reviewed shortly.
DEFINE("_HWDVIDS_ALERT_SUCAV2G","The video has been added to the group."); // The video has been added to the group.
DEFINE("_HWDVIDS_ALERT_COMMSADDED","Your comments have been added"); // Your comments have been added
DEFINE("_HWDVIDS_ALERT_COMMSPENDING","Your comments have been saved and are pending approval from our website moderators."); // Your comments have been saved and are pending approval from our website moderators.
DEFINE("_HWDVIDS_ALERT_GREMOVED","Your group has been deleted"); // Your group has been deleted
DEFINE("_HWDVIDS_ALERT_GSAVED","Your group has been saved"); // Your group has been saved
DEFINE("_HWDVIDS_ALERT_GPENDING","Your group has been saved and is pending approval from our website moderators"); // Your group has been saved and is pending approval from our website moderators
DEFINE("_HWDVIDS_ALERT_VIDEDITSAVED","Your video details have been updated"); // Your video details have been updated
DEFINE("_HWDVIDS_ALERT_ADMIN_SETSAVED","Your settings have been saved"); // Your settings have been saved
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDPUB"," video(s) published"); // video(s) published
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDUNPUB"," video(s) unpublished"); // video(s) unpublished
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDFEAT"," video(s) featured"); // video(s) featured
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDUNFEAT"," video(s) unfeatured"); // video(s) unfeatured
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDDEL"," video(s) deleted"); // video(s) deleted
DEFINE("_HWDVIDS_ALERT_ADMIN_VIDAPP"," video(s) approved and published"); // video(s) approved and published
DEFINE("_HWDVIDS_ALERT_ADMIN_GPUB"," groups(s) published"); // groups(s) published
DEFINE("_HWDVIDS_ALERT_ADMIN_GUNPUB"," groups(s) unpublished"); // groups(s) unpublished
DEFINE("_HWDVIDS_ALERT_ADMIN_GFEAT"," groups(s) featured"); // groups(s) featured
DEFINE("_HWDVIDS_ALERT_ADMIN_GUNFEAT"," groups(s) unfeatured"); // groups(s) unfeatured
DEFINE("_HWDVIDS_ALERT_ADMIN_GDEL"," groups(s) deleted"); // groups(s) deleted
DEFINE("_HWDVIDS_ALERT_ADMIN_CATPUB"," categories(s) published"); // categories(s) published
DEFINE("_HWDVIDS_ALERT_ADMIN_CATUNPUB"," categories(s) unpublished"); // categories(s) unpublished
DEFINE("_HWDVIDS_ALERT_ADMIN_CATDEL"," categories(s) deleted"); // categories(s) deleted
DEFINE("_HWDVIDS_ALERT_ADMIN_COMPUB"," comments(s) published"); // comments(s) published
DEFINE("_HWDVIDS_ALERT_ADMIN_COMUNPUB"," comments(s) unpublished"); // comments(s) unpublished
DEFINE("_HWDVIDS_ALERT_ADMIN_FLAGMDEL"," reported media deleted"); // reported media deleted
DEFINE("_HWDVIDS_ALERT_ADMIN_FLAGMREAD"," reported media ignored"); // reported media ignored
DEFINE("_HWDVIDS_ALERT_ADMIN_PERMDELSUC","Successfully deleted old video files"); // Successfully deleted old video files
DEFINE("_HWDVIDS_ALERT_NOCNAME","You need to enter a category name"); // You need to enter a category name
DEFINE("_HWDVIDS_ALERT_CATSAVED","Category Saved"); // Category Saved
DEFINE("_HWDVIDS_ALERT_CATCONTAINSVIDS","This category contains videos. You need to delete all these videos before you can delete the category."); // This category contains videos. You need to delete all these videos before you can delete the category.
DEFINE("_HWDVIDS_ALERT_NOEMBEDCODE","Please enter the embed code for the video you want to add."); // Please enter the embed code for the video you want to add.
DEFINE("_HWDVIDS_ALERT_ADMIN_USERVIDDEL","Your video has been successfully removed"); // Your video has been successfully removed
DEFINE("_HWDVIDS_ALERT_ADMIN_UPLDFAIL","This upload might fail! Please report this to the website developer."); // This upload might fail! Please report this to the website developer.

//Admin Email Notification Text
DEFINE("_HWDVIDS_MAIL_SUBJECT1","New video upload on "); // New video upload on
DEFINE("_HWDVIDS_MAIL_SUBJECT2","New group created on "); // New group created on
DEFINE("_HWDVIDS_MAIL_SUBJECT3","New comment created on "); // New comment created on
DEFINE("_HWDVIDS_MAIL_BODY0","There has been a new video upload on "); // There has been a new video upload on
DEFINE("_HWDVIDS_MAIL_BODY1","The video is called "); // The video is called
DEFINE("_HWDVIDS_MAIL_BODY2","If you need to approve this video please log into your administration section."); // If you need to approve this video please log into your administration section.
DEFINE("_HWDVIDS_MAIL_BODY3","There has been a new group created on "); // There has been a new group created on
DEFINE("_HWDVIDS_MAIL_BODY4","The group is called "); // The group is called
DEFINE("_HWDVIDS_MAIL_BODY5","If you need to manually publish this group please log into your administration section."); // If you need to manually publish this group please log into your administration section.
DEFINE("_HWDVIDS_MAIL_BODY6","There has been a new comment written on "); // There has been a new comment written on
DEFINE("_HWDVIDS_MAIL_BODY7","Comment: "); // Comment:
DEFINE("_HWDVIDS_MAIL_BODY8","If you need to manually publish this comment please log into your administration section."); // If you need to manually publish this comment please log into your administration section.

//Frontend and Backend Selects
DEFINE("_HWDVIDS_SELECT_PUBLIC","Public Access"); // Public Access
DEFINE("_HWDVIDS_SELECT_REG","Registered Users Only"); // Registered Users Only
DEFINE("_HWDVIDS_SELECT_ALLOWCOMMS","Allow Comments"); // Allow Comments
DEFINE("_HWDVIDS_SELECT_DONTALLOWCOMMS","Don't Allow Comments"); // Don't Allow Comments
DEFINE("_HWDVIDS_SELECT_ALLOWEMB","Allow Embedding"); // Allow Embedding
DEFINE("_HWDVIDS_SELECT_DONTALLOWEMB","Don't Allow Embedding"); // Don't Allow Embedding
DEFINE("_HWDVIDS_SELECT_ALLOWRATE","Allow Ratings"); // Allow Ratings
DEFINE("_HWDVIDS_SELECT_DONTALLOWRATE","Don't Allow Ratings"); // Don't Allow Ratings
DEFINE("_HWDVIDS_SELECT_REQUIREAPP","Require Approval"); // Require Approval
DEFINE("_HWDVIDS_SELECT_DONTREQUIREAPP","Don't Require Approval"); // Don't Require Approval
DEFINE("_HWDVIDS_SELECT_UPLDADD","Add"); // Add
DEFINE("_HWDVIDS_SELECT_UPLDVIDEO","Video"); // Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH01","Upload a video from my computer"); // Upload a video from my computer
DEFINE("_HWDVIDS_SELECT_UPLDMETH02","Add YouTube Video"); // Add YouTube Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH03","Add Google Video"); // Add Google Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH04","Add Eyespot Video"); // Add Eyespot Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH05","Add Grouper Video"); // Add Grouper Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH06","Add Jumpcut Video"); // Add Jumpcut Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH08","Add Revver Video"); // Add Revver Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH10","Add Vimeo Video"); // Add Vimeo Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH11","Add Blip.tv Video"); // Add Blip.tv Video
DEFINE("_HWDVIDS_SELECT_UPLDMETH12","Add Stage6 Video"); // Add Stage6 Video

//Frontend and Backend Titles
DEFINE("_HWDVIDS_TITLE_FGROUPCOMMS","Reported Group Comments"); // Reported Group Comments
DEFINE("_HWDVIDS_TITLE_FVIDEOCOMMS","Reported Video Comments"); // Reported Video Comments
DEFINE("_HWDVIDS_TITLE_UPLOAD","Upload Video (Step 1 of 2)"); // Upload Video (Step 1 of 2)
DEFINE("_HWDVIDS_TITLE_UPLOAD2","Upload Video (Step 2 of 2)"); // Upload Video (Step 2 of 2)
DEFINE("_HWDVIDS_TITLE_OPTIONS","Sharing Options"); // Sharing Options
DEFINE("_HWDVIDS_TITLE_FEATUREDVIDS","Featured Videos"); // Featured Videos
DEFINE("_HWDVIDS_TITLE_RECENTUPLOADS","Recent Uploads"); // Recent Uploads
DEFINE("_HWDVIDS_TITLE_UPLOADSUCCESS","Upload Successful"); // Upload Successful
DEFINE("_HWDVIDS_TITLE_CREATEGROUP","Create a Group"); // Create a Group
DEFINE("_HWDVIDS_TITLE_CATEGORYVIDS","Category Videos"); // Category Videos
DEFINE("_HWDVIDS_TITLE_YOURGROUPS","Your Groups"); // Your Groups
DEFINE("_HWDVIDS_TITLE_YOURMEMBERSHIPS","Your Group Memberships"); // Your Group Memberships
DEFINE("_HWDVIDS_TITLE_VIDMATCHING","Videos matching"); // Videos matching
DEFINE("_HWDVIDS_TITLE_GROUPMATCHING","Groups matching"); // Groups matching
DEFINE("_HWDVIDS_TITLE_FEATUREDGROUPS","Featured Groups"); // Featured Groups
DEFINE("_HWDVIDS_TITLE_GROUPS","Groups"); // Groups
DEFINE("_HWDVIDS_TITLE_VIDCOMMS","Video Comments"); // Video Comments
DEFINE("_HWDVIDS_TITLE_GROUPCOMMS","Group Comments"); // Group Comments
DEFINE("_HWDVIDS_TITLE_YOURVIDS","Your Uploaded Videos"); // Your Uploaded Videos
DEFINE("_HWDVIDS_TITLE_YOURFAVS","Your Favourite Videos"); // Your Favourite Videos
DEFINE("_HWDVIDS_TITLE_DELETEOLDVIDS","Permanently Delete Video Files"); // Permanently Delete Video Files
DEFINE("_HWDVIDS_TITLE_CLUPBDTABLES","Cleanup Database Tables"); // Cleanup Database Tables
DEFINE("_HWDVIDS_TITLE_UPLOADTYPE","How do you want to add videos?"); // How do you want to add videos?
DEFINE("_HWDVIDS_TITLE_ADDYOUTUBE","Add YouTube Videos"); // Add YouTube Videos
DEFINE("_HWDVIDS_TITLE_ADDGOOGLE","Add Google Videos"); // Add Google Videos
DEFINE("_HWDVIDS_TITLE_ADDEYESPOT","Add Eyespot Videos"); // Add Eyespot Videos
DEFINE("_HWDVIDS_TITLE_ADDJUMPCUT","Add Jumpspot Videos"); // Add Jumpspot Videos
DEFINE("_HWDVIDS_TITLE_ADDREVVER","Add Revver Videos"); // Add Revver Videos
DEFINE("_HWDVIDS_TITLE_ADDVIMEO","Add Vimeo Videos"); // Add Vimeo Videos
DEFINE("_HWDVIDS_TITLE_ADDBLIPTV","Add Blip.tv Videos"); // Add Blip.tv Videos
DEFINE("_HWDVIDS_TITLE_ADDSTAGE6","Add Stage6 Videos"); // Add Stage6 Videos
DEFINE("_HWDVIDS_TITLE_PLUGMAN","Plugin Manager"); // Plugin Manager
DEFINE("_HWDVIDS_TITLE_NEWPLUG","Install New Plugin"); // Install New Plugin
DEFINE("_HWDVIDS_TITLE_UPLDPLUG","Upload Plugin File"); // Upload Plugin File
DEFINE("_HWDVIDS_TITLE_EDITVID","Edit Video Details"); // Edit Video Details

//Frontend and Backend Information
DEFINE("_HWDVIDS_INFO_GPRIVACY","Share your group with everyone or only registered users."); // Share your group with everyone or only registered users.
DEFINE("_HWDVIDS_INFO_CHOOSECAT","Choose a category"); // Choose a category
DEFINE("_HWDVIDS_INFO_TAGS","Tags are keywords used to explain your videos and should be comma separated. (holiday, beach, Spain, etc)"); // Tags are keywords used to explain your videos and should be comma separated. (holiday, beach, Spain, etc)
DEFINE("_HWDVIDS_INFO_PRIVACY","Share your video with everyone or only registered users."); // Share your video with everyone or only registered users.
DEFINE("_HWDVIDS_INFO_GUEST","Guest"); // Guest
DEFINE("_HWDVIDS_INFO_CATEGORY","Category"); // Category
DEFINE("_HWDVIDS_INFO_RATING","Rating"); // Rating
DEFINE("_HWDVIDS_INFO_VIEWS","Views"); // Views
DEFINE("_HWDVIDS_INFO_UPLOADEDBY","Uploaded By"); // Uploaded By
DEFINE("_HWDVIDS_INFO_DURATION","Duration"); // Duration
DEFINE("_HWDVIDS_INFO_SECURECODE","Security Code"); // Security Code
DEFINE("_HWDVIDS_INFO_SUCUPLD","Successfully Uploaded"); // Successfully Uploaded
DEFINE("_HWDVIDS_INFO_UPLDANOTHER","Upload another?"); // Upload another?
DEFINE("_HWDVIDS_INFO_VIDEOWAIT1","Your video is queued for conversion and will appear on our website once this is complete."); // Your video is queued for conversion and will appear on our website once this is complete.
DEFINE("_HWDVIDS_INFO_VIDEOWAIT2","Your video is now waiting approval from our website moderators. Your video will appear once is has been reviewed and accepted."); // Your video is now waiting approval from our website moderators. Your video will appear once is has been reviewed and accepted.
DEFINE("_HWDVIDS_INFO_VIDEOWAIT3","Your video has been added."); // Your video has been added.
DEFINE("_HWDVIDS_INFO_VIDEOWAIT4","Your video is now waiting approval from our website moderators."); // Your video is now waiting approval from our website moderators.
DEFINE("_HWDVIDS_INFO_NOCOMMS","No Comments"); // No Comments
DEFINE("_HWDVIDS_INFO_TOTMEM","Total Members"); // Total Members
DEFINE("_HWDVIDS_INFO_TOTVID","Total Videos"); // Total Videos
DEFINE("_HWDVIDS_INFO_LOG2ADDCOMMS","Please login to add comments"); // Please login to add comments
DEFINE("_HWDVIDS_INFO_NOTDEVELOPED","This feature will become available in the next release"); // This feature will become available in the next release
DEFINE("_HWDVIDS_INFO_PERMDEL1","When you delete videos the files will remain on your server until you permanently delete them using this tool."); // When you delete videos the files will remain on your server until you permanently delete them using this tool.
DEFINE("_HWDVIDS_INFO_PERMDEL2","There are currently "); // There are currently
DEFINE("_HWDVIDS_INFO_PERMDEL3"," video files that can be permanently deleted."); // video files that can be permanently deleted.
DEFINE("_HWDVIDS_INFO_PERMDEL4","Please confirm you wish to permanently delete your unused video files."); // Please confirm you wish to permanently delete your unused video files.
DEFINE("_HWDVIDS_INFO_PERMDEL5","There are no video files to delete!"); // There are no video files to delete!
DEFINE("_HWDVIDS_INFO_CLUP1","Check for errors in your database tables and fix them."); // Check for errors in your database tables and fix them.
DEFINE("_HWDVIDS_INFO_CLUP2","This feature will be available in the first stable release next year."); // This feature will be available in the first stable release next year.
DEFINE("_HWDVIDS_INFO_NOAPPROVES","No Approvals"); // No Approvals
DEFINE("_HWDVIDS_INFO_CONFIRMDELBKUP","Are you sure you want to permanently delete this backup file?"); // Are you sure you want to permanently delete this backup file?
DEFINE("_HWDVIDS_INFO_CONFIRMRESBKUP","WARNING!!! This will delete your current database information and replace it with the backup data. Please make sure you have read all the documentation on this before proceeding. Do you want to proceed?"); // WARNING!!! This will delete your current database information and replace it with the backup data. Please make sure you have read all the documentation on this before proceeding. Do you want to proceed?
DEFINE("_HWDVIDS_INFO_YOUTUBEPASTE","Copy the <b>Embed Code</b> from <a href=\"http://www.youtube.com/\" target=\"_blank\">YouTube</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from YouTube and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_GOOGLEPASTE","Copy the <b>Embed Code</b> from <a href=\"http://video.google.com/\" target=\"_blank\">Google Videos</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Google Videos and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_EYESPOTPASTE","Copy the <b>Embed Code</b> from <a href=\"http://eyespot.com/\" target=\"_blank\">Eyespot</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Eyespot and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_JUMPCUTPASTE","Copy the <b>Embed Code</b> from <a href=\"http://www.jumpcut.com/\" target=\"_blank\">Jumpcut</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Jumpcut and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_REVVERPASTE","Copy the <b>Embed Code</b> from <a href=\"http://revver.com/\" target=\"_blank\">Revver</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Revver and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_VIMEOPASTE","Copy the <b>Embed Code</b> from <a href=\"http://www.vimeo.com/\" target=\"_blank\">Vimeo</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Vimeo and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_BLIPTVPASTE","Copy the <b>Embed Code</b> from <a href=\"http://blip.tv/\" target=\"_blank\">Blip.tv</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Blip.tv and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_STAGE6PASTE","Copy the <b>Embed Code</b> from <a href=\"http://www.stage6.com/\" target=\"_blank\">Stage6</a> and paste it into this box, we will automatically get the rest of the information."); // Copy the Embed Code from Stage6 and paste it into this box, we will automatically get the rest of the information.
DEFINE("_HWDVIDS_INFO_ANYCAT","Search all categories"); // Search all categories

//Frontend Button Text
DEFINE("_HWDCOURSES_BUTTON_CONTINUE","Continue..."); // Continue...
DEFINE("_HWDCOURSES_BUTTON_RATE","Rate"); // Rate
DEFINE("_HWDCOURSES_BUTTON_ADD","Add"); // Add
DEFINE("_HWDVIDS_BUTTON_PERMDELVIDS","Delete Permanently"); // Delete Permanently
DEFINE("_HWDVIDS_BUTTON_PERMDELBKUP","Delete Backup File"); // Delete Backup File
DEFINE("_HWDVIDS_BUTTON_PERMRESBKUP","Restore File"); // Restore File
DEFINE("_HWDVIDS_BUTTON_UPLDINS","Upload File &amp; Install"); // Upload File &amp; Install
DEFINE("_HWDVIDS_BUTTON_SAVE","Save"); // Save
DEFINE("_HWDVIDS_BUTTON_UPDT","Update"); // Update
DEFINE("_HWDVIDS_BUTTON_CANX","Cancel"); // Cancel

//New definitions from hwdVideoShare-1.1.4 Alpha RC2.0

DEFINE("_ADMIN_HWDVIDS_SETT_SOFTINS_YES","If yes, you will be able to use hwdVideoShare to the full potential of the software and accept uploads in all popular video formats."); // If yes, you will be able to use hwdVideoShare to the full potential of the software and accept uploads in all popular video formats.
DEFINE("_ADMIN_HWDVIDS_SETT_SOFTINS_NO","If no, you will not be able to convert videos. hwdVideoShare will only accept uploads in the flv video format."); // If no, you will not be able to convert videos. hwdVideoShare will only accept uploads in the flv video format.
DEFINE("_ADMIN_HWDVIDS_SETT_RECONFLV","Re-convert flv Videos?"); // Re-convert flv Videos?
DEFINE("_ADMIN_HWDVIDS_SETT_RECONFLV_DESC","Do you want to re-convert flv videos using your conversions settings or just copy them directly in to hwdVideoShare? (If you do not have the required third party software the flv files will just be copied directly into the upload folder)"); // Do you want to re-convert flv videos using your conversions settings or just copy them directly in to hwdVideoShare? (If you do not have the required third party software the flv files will just be copied directly into the upload folder)
DEFINE("_ADMIN_HWDVIDS_SETT_CONVERTFLV","Conversion of flv Videos"); // Conversion of flv Videos
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAYERSEL","Select your video player"); // Select your video player
DEFINE("_ADMIN_HWDVIDS_SETT_FLVPLAYERSEL_DESC","Select a video player from the list below to use on your website. This is the player that will be used to play videos users have uploaded to your website from their local computers."); // Select a video player from the list below to use on your website. This is the player that will be used to play videos users have uploaded to your website from their local computers.
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH","Upload Method"); // Upload Method
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH_DESC","Select the upload method you would like to use to process video file uploads. The Advanced (PERL) Method might require manual configuration of Perl Scripts."); // Select the upload method you would like to use to process video file uploads. The Advanced (PERL) Method might require manual configuration of Perl Scripts.
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH_ADVPERL","The <b>Advanced (PERL) Method</b> uses <a href=\"http://uber-uploader.sourceforge.net/\" target=\"_blank\">Uber Uploader</a> to process the uploads via Perl Scripts. This method features a progress bar that will inform the user how much of the file is uploaded. You may need to manually configure the Perl Scripts to function correctly on your server. Please refer to the <a href=\"http://joomla.highwooddesign.co.uk/\" target=\"_blank\">free documentation</a> on our website on how to set up the Perl scripts on your server. You can also directly access the help forums of Uber Uploader project on <a href=\"http://sourceforge.net/forum/?group_id=148921\" target=\"_blank\">SourceForge here</a>."); // The Advanced (PERL) Method uses Uber Uploader to process the uploads via Perl Scripts. This method features a progress bar that will inform the user how much of the file is uploaded. You may need to manually configure the Perl Scripts to function correctly on your server. Please refer to the free documentation on our website on how to set up the Perl scripts on your server. You can also directly access the help forums of Uber Uploader project on SourceForge here.
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH_ADVFLASH","The <b>Advanced (FLASH) Method</b> uses <a href=\"http://www.pixeline.be/experiments/jqUploader/\" target=\"_blank\">jqUploader</a> to process the uploads via a flash-based file upload widget, allowing the display of a progress bar and percentage."); // The Advanced (FLASH) Method uses jqUploader to process the uploads via a flash-based file upload widget, allowing the display of a progress bar and percentage.
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH_ADVAJAX","The <b>Advanced (AJAX) Method</b> is based on the <a href=\"http://www.phpletter.com/\" target=\"_blank\">Ajax File Uploader Plugin</a> for <a href=\"http://jquery.com/\" target=\"_blank\">Jquery</a>."); // The Advanced (AJAX) Method is based on the Ajax File Uploader Plugin for Jquery
DEFINE("_ADMIN_HWDVIDS_SETT_ADVPERL","Advanced (PERL)"); // Advanced (PERL)
DEFINE("_ADMIN_HWDVIDS_SETT_ADVFLASH","Advanced (FLASH)"); // Advanced (FLASH)
DEFINE("_ADMIN_HWDVIDS_SETT_ADVAJAX","Advanced (AJAX)"); // Advanced (AJAX)
DEFINE("_ADMIN_HWDVIDS_SETT_BASPHP","Basic (PHP)"); // Basic (PHP)
DEFINE("_ADMIN_HWDVIDS_SETT_INTEGRATIONSGJ","Group Jive Integration"); // Group Jive Integration
DEFINE("_ADMIN_HWDVIDS_SETT_VISITSITE","[Visit Website]"); // [Visit Website]
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWFT","Allowed Filetypes"); // Allowed Filetypes
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWFT_CHECK","Please select the file formats you wish to accept."); // Please select the file formats you wish to accept.
DEFINE("_ADMIN_HWDVIDS_SETT_ALLOWFT_NOCHECK","You do not have the required third party software to convert video files. <b>You can only accept the flv video format</b>. If you do have the software installed, switch on this setting in the Setup tab."); // You do not have the required third party software to convert video files. You can only accept the flv video format. If you do have the software installed, switch on this setting in the Setup tab.
DEFINE("_ADMIN_HWDVIDS_SETT_MAXFS","Maximum Upload Filesize"); // Maximum Upload Filesize
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLD","Maximum Upload Size (MB)"); // Maximum Upload Size (MB)
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLD_DESC","Enter the maximum upload filesize you wish to accept. See below for some restrictions."); // Enter the maximum upload filesize you wish to accept. See below for some restrictions.
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLD_FLASH","Due to limitations in the flash player, the maximum allowed size for the Flash Uploader is 100 MB"); // Due to limitations in the flash player, the maximum allowed size for the Flash Uploader is 100 MB
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLD_FLASHLIM","Maximum filesize for flash player = 100 MB"); // Maximum filesize for flash player = 100 MB
DEFINE("_ADMIN_HWDVIDS_SETT_RESTRICTFLASH","Flash Restrictions"); // Flash Restrictions
DEFINE("_HWDVIDS_FLASHUPDL_allowedExtDescr","Allowed Video Files"); // Allowed Video Files
DEFINE("_HWDVIDS_FLASHUPDL_validFileMessage","Thank you! Now hit upload."); // Thank you! Now hit upload.
DEFINE("_HWDVIDS_FLASHUPDL_startMessage","Select your video file"); // Select your video file
DEFINE("_HWDVIDS_FLASHUPDL_errorSizeMessage","This file is too large!"); // This file is too large!
DEFINE("_HWDVIDS_FLASHUPDL_progressMessage","Please wait, uploading "); // Please wait, uploading
DEFINE("_HWDVIDS_FLASHUPDL_endMessage","Upload finished!"); // Upload finished!
DEFINE("_HWDVIDS_TITLE_UPLDYVID","Upload Your Video"); // Upload Your Video
DEFINE("_HWDVIDS_TITLE_CHYVID","Choose a file to upload"); // Choose a file to upload
DEFINE("_HWDVIDS_BUTTON_SEND","Send"); // Send
DEFINE("_HWDVIDS_BUTTON_RESET","Reset"); // Reset
DEFINE("_HWDVIDS_BUTTON_UPLOAD","Upload"); // Upload
DEFINE("_HWDVIDS_ALERT_MANCHMOD","You need to make this directory writable:"); // You need to make this directory writable:
DEFINE("_HWDVIDS_ALERT_MANMKDIR","You need to manually create this directory:"); // You need to manually create this directory:
DEFINE("_HWDVIDS_UU_UIP","Upload In Progress"); // Upload In Progress
DEFINE("_HWDVIDS_UU_PC","Percent Complete:"); // Percent Complete:
DEFINE("_HWDVIDS_UU_FU","Files Uploaded:"); // Files Uploaded:
DEFINE("_HWDVIDS_UU_CP","Current Position:"); // Current Position:
DEFINE("_HWDVIDS_UU_ET","Elapsed Time:"); // Elapsed Time:
DEFINE("_HWDVIDS_UU_ETL","Est Time Left:"); // Est Time Left:
DEFINE("_HWDVIDS_UU_ES","Est Speed:"); // Est Speed:
DEFINE("_HWDVIDS_UU_IPB","Initialising Progress Bar ..."); // Initialising Progress Bar ...
DEFINE("_HWDVIDS_UU_NAJAXS","Warning: Your browser does not support AJAX"); // Warning: Your browser does not support AJAX
DEFINE("_ADMIN_HWDVIDS_SETT_PLAYERALIGN","Video Player Alignment"); // Video Player Alignment
DEFINE("_ADMIN_HWDVIDS_SETT_FLVALIGN","Align Player"); // Align Player
DEFINE("_ADMIN_HWDVIDS_SETT_FLVALIGN_DESC","Do you want to align the video player to the left, right or in the centre?"); // Do you want to align the video player to the left, right or in the centre?
DEFINE("_ADMIN_HWDVIDS_SETT_LEFT","Left"); // Left
DEFINE("_ADMIN_HWDVIDS_SETT_RIGHT","Right"); // Right
DEFINE("_ADMIN_HWDVIDS_SETT_CENTER","Centre"); // Centre
DEFINE("_ADMIN_HWDVIDS_SETT_INFOALIGN","Align video information next to video?"); // Align video information next to video?
DEFINE("_ADMIN_HWDVIDS_SETT_INFOALIGN_DESC","If you choose to align the video player to the left or the right you can choose to put the video information next to it. This will maximise the use of space on your website. If you align the video player in the centre you will need to put the information below it."); // If you choose to align the video player to the left or the right you can choose to put the video information next to it. This will maximise the use of space on your website. If you align the video player in the centre you will need to put the information below it.
DEFINE("_ADMIN_HWDVIDS_SETT_SWITCHOFF","Switch Off"); // Switch Off
DEFINE("_HWDVIDS_INFO_NMV","No matching videos"); // No matching videos
DEFINE("_HWDVIDS_INFO_NMG","No matching groups"); // No matching groups
DEFINE("_HWDVIDS_INFO_NFEATG","There are no featured groups"); // There are no featured groups
DEFINE("_HWDVIDS_INFO_NCV","There are no videos in this category"); // There are no videos in this category
DEFINE("_HWDVIDS_INFO_NRV","No Recent Videos"); // No Recent Videos
DEFINE("_HWDVIDS_INFO_NVTD","No videos to display"); // No videos to display
DEFINE("_HWDVIDS_INFO_NEWCODE","New Code?"); // New Code?
DEFINE("_HWDVIDS_INFO_REQUIREDFIELDS","indicates required field"); // indicates required field
DEFINE("_ADMIN_HWDVIDS_SETT_DEFAULTSO","Default Sharing Options"); // Default Sharing Options
DEFINE("_ADMIN_HWDVIDS_SETT_DSACCESS","Default Access Setting"); // Default Access Setting
DEFINE("_ADMIN_HWDVIDS_SETT_DSACCESS_DESC","Set the default access setting for new videos"); // Set the default access setting for new videos
DEFINE("_ADMIN_HWDVIDS_SETT_USACCESS","Can user change?"); // Can user change?
DEFINE("_ADMIN_HWDVIDS_SETT_USACCESS_DESC","Can the user change this default value? If no, then option will not show during uploads"); // Can the user change this default value? If no, then option will not show during uploads
DEFINE("_ADMIN_HWDVIDS_SETT_DSCOMMS","Default Comment Setting"); // Default Comment Setting
DEFINE("_ADMIN_HWDVIDS_SETT_DSCOMMS_DESC","Set the default comment setting for new videos"); // Set the default comment setting for new videos
DEFINE("_ADMIN_HWDVIDS_SETT_USCOMMS","Can user change?"); // Can user change?
DEFINE("_ADMIN_HWDVIDS_SETT_USCOMMS_DESC","Can the user change this default value? If no, then option will not show during uploads"); // Can the user change this default value? If no, then option will not show during uploads
DEFINE("_ADMIN_HWDVIDS_SETT_DSEMBED","Default Embed Setting"); // Default Embed Setting
DEFINE("_ADMIN_HWDVIDS_SETT_DSEMBED_DESC","Set the default comment setting for new videos"); // Set the default comment setting for new videos
DEFINE("_ADMIN_HWDVIDS_SETT_USEMBED","Can user change?"); // Can user change?
DEFINE("_ADMIN_HWDVIDS_SETT_USEMBED_DESC","Can the user change this default value? If no, then option will not show during uploads"); // Can the user change this default value? If no, then option will not show during uploads
DEFINE("_ADMIN_HWDVIDS_SETT_DSRATE","Default Rating Setting"); // Default Rating Setting
DEFINE("_ADMIN_HWDVIDS_SETT_DSRATE_DESC","Set the default comment setting for new videos"); // Set the default comment setting for new videos
DEFINE("_ADMIN_HWDVIDS_SETT_USRATE","Can user change?"); // Can user change?
DEFINE("_ADMIN_HWDVIDS_SETT_USRATE_DESC","Can the user change this default value? If no, then option will not show during uploads"); // Can the user change this default value? If no, then option will not show during uploads
DEFINE("_HWDVIDS_SELECT_EVERYONE","Everybody"); // Everybody
DEFINE("_HWDVIDS_SELECT_ALLREGUSER","All Registered Users"); // All Registered Users
DEFINE("_ADMIN_HWDVIDS_SETT_MAINACCESS","Main Group Access Details"); // Main Group Access Details
DEFINE("_ADMIN_HWDVIDS_SETT_MAINCOMACCESS","Main Component Access"); // Main Component Access
DEFINE("_ADMIN_HWDVIDS_SETT_MAINCOMACCESS_DESC","Set the groups who can access the hwdVideoShare component"); // Set the groups who can access the hwdVideoShare component
DEFINE("_ADMIN_HWDVIDS_SETT_INCLUDECHILD","Include Child groups?"); // Include Child groups?
DEFINE("_ADMIN_HWDVIDS_SETT_INCLUDECHILD_DESC","Do you want to include all child groups from the above selection?"); // Do you want to include all child groups from the above selection?
DEFINE("_ADMIN_HWDVIDS_SETT_UPLOADACCESS","Access to Upload Feature"); // Access to Upload Feature
DEFINE("_ADMIN_HWDVIDS_SETT_UPLOADACCESS_DESC","Set the groups who can upload videos to the hwdVideoShare component"); // Set the groups who can upload videos to the hwdVideoShare component
DEFINE("_ADMIN_HWDVIDS_SETT_GROUPACCESS","Access to Groups Feature"); // Access to Groups Feature
DEFINE("_ADMIN_HWDVIDS_SETT_GROUPACCESS_DESC","Set the Joomla groups who can access the hwdVideoShare group features"); // Set the Joomla groups who can access the hwdVideoShare group features
DEFINE("_ADMIN_HWDVIDS_SETT_CBAVAWIDTH","Avatar Image Width"); // Avatar Image Width
DEFINE("_ADMIN_HWDVIDS_SETT_VIDTHUMB","Video Thumbnails"); // Video Thumbnails
DEFINE("_ADMIN_HWDVIDS_SETT_THUMBW","Width of thumbnails"); // Width of thumbnails
DEFINE("_HWDVIDS_INFO_GADMIN","Group Admin:"); // Group Admin:
DEFINE("_HWDVIDS_ALERT_NOUPLDMETH","The website administrator has disabled all available upload methods."); // The website administrator has disabled all available upload methods.
DEFINE("_HWDVIDS_BUTTON_CONTINUE","Continue..."); // Continue...
DEFINE("_HWDVIDS_AJAX_LOG2RATE","Login to rate"); // Login to rate
DEFINE("_HWDVIDS_AJAX_RATEADDED","Rating added"); // Rating added
DEFINE("_HWDVIDS_AJAX_ALREADYRATE","You've already rated"); // You've already rated
DEFINE("_HWDVIDS_AJAX_BBROKE","Your browser broke!"); // Your browser broke!
DEFINE("_HWDVIDS_AJAX_THANKVOTE","Thanks for voting"); // Thanks for voting
DEFINE("_HWDVIDS_AJAX_ALREADYFAV","Already a favourite"); // Already a favourite
DEFINE("_HWDVIDS_AJAX_ADDEDFAV","Added to favourites"); // Added to favourites
DEFINE("_HWDVIDS_AJAX_REMFAV","Removed from favourites"); // Removed from favourites
DEFINE("_HWDVIDS_AJAX_LOG2FAV1","Login to add"); // Login to add
DEFINE("_HWDVIDS_AJAX_LOG2FAV2","Login to remove"); // Login to remove
DEFINE("_HWDVIDS_AJAX_LOG2REPORT","Login to report"); // Login to report
DEFINE("_HWDVIDS_AJAX_ALREADYREPORT","Already reported"); // Already reported
DEFINE("_HWDVIDS_AJAX_VIDREPORT","Video reported"); // Video reported
DEFINE("_HWDVIDS_AJAX_LOG2ADD2G","Login to add"); // Login to add
DEFINE("_HWDVIDS_INFO_NGV","This group has no videos"); // This group has no videos
DEFINE("_HWDVIDS_INFO_NFV","You do not have any favourite videos"); // You do not have any favourite videos
DEFINE("_HWDVIDS_INFO_NFEATV","There are no featured videos"); // There are no featured videos
DEFINE("_HWDVIDS_INFO_NUV","You have not uploaded any videos"); // You have not uploaded any videos
DEFINE("_HWDVIDS_SECTIONHEAD_CONVERTOR","&laquo; Video Converter &raquo; "); // Video Converter
DEFINE("_HWDVIDS_TITLE_HWDVCONVERTOR","hwdVideoShare Video Converter"); // hwdVideoShare Video Converter
DEFINE("_HWDVIDS_DETAILS_VIEWVID","View Video"); // View Video
DEFINE("_HWDVIDS_BUTTON_SAVEGROUP","Save Group"); // Save Group
DEFINE("_HWDVIDS_BENAV_HP","Homepage"); // Homepage
DEFINE("_HWDVIDS_BENAV_VD","Videos"); // Videos
DEFINE("_HWDVIDS_BENAV_CT","Categories"); // Categories
DEFINE("_HWDVIDS_BENAV_GP","Groups"); // Groups
DEFINE("_HWDVIDS_BENAV_SS","Server Settings"); // Server Settings
DEFINE("_HWDVIDS_BENAV_GS","General Settings"); // General Settings
DEFINE("_HWDVIDS_BENAV_CV","Converter"); // Converter
DEFINE("_HWDVIDS_BENAV_WA","Waiting Approval"); // Waiting Approval
DEFINE("_HWDVIDS_BENAV_PG","Plugins"); // Plugins
DEFINE("_HWDVIDS_BENAV_ED","Export Data"); // Export Data
DEFINE("_HWDVIDS_BENAV_ID","Import Data"); // Import Data
DEFINE("_ADMIN_HWDVIDS_SETT_HEAD1","Path to third party tools"); // Path to third party tools
DEFINE("_ADMIN_HWDVIDS_GS_TAB_SETUP","Setup"); // Setup
DEFINE("_ADMIN_HWDVIDS_GS_TAB_LAYOUT","Layout"); // Layout
DEFINE("_ADMIN_HWDVIDS_GS_TAB_PLAYER","FLV Player"); // FLV Player
DEFINE("_ADMIN_HWDVIDS_GS_TAB_UPLDS","Uploads"); // Uploads
DEFINE("_ADMIN_HWDVIDS_GS_TAB_APVLS","Approvals"); // Approvals
DEFINE("_ADMIN_HWDVIDS_GS_TAB_CONVNS","Conversions"); // Conversions
DEFINE("_ADMIN_HWDVIDS_GS_TAB_NOTFY","Notify"); // Notify
DEFINE("_ADMIN_HWDVIDS_GS_TAB_INTGTN","Integrations"); // Integrations
DEFINE("_ADMIN_HWDVIDS_GS_TAB_ACCESS","Access"); // Access
DEFINE("_ADMIN_HWDVIDS_GS_TAB_ADVERTS","Adverts"); // Adverts
DEFINE("_HWDVIDS_SELECT_TEMPLATE","Select Template"); // Select Template
DEFINE("_HWDVIDS_SELECT_LANGUAGE","Select Language"); // Select Language
DEFINE("_ADMIN_HWDVIDS_SETT_CNVNSET","Video Conversion Settings"); // Video Conversion Setting
DEFINE("_ADMIN_HWDVIDS_SETT_CNVNSET_WARNING","<b style=\"color:#ff0000;\">WARNING:</b> Use these settings with caution! Increasing the quality of the output video can put significant load on your server during the conversion. It will also dramatically increase the filesize of the output video. Make sure you choose your settings carefully because once videos are converted they can not be reconverted using different settings."); // WARNING: Use these settings with caution! Increasing the quality of the output video can put significant load on your server during the conversion. It will also dramatically increase the filesize of the output video. Make sure you choose your settings carefully because once videos are converted they can not be reconverted using different settings.
DEFINE("_ADMIN_HWDVIDS_SETT_CNVTPROG","Convert with MENCODER or FFMPEG?"); // Convert with MENCODER or FFMPEG?
DEFINE("_ADMIN_HWDVIDS_SETT_CNVTPROG_DESC","Which program do you want to use to convert videos? MENCODER or FFMPEG?"); // Which program do you want to use to convert videos? MENCODER or FFMPEG?
DEFINE("_ADMIN_HWDVIDS_SETT_CUSTOMENCODEOPT","Custom Encoding Options"); // Custom Encoding Options
DEFINE("_ADMIN_HWDVIDS_SETT_CUSTOMENCODEOPT_DESC","Add your own custom encoding options. These values will be directly added to the end of the encoding command. (<b>ADVANCED USERS ONLY</b>)"); // Add your own custom encoding options. These values will be directly added to the end of the encoding command. (ADVANCED USERS ONLY)
DEFINE("_ADMIN_HWDVIDS_SETT_WMVFIX","Apply wmv speed fix?"); // Apply wmv speed fix?
DEFINE("_ADMIN_HWDVIDS_SETT_WMVFIX_DESC","If you convert with MENCODER and wmv files play very quickly after they have been converted then switch this to yes."); // If you convert with MENCODER and wmv files play very quickly after they have been converted then switch this to yes.
DEFINE("_ADMIN_HWDVIDS_SETT_THUMBFAIL","Abort conversion if thumb creation fails?"); // Abort conversion if thumb creation fails?
DEFINE("_ADMIN_HWDVIDS_SETT_THUMBFAIL_DESC","Do you want to abort a video conversion if the creation of the thumbnail image fails so that you can retry later?"); // Do you want to abort a video conversion if the creation of the thumbnail image fails so that you can retry later?
DEFINE("_HWDVIDS_SECTIONHEAD_HOME","&laquo; Homepage &raquo;"); // Homepage
DEFINE("_HWDVIDS_ALERT_REGISTERFORGRUP","You need to register and login to access groups.<br /><br />"); // You need to register and login to access groups.
DEFINE("_HWDVIDS_ALERT_GRUP_NOT_AUTHORIZED","You are not authorised to access groups.<br /><br />"); // You are not authorised to access groups.
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLESEARCHBAR","Disable Search Bar"); // Disable Search Bar
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLESEARCHBAR_DESC","Disable the search bar"); // Disable the search bar
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEUSERBAR","Disable User Bar"); // Disable User Bar
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEUSERBAR_DESC","Disable the user bar that displays links to the user's videos, favourite videos and groups (Will only display when a user has logged in)"); // Disable the user bar that displays links to the user's videos, favourite videos and groups (Will only display when a user has logged in)
DEFINE("_HWDVIDS_NAV_YOURVIDS","Your Videos"); // Your Videos
DEFINE("_HWDVIDS_NAV_YOURFAVS","Your Favourites"); // Your Favourites
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNCATE","Title &amp; Description Truncation"); // Title &amp; Description Truncation
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNTITLE","Truncate titles"); // Truncate titles
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNTITLE_DESC","You can choose to truncate the titles of videos and groups on the main list pages to this number of characters"); // You can choose to truncate the titles of videos and groups on the main list pages to this number of characters
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNVDESC","Truncate video descriptions"); // Truncate video descriptions
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNVDESC_DESC","You can choose to truncate the video descriptions of videos and groups on the main list pages to this number of characters"); // You can choose to truncate the video descriptions of videos and groups on the main list pages to this number of characters
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNCDESC","Truncate category descriptions"); // Truncate category descriptions
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNCDESC_DESC","You can choose to truncate the category descriptions of videos and groups on the main list pages to this number of characters"); // You can choose to truncate the category descriptions of videos and groups on the main list pages to this number of characters
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNGDESC","Truncate group descriptions"); // Truncate group descriptions
DEFINE("_ADMIN_HWDVIDS_SETT_TRUNGDESC_DESC","You can choose to truncate the group descriptions of videos and groups on the main list pages to this number of characters"); // You can choose to truncate the group descriptions of videos and groups on the main list pages to this number of characters
DEFINE("_ADMIN_HWDVIDS_SETT_SOCBM","Social Bookmark Links"); // Social Bookmark Links
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRATE","Show rating?"); // Show rating?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRATE_DESC","Show video rating on video list pages?"); // Show video rating on video list pages?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVIEWS","Show views?"); // Show views?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVIEWS_DESC","Show number of views on video list pages?"); // Show number of views on video list pages?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWDURATION","Show duration?"); // Show duration?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWDURATION_DESC","Show duration on video list pages?"); // Show duration on video list pages?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWUPLDER","Show uploader?"); // Show uploader?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWUPLDER_DESC","Show who uploaded video on video list pages?"); // Show who uploaded video on video list pages?
DEFINE("_ADMIN_HWDVIDS_SETT_AUTOCON","Automatic Conversions"); // Automatic Conversions
DEFINE("_ADMIN_HWDVIDS_SETT_COMMSYS","Commenting System Integration"); // Commenting System Integration
DEFINE("_ADMIN_HWDVIDS_SETT_COMMCOM","Commenting Component"); // Commenting Component
DEFINE("_ADMIN_HWDVIDS_SETT_COMMCOM_DESC","Which Joomla commenting component do you wish to use with hwdVideoShare"); // Which Joomla commenting component do you wish to use with hwdVideoShare
DEFINE("_ADMIN_HWDVIDS_SETT_INTGJ","Integrate with GroupJive?"); // Integrate with GroupJive?
DEFINE("_ADMIN_HWDVIDS_SETT_INTGJ_DESC","Integration is under development"); // Integration is under development
DEFINE("_HWDVIDS_INFO_NOINS_JCOMMENTS","jComments is not installed."); // jComments is not installed.
DEFINE("_HWDVIDS_INFO_NOG","No Groups"); // No Groups
DEFINE("_ADMIN_HWDVIDS_GS_TAB_BASIC","Basic"); // Basic
DEFINE("_ADMIN_HWDVIDS_GS_TAB_SHARING","Sharing"); // Sharing
DEFINE("_ADMIN_HWDVIDS_SETT_INFORMUPLDRESTRICT","Inform User of Max Upload Size and Allowed Filetypes"); // Inform User of Max Upload Size and Allowed Filetypes
DEFINE("_ADMIN_HWDVIDS_SETT_INFORMUPLDTYPE","Inform User of Upload Criteria"); // Inform User of Upload Criteria
DEFINE("_ADMIN_HWDVIDS_SETT_INFORMUPLDTYPE_DESC","This will display the maximum filesize and allowed video formats on the upload page."); // This will display the maximum filesize and allowed video formats on the upload page.
DEFINE("_HWDVIDS_INFO_MOREFEATUREDV","More Featured Videos"); // More Featured Videos
DEFINE("_HWDVIDS_INFO_MOREFEATUREDG","More Featured Groups"); // More Featured Groups
DEFINE("_HWDVIDS_INFO_TPPROCESSFAIL","The video code you entered could be processed! Your video has not been added.<br /><br />"); // The video code you entered could be processed! Your video has not been added.
DEFINE("_HWDVIDS_INFO_TPTITLEFAIL","The video's title could not be found"); // The video's title could not be found
DEFINE("_HWDVIDS_INFO_TPDESCFAIL","The video's description could not be found."); // The video's description could not be found.
DEFINE("_HWDVIDS_INFO_TPKWFAIL","The video's keywords could not be found"); // The video's keywords could not be found
DEFINE("_ADMIN_HWDVIDS_SETT_AD1","Advert next to video player"); // Advert next to video player
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWAD1","Show Advert"); // Show Advert
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWAD1_DESC","Do you want to show an advert directly next to the main video player?"); // Do you want to show an advert directly next to the main video player?
DEFINE("_ADMIN_HWDVIDS_SETT_ADSENSE","AdSense Advert"); // AdSense Advert
DEFINE("_ADMIN_HWDVIDS_SETT_CUSTOM","Custom Advert"); // Custom Advert
DEFINE("_ADMIN_HWDVIDS_SETT_AD1CUSTOM","Custom Advert Code"); // Custom Advert Code
DEFINE("_ADMIN_HWDVIDS_SETT_AD1CUSTOM_DESC","Add the code for your custom advert if you do not want to us AdSense"); // Add the code for your custom advert if you do not want to us AdSense
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADCLIENT","Publisher ID"); // Publisher ID
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADCLIENT_DESC","Please type your Publisher ID provided by Google AdSense. It is an alphanumerical string like pub-123456789876543."); // Please type your Publisher ID provided by Google AdSense. It is an alphanumerical string like pub-123456789876543.
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADCHANNEL","Channel number"); // Channel number
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADCHANNEL_DESC","Type the channel number that you may have set in Google AdSense. It is a numerical string like 54656789 and NOT any text string that you can choose."); // Type the channel number that you may have set in Google AdSense. It is a numerical string like 54656789 and NOT any text string that you can choose.
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADTYPE","Ad Type"); // Ad Type
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADTYPE_DESC","Choose the ad types you would like to display on your page. If you are choosing Image Ads only option, please use only these sizes: 728X90 - Leaderboard, 468X60 - Banner, 300X250 - Medium Rectangle, 160X600 - Wide Skyscraper and 120X600 - Skyscraper"); // Choose the ad types you would like to display on your page. If you are choosing Image Ads only option, please use only these sizes: 728X90 - Leaderboard, 468X60 - Banner, 300X250 - Medium Rectangle, 160X600 - Wide Skyscraper and 120X600 - Skyscraper
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADUIF","Corner Styles"); // Corner Styles
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADUIF_DESC","Optionally, choose from one of the pre-designed corner styles."); // Optionally, choose from one of the pre-designed corner styles.
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_TANDI","Text and image (default)"); // Text and image (default)
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_TEXT","Text only"); // Text only
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_IMAGE","Image only"); // Image only
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_SQUARE","Square corners"); // Square corners
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_SR","Slightly rounded corners"); // Slightly rounded corners
DEFINE("_ADMIN_HWDVIDS_SETT_ADS_VR","Very rounded corners"); // Very rounded corners
DEFINE("_ADMIN_HWDVIDS_SETT_AD1LAYOUT","Ad layout"); // Ad layout
DEFINE("_ADMIN_HWDVIDS_SETT_AD1LAYOUT_DESC","Choose the ad format and size that you would like to display on your page."); // Choose the ad format and size that you would like to display on your page.
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM1","468 x 60 Banner"); // 468 x 60 Banner
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM2","234 x 60 Half Banner"); // 234 x 60 Half Banner
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM3","120 x 600 Skyscraper"); // 120 x 600 Skyscraper
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM4","160 x 600 Wide Skyscraper"); // 160 x 600 Wide Skyscraper
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM5","120 x 240 Vertical Banner"); // 120 x 240 Vertical Banner
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM6","336 x 280 Large Rectangle"); // 336 x 280 Large Rectangle
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM7","300 x 250 Medium rectangle"); // 300 x 250 Medium rectangle
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM8","250 x 250 Square"); // 250 x 250 Square
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM9","200 x 200 Small Square"); // 200 x 200 Small Square
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM10","180 x 150 Small Rectangle"); // 180 x 150 Small Rectangle
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM11","125 x 125 Button"); // 125 x 125 Button
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM12","728 x 90 Leaderboard"); // 728 x 90 Leaderboard
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM13","728 x 15 Adlink 4 links"); // 728 x 15 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM14","468 x 15 Adlink 4 links"); // 468 x 15 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM15","120 x 90 Adlink 4 links"); // 120 x 90 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM16","160 x 90 Adlink 4 links"); // 160 x 90 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM17","180 x 90 Adlink 4 links"); // 180 x 90 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM18","200 x 90 Adlink 4 links"); // 200 x 90 Adlink 4 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM19","728 x 15 Adlink 5 links"); // 728 x 15 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM20","468 x 15 Adlink 5 links"); // 468 x 15 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM21","120 x 90 Adlink 5 links"); // 120 x 90 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM22","160 x 90 Adlink 5 links"); // 160 x 90 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM23","180 x 90 Adlink 5 links"); // 180 x 90 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1FORM24","200 x 90 Adlink 5 links"); // 200 x 90 Adlink 5 links
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADBORDER","Border Colour"); // Border Colour
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADBORDER_DESC","Border colour, in hex, without #"); // Border colour, in hex, without #
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADBG","Background Colour"); // Background Colour
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADBG_DESC","Background colour, in hex, without #"); // Background colour, in hex, without #
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADLINK","Link Colour"); // Link Colour
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADLINK_DESC","Link colour, in hex, without #"); // Link colour, in hex, without #
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADTEXT","Text Colour"); // Text Colour
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADTEXT_DESC","Text colour, in hex, without #"); // Text colour, in hex, without #
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADURL","URL Colour"); // URL Colour
DEFINE("_ADMIN_HWDVIDS_SETT_AD1ADURL_DESC","URL colour, in hex, without #"); // URL colour, in hex, without #
DEFINE("_ADMIN_HWDVIDS_SETT_AD1UIF","Corner Styles"); // Corner Styles
DEFINE("_ADMIN_HWDVIDS_SETT_AD1UIF_DESC","Optionally, choose from one of the pre-designed corner styles."); // Optionally, choose from one of the pre-designed corner styles.
DEFINE("_HWDVIDS_DETAILS_MARKVASREAD","Disregard Report (Keep Video)"); // Disregard Report (Keep Video)
DEFINE("_HWDVIDS_DETAILS_MARKGASREAD","Disregard Report (Keep Group)"); // Disregard Report (Keep Group)
DEFINE("_ADMIN_HWDVIDS_SETT_FLVAUTOSTART","Auto Start?"); // Auto Start?
DEFINE("_ADMIN_HWDVIDS_SETT_FLVAUTOSTART_DESC","Automatically start the video player when the page is loaded?"); // Automatically start the video player when the page is loaded?
DEFINE("_ADMIN_HWDVIDS_SETT_FLVOVERSTRETCH","Over Stretch?"); // Over Stretch?
DEFINE("_ADMIN_HWDVIDS_SETT_FLVOVERSTRETCH_DESC","This will stretch the video to fit the size of the video player, ignoring the original dimensions of the video file. [CHECK BELOW FOR USAGE INSTRUCTIONS]"); // This will stretch the video to fit the size of the video player, ignoring the original dimensions of the video file. [CHECK BELOW FOR USAGE INSTRUCTIONS]
DEFINE("_ADMIN_HWDVIDS_SETT_FLVLOGO","Player Logo"); // Player Logo
DEFINE("_ADMIN_HWDVIDS_SETT_FLVLOGO_DESC","Set this to an image that can be put as a watermark logo on the video player. Transparent PNG files give the best results. [CHECK BELOW FOR USAGE INSTRUCTIONS]"); // Set this to an image that can be put as a watermark logo on the video player. Transparent PNG files give the best results. [CHECK BELOW FOR USAGE INSTRUCTIONS]
DEFINE("_ADMIN_HWDVIDS_SETT_FLVVOLUME","Starting Volume"); // Starting Volume
DEFINE("_ADMIN_HWDVIDS_SETT_FLVVOLUME_DESC","The starting volume of the player. This can later be changed by the user. [CHECK BELOW FOR USAGE INSTRUCTIONS]"); // The starting volume of the player. This can later be changed by the user. [CHECK BELOW FOR USAGE INSTRUCTIONS]
DEFINE("_ADMIN_HWDVIDS_SETT_FLVBG","Background Colour"); // Background Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVBG_DESC","Background colour of the player controls, in HEX format. [CHECK BELOW FOR USAGE INSTRUCTIONS]"); // Background colour of the player controls, in HEX format. [CHECK BELOW FOR USAGE INSTRUCTIONS]
DEFINE("_ADMIN_HWDVIDS_SETT_FLVFG","Foreground Colour"); // Foreground Colour
DEFINE("_ADMIN_HWDVIDS_SETT_FLVFG_DESC","Foreground colour of the player controls, in HEX format. [CHECK BELOW FOR USAGE INSTRUCTIONS]"); // Foreground colour of the player controls, in HEX format. [CHECK BELOW FOR USAGE INSTRUCTIONS]
DEFINE("_ADMIN_HWDVIDS_SETT_FPORDER","Order of Frontpage Videos"); // Order of Frontpage Videos
DEFINE("_ADMIN_HWDVIDS_SETT_FPORDER_DESC","Select the order of the video lists on the component frontpage"); // Select the order of the video lists on the component frontpage
DEFINE("_ADMIN_HWDVIDS_SETT_FPORDER_RECENT","Most Recent"); // Most Recent
DEFINE("_ADMIN_HWDVIDS_SETT_FPORDER_POPULAR","Most Popular"); // Most Popular
DEFINE("_ADMIN_HWDVIDS_SETT_FPORDER_VIEWED","Most Viewed"); // Most Viewed
DEFINE("_HWDVIDS_TITLE_POPULARVIDEOS","Popular Videos"); // Popular Videos
DEFINE("_HWDVIDS_TITLE_MOSTVIEWEDVIDS","Most Viewed Videos"); // Most Viewed Videos
DEFINE("_ADMIN_HWDVIDS_SETT_PERLSCRIPTSETUP","How to Setup the Advanced Perl Upload Method"); // How to Setup the Advanced Perl Upload Method
DEFINE("_HWDVIDS_SECTIONHEAD_IMPORT", "&laquo; Import Data &raquo; "); // Import Data
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_FTP", "Add Videos by FTP"); // Add Videos by FTP
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_VCLIP", "Import Videos from VClip"); // Import Videos from VClip
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_PHPM", "Import Videos from PHPMotion"); // Import Videos from PHPMotion
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_CSV", "Import Videos from CSV File"); // Import Videos from CSV File
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_SQL", "Import Videos from SQL Backup File"); // Import Videos from SQL Backup File
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_UD", "This tool is under development."); // This tool is under development.
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_FTP","FTP Upload"); // FTP Upload
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_REMOTE","Remote"); // Remote
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_SQL","SQL Import"); // SQL Import
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_CSV","CSV Import"); // CSV Import
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_PHPM","PHPMotion"); // PHPMotion
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_VCLIP","vClip"); // vClip
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_FTP_DESC","Use this tool to manually add videos by FTP one at a time. You can upload your large video file and then add the information about the video using the form below. Please note you can only add videos in the FLV video format. You can download <a href=\"http://www.download.com/\" target=\"_blank\">free software</a> for Windows that can convert videos into the FLV video format. Please follow the instructions carefully."); // Use this tool to manually add videos by FTP. You can upload your large video file and then add the information about the video using the form below. Please note you can only add videos in the FLV video format. You can download free software for Windows that can convert videos into the FLV video format. Please follow the instructions carefully.
DEFINE("_HWDVIDS_ALERT_ERRFTP","There has been some kind of error whilst processing the FTP video information. Please try again later."); // There has been some kind of error whilst processing the FTP video information. Please try again later.
DEFINE("_HWDVIDS_ALERT_SUCFTP","Success! Your video information has been added. Don't forget to upload your video file."); // Success! Your video information has been added. Don't forget to upload your video file.
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_REM","Add videos from a remote location"); // Add videos from a remote location
DEFINE("_ADMIN_HWDVIDS_SETT_IMPT_REM_DESC","Use this tool to add videos from an external source. The location can be on any server as long as the file is publicly accessible. Please note you can only add videos in the FLV video format."); // Use this tool to add videos from an external source. The location can be on any server as long as the file is publicly accessible. Please note you can only add videos in the FLV video format.
DEFINE("_HWDVIDS_DETAILS_VREMURL","URL of remote FLV video"); // URL of remote FLV video
DEFINE("_HWDVIDS_DETAILS_IMGREMURL","URL of thumbnail image"); // URL of thumbnail image
DEFINE("_ADMIN_HWDVIDS_VBITRATE","Video Bitrate"); // Video Bitrate
DEFINE("_ADMIN_HWDVIDS_VBITRATE_DESC","Set the video bitrate in kbit/s (default = 200 kb/s)"); // Set the video bitrate in kbit/s (default = 200 kb/s)
DEFINE("_ADMIN_HWDVIDS_ABITRATE","Audio Bitrate"); // Audio Bitrate
DEFINE("_ADMIN_HWDVIDS_ABITRATE_DESC","Set the audio bitrate in kbit/s (default = 64)"); // Set the audio bitrate in kbit/s (default = 64)
DEFINE("_ADMIN_HWDVIDS_ASR","Audio Sample Rate"); // Audio Sample Rate
DEFINE("_ADMIN_HWDVIDS_ASR_DESC","Set the audio samplerate in Hz (default = 44100 Hz)"); // Set the audio samplerate in Hz (default = 44100 Hz)
DEFINE("_ADMIN_HWDVIDS_FSIZE","Video Frame Size"); // Video Frame Size
DEFINE("_ADMIN_HWDVIDS_FSIZE_DESC","Set frame size. The format is WxH (default 160x128 )"); // Set frame size. The format is WxH (default 160x128 )
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VP","16 kbit/s - Videophone Quality"); // 16 kbit/s - Videophone Quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC2","200 kbit/s - Video-conferencing system quality"); // 200 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC3","300 kbit/s - Video-conferencing system quality"); // 300 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC4","400 kbit/s - Video-conferencing system quality"); // 400 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC5","500 kbit/s - Video-conferencing system quality"); // 500 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC6","600 kbit/s - Video-conferencing system quality"); // 600 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC7","700 kbit/s - Video-conferencing system quality"); // 700 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC8","800 kbit/s - Video-conferencing system quality"); // 800 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC9","900 kbit/s - Video-conferencing system quality"); // 900 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VC10","1000 kbit/s - Video-conferencing system quality"); // 1000 kbit/s - Video-conferencing system quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_VCD","1250 kbit/s - VCD quality"); // 1250 kbit/s - VCD quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_DVD","5000 kbit/s - DVD quality"); // 5000 kbit/s - DVD quality
DEFINE("_ADMIN_HWDVIDS_VBITRATE_HDTV","15000 kbit/s - HDTV quality"); // 15000 kbit/s - HDTV quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_AM","32 kbit/s - AM quality"); // 32 kbit/s - AM quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_DF","64 kbit/s - Default quality"); // 64 kbit/s - Default quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_FM","96 kbit/s - FM quality"); // 96 kbit/s - FM quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_ST","128 kbit/s - Standard Bitrate quality"); // 128 kbit/s - Standard Bitrate quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_DBA","192 kbit/s - DAB (Digital Audio Broadcasting) quality"); // 192 kbit/s - DAB (Digital Audio Broadcasting) quality
DEFINE("_ADMIN_HWDVIDS_ABITRATE_CD","224 kbit/s - CD quality"); // 224 kbit/s - CD quality
DEFINE("_ADMIN_HWDVIDS_ASR_TELE","8,000 Hz - Telephone and encrypted walkie-talkie"); // 8,000 Hz - Telephone and encrypted walkie-talkie
DEFINE("_ADMIN_HWDVIDS_ASR_QURT","11,025 Hz - One quarter the sampling rate of audio CDs; used for lower-quality PCM"); // 11,025 Hz - One quarter the sampling rate of audio CDs; used for lower-quality PCM
DEFINE("_ADMIN_HWDVIDS_ASR_HALF","22,050 Hz - One half the sampling rate of audio CDs; used for lower-quality PCM"); // 22,050 Hz - One half the sampling rate of audio CDs; used for lower-quality PCM
DEFINE("_ADMIN_HWDVIDS_ASR_MINIDV","32,000 Hz - MiniDV digital video camcorder"); // 32,000 Hz - MiniDV digital video camcorder
DEFINE("_ADMIN_HWDVIDS_ASR_NTSC","44,056 Hz - PCM adaptor using NTSC video tapes"); // 44,056 Hz - PCM adaptor using NTSC video tapes
DEFINE("_ADMIN_HWDVIDS_ASR_CD","44,100 Hz - Audio CD"); // 44,100 Hz - Audio CD
DEFINE("_ADMIN_HWDVIDS_ASR_PCM","47,250 Hz - World's first commercial PCM"); // 47,250 Hz - World's first commercial PCM
DEFINE("_ADMIN_HWDVIDS_ASR_DTV","48,000 Hz - Digital sound used for miniDV and digital TV"); // 48,000 Hz - Digital sound used for miniDV and digital TV
DEFINE("_ADMIN_HWDVIDS_ASR_AREC","50,000 Hz - First commercial digital audio recorders from 3M and Soundstream"); // 50,000 Hz - First commercial digital audio recorders from 3M and Soundstream
DEFINE("_ADMIN_HWDVIDS_FSIZE_DF","DEFAULT 160x128 [4:3]"); // DEFAULT 160x128 [4:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_QVGA","QVGA 320x240 [4:3]"); // QVGA 320x240 [4:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_CGA","CGA 320x200 [8:5]"); // CGA 320x200 [8:5]
DEFINE("_ADMIN_HWDVIDS_FSIZE_VGA","VGA 640x480 [4:3]"); // VGA 640x480 [4:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_NTSC","NTSC 720x480 [3:2]"); // NTSC 720x480 [3:2]
DEFINE("_ADMIN_HWDVIDS_FSIZE_PAL","PAL 768x576 [4:3]"); // PAL 768x576 [4:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_SVGA","SVGA 800x600 [4:3]"); // SVGA 800x600 [4:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_WVGA1","WVGA 800x480 [5:3]"); // WVGA 800x480 [5:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_WVGA2","WVGA 854x480 [16:9]"); // WVGA 854x480 [16:9]
DEFINE("_ADMIN_HWDVIDS_FSIZE_WSVGA","WSVGA 1024x600"); // WSVGA 1024x600
DEFINE("_ADMIN_HWDVIDS_FSIZE_SXGA","SXGA 1280x1024 [5:4]"); // SXGA 1280x1024 [5:4]
DEFINE("_ADMIN_HWDVIDS_FSIZE_HD720","HD720 1280x720 [16:9]"); // HD720 1280x720 [16:9]
DEFINE("_ADMIN_HWDVIDS_FSIZE_WXGA1","WXGA 1280x768 [5:3]"); // WXGA 1280x768 [5:3]
DEFINE("_ADMIN_HWDVIDS_FSIZE_WXGA2","WXGA 1280x800 [8:5]"); // WXGA 1280x800 [8:5]
DEFINE("_HWDVIDS_ALERT_NOUPLOAD","Your video could not be uploaded, please try again later.<br /><br />"); // Your video could not be uploaded, please try again later.
DEFINE("_HWDVIDS_ALERT_LOADRATE","Loading rating system"); // Loading rating system
DEFINE("_ADMIN_HWDVIDS_SETT_VERIFYTHUMBSEXIST","Verify Third Party Thumbnails Exist?"); // Verify Third Party Thumbnails Exist?
DEFINE("_ADMIN_HWDVIDS_SETT_VERIFYTHUMBSEXIST_DESC","hwdVideoShare tries to verify the existence of third party thumbnail images (From YouTube and GoogleVideo etc) with the <b>get_headers</b> php function. If the thumbnail image does not exist the default thumbnail image will be shown instead. Additionally, if the <b>get_headers</b> function is not available then the default thumbnail image will always be shown, regardless of whether the real image exists or not. Set this value to No if you want to overwrite this option and always use the third party thumbnail without verifying it's existence with the <b>get_headers</b> function."); // hwdVideoShare tries to verify the existence of third party thumbnail images (From YouTube and GoogleVideo etc) with the get_headers php function. If the thumbnail image does not exist the default thumbnail image will be shown instead. Additionally, if the get_headers function is not available then the default thumbnail image will always be shown, regardless of whether the real image exists or not. Set this value to No if you want to overwrite this option and always use the third party thumbnail without verifying it's existence with the get_headers function.
DEFINE("_ADMIN_HWDVIDS_SETT_RATESYS","Video rating method"); // Video rating method
DEFINE("_ADMIN_HWDVIDS_SETT_FAVSYS","Add to favourite method"); // Add to favourite method
DEFINE("_ADMIN_HWDVIDS_SETT_FAVSYS_DESC","Select the method (POST or AJAX) that users will use to add videos to their favourites. The AJAX method will not interrupt video playback."); // Select the method (POST or AJAX) that users will use to add videos to their favourites. The AJAX method will not interrupt video playback.
DEFINE("_ADMIN_HWDVIDS_SETT_REPORTSYS","Report video method"); // Report video method
DEFINE("_ADMIN_HWDVIDS_SETT_REPORTSYS_DESC","Select the method (POST or AJAX) that users will use to report inappropriate videos. The AJAX method will not interrupt video playback."); // Select the method (POST or AJAX) that users will use to report inappropriate videos. The AJAX method will not interrupt video playback.
DEFINE("_ADMIN_HWDVIDS_SETT_A2GSYS","Add to group method"); // Add to group method
DEFINE("_ADMIN_HWDVIDS_SETT_A2GSYS_DESC","Select the method (POST or AJAX) that users will use to add videos to groups. The AJAX method will not interrupt video playback."); // Select the method (POST or AJAX) that users will use to add videos to groups. The AJAX method will not interrupt video playback.
DEFINE("_HWDVIDS_INFO_NOINS_JOMCOMMENTS","JomComments Mambot is not installed."); // JomComments Mambot is not installed.
DEFINE("_ADMIN_HWDVIDS_HOME_02","hwdVideoShare is an open source video sharing php script, that is a native component for the Joomla CMS."); // hwdVideoShare is an open source video sharing php script, that is a native component for the Joomla CMS.
DEFINE("_ADMIN_HWDVIDS_HOME_03","It has been designed for use in social networking video sharing websites to enable the sharing of video media between users. It has similar functionality to other popular video sharing websites like <a href=\"http://www.youtube.com\" target=\"_blank\">You Tube</a>."); // It has been designed for use in social networking video sharing websites to enable the sharing of video media between users. It has similar functionality to other popular video sharing websites like You Tube.
DEFINE("_ADMIN_HWDVIDS_HOME_04","This is an Alpha release of hwdVideoShare. There are still issues with this software that Highwood Design is trying to overcome."); // This is an Alpha release of hwdVideoShare. There are still issues with this software that Highwood Design is trying to overcome.
DEFINE("_ADMIN_HWDVIDS_HOME_05","This program is distributed with the hope to be useful but WITHOUT ANY WARRANTY!"); // This program is distributed with the hope to be useful but WITHOUT ANY WARRANTY!
DEFINE("_ADMIN_HWDVIDS_HOME_06","How Does hwdVideoShare Work?"); // How Does hwdVideoShare Work?
DEFINE("_ADMIN_HWDVIDS_HOME_07","hwdVideoShare Schematic Diagram"); // hwdVideoShare Schematic Diagram
DEFINE("_ADMIN_HWDVIDS_HOME_08","Requirements"); // Requirements
DEFINE("_ADMIN_HWDVIDS_HOME_09","or"); // or
DEFINE("_ADMIN_HWDVIDS_HOME_10","(Joomla 1.5 requires Legacy Support)"); // (Joomla 1.5 requires Legacy Support)
DEFINE("_ADMIN_HWDVIDS_HOME_11","Converting Videos After Upload [queuedforconversion]"); // Converting Videos After Upload [queuedforconversion]
DEFINE("_ADMIN_HWDVIDS_HOME_12","If a video is added by uploading a video file to your server it will need to be converted by software on your server before it appears on your website. You can check the status of uploaded videos by clicking on the <b>Video</b> menu in the administration section of hwdVideoShare."); // If a video is added by uploading a video file to your server it will need to be converted by software on your server before it appears on your website. You can check the status of uploaded videos by clicking on the Video menu in the administration section of hwdVideoShare.
DEFINE("_ADMIN_HWDVIDS_HOME_13","You can setup hwdVideoShare so it will sent new video files directly to the converter immediately after the upload is finished. Go to the <b>General Settings</b> menu option and then click on the <b>Conversions</b> tab."); // You can setup hwdVideoShare so it will sent new video files directly to the converter immediately after the upload is finished. Go to the General Settings menu option and then click on the Conversions tab.
DEFINE("_ADMIN_HWDVIDS_HOME_14","If new videos are not being converted you can use the manual converter in the hwdVideoShare. This will give much more information about why videos are not being converted."); // If new videos are not being converted you can use the manual converter in the hwdVideoShare. This will give much more information about why videos are not being converted.
DEFINE("_ADMIN_HWDVIDS_HOME_15","The converter script should not be interrupted whilst it is being executed."); // The converter script should not be interrupted whilst it is being executed.
DEFINE("_ADMIN_HWDVIDS_HOME_16","For <a href=\"http://joomla.highwooddesign.co.uk\" target=\"_blank\">documentation</a> on debugging this conversion process please see the Highwood Design website."); // For documentation on debugging this conversion process please see the Highwood Design website.
DEFINE("_ADMIN_HWDVIDS_HOME_17","If you do not have the required software installed on your server then the video conversions will fail."); // If you do not have the required software installed on your server then the video conversions will fail.
DEFINE("_ADMIN_HWDVIDS_HOME_18","You can disable the use of the conversion software in hwdVideoShare however, hwdVideoShare will only run with limited features."); // You can disable the use of the conversion software in hwdVideoShare however, hwdVideoShare will only run with limited features.
DEFINE("_ADMIN_HWDVIDS_HOME_19","Videos that are added from third party websites (Such as YouTube) do not need to be converted and will appear immediately on your website. If you plan on only hwdVideoShare to only share videos from external website like YouTube then you do not need any of the required software for hwdVideoShare to function correctly."); // Videos that are added from third party websites (Such as YouTube) do not need to be converted and will appear immediately on your website. If you plan on only hwdVideoShare to only share videos from external website like YouTube then you do not need any of the required software for hwdVideoShare to function correctly.
DEFINE("_ADMIN_HWDVIDS_HOME_20","Creating Thumbnail Images [queuedforthumbnail]"); // Creating Thumbnail Images [queuedforthumbnail]
DEFINE("_ADMIN_HWDVIDS_HOME_21","You can setup hwdVideoShare to not reconvert FLV files when they are uploaded. To do this go to the <b>General Settings</b> menu option and then click on the <b>Conversions</b> tab."); // You can setup hwdVideoShare to not reconvert FLV files when they are uploaded. To do this go to the General Settings menu option and then click on the Conversions tab.
DEFINE("_ADMIN_HWDVIDS_HOME_22","If you choose to not reconvert FLV files then any new FLV uploads will be marked as \"queuedforthumbnail\". When the conversion script runs the FLV file will be copied directly into the upload directory, but not reconverted. A thumbnail image of the video will be created and the conversion will be marked as complete."); // If you choose to not reconvert FLV files then any new FLV uploads will be marked as \"queuedforthumbnail\". When the conversion script runs the FLV file will be copied directly into the upload directory, but not reconverted. A thumbnail image of the video will be created and the conversion will be marked as complete.
DEFINE("_ADMIN_HWDVIDS_HOME_23","Third Party Videos"); // Third Party Videos
DEFINE("_ADMIN_HWDVIDS_HOME_24","Instead of uploading video files to your server your users can also add videos from third party video websites like YouTube and GoogleVideo."); // Instead of uploading video files to your server your users can also add videos from third party video websites like YouTube and GoogleVideo.
DEFINE("_ADMIN_HWDVIDS_HOME_25","Adding videos from third party video websites means that you <b>do not</b> need MENCODER or FFMPEG on your server."); // Adding videos from third party video websites means that you <b>do not</b> need MENCODER or FFMPEG on your server.
DEFINE("_ADMIN_HWDVIDS_HOME_26","Acknowledgements"); // Acknowledgements
DEFINE("_ADMIN_HWDVIDS_HOME_27","Highwood Design would like to acknowledge the following excellent projects:"); // Highwood Design would like to acknowledge the following excellent projects:
DEFINE("_ADMIN_HWDVIDS_HOME_28","Developer"); // Developer
DEFINE("_ADMIN_HWDVIDS_HOME_29","Released under the"); // Released under the
DEFINE("_ADMIN_HWDVIDS_HOME_30","Documentation &#38; Support"); // Documentation &#38; Support
DEFINE("_ADMIN_HWDVIDS_HOME_31","You can browse a number of free documentation articles on the <a href=\"http://hwdmediashare.co.uk\" target=\"_blank\">Highwood Design</a> website. These articles cover the basics of setting up hwdVideoShare."); // You can browse a number of free documentation articles on the Highwood Design website. These articles cover the basics of setting up hwdVideoShare.
DEFINE("_ADMIN_HWDVIDS_HOME_32","You can also visit the Highwood Design discussion forums where you might find the answer to any questions or can start new discussions about new problems or issues."); // You can also visit the Highwood Design discussion forums where you might find the answer to any questions or can start new discussions about new problems or issues.
DEFINE("_ADMIN_HWDVIDS_HOME_33","We encourage you to <a href=\"http://hwdmediashare.co.uk\" target=\"_blank\">subscribe</a> to the Highwood Design website for access to all the documentation, forums, modules, community builder plugins and mambots."); // We encourage you to subscribe to the Highwood Design website for access to all the documentation, forums, modules, community builder plugins and mambots.
DEFINE("_ADMIN_HWDVIDS_HOME_34","It only <b>costs a few pounds to subscribe</b> for the year and will help us release new and better extensions."); // It only costs a few pounds to subscribe for the year and will help us release new and better extensions.
DEFINE("_HWDVIDS_DETAILS_RAI","Reported As Inappropriate"); // Reported As Inappropriate
DEFINE("_HWDVIDS_LINKS_BACK","&laquo; Back"); // &laquo; Back
DEFINE("_HWDVIDS_DETAILS_VDURATION","Video Duration"); // Video Duration
DEFINE("_HWDVIDS_DETAILS_CRATING","Current Rating"); // Current Rating
DEFINE("_HWDVIDS_DETAILS_FLOC","File Location"); // File Location
DEFINE("_HWDVIDS_DETAILS_SOTS","Stored on this server"); // Stored on this server
DEFINE("_HWDVIDS_DETAILS_FNAME","Filename"); // Filename
DEFINE("_HWDVIDS_DETAILS_REMSER","On a remote (third party) server"); // On a remote (third party) server
DEFINE("_HWDVIDS_DETAILS_VACC","Access Level"); // Access Level
DEFINE("_HWDVIDS_DETAILS_VIDUSER","User"); // User
DEFINE("_HWDVIDS_DETAILS_VIDFAVRD","Favoured"); // Favoured
DEFINE("_HWDVIDS_DETAILS_TIMES","times"); // times
DEFINE("_HWDVIDS_INFO_QFCON","Videos Queued For Video Conversion"); // Videos Queued For Video Conversion
DEFINE("_HWDVIDS_INFO_QFTUM","Videos Queued For Thumbnail Creation"); // Videos Queued For Thumbnail Creation
DEFINE("_HWDVIDS_INFO_WATCHVID","Watch Video"); // Watch Video
DEFINE("_HWDVIDS_INFO_VIEWG","View Group"); // View Group
DEFINE("_HWDVIDS_INFO_ENABLEJAVA","Please enable Java Script in your browser or use a different browser to view this video. You might also need to <a href=\"http://www.adobe.com/shockwave/download/download.cgi?P1_Prod_Version=ShockwaveFlash\" target=\"_blank\">update your flash player</a>."); // Please enable Java Script in your browser or use a different browser to view this video. You might also need to update your flash player.
DEFINE("_HWDVIDS_INFO_VTYPENOTSUPPORT","This video is no longer supported by this website"); // This video is no longer supported by this website
DEFINE("_HWDVIDS_INFO_CONT","Continue ..."); // Continue ...
DEFINE("_HWDVIDS_ALERT_MOREPLUGSATHD","Download more Templates, Languages & Third Party Plugins from the <a href=\"http://joomla.highwooddesign.co.uk\" target=\"_blank\">Highwood Design</a> website"); // Download more Templates, Languages & Third Party Plugins from the Highwood Design website
DEFINE("_HWDVIDS_INFO_VIDURL","Video URL"); // Video URL
DEFINE("_HWDVIDS_INFO_VIDEMBEDCODE","Embed Code"); // Embed Code
DEFINE("_HWDVIDS_EXPORT_TOEMAIL","To Email Address"); // To Email Address
DEFINE("_HWDVIDS_EXPORT_TOEMAIL_TT","Email address to send the backup file to. Leave empty to send to the system default email address."); // Email address to send the backup file to. Leave empty to send to the system default email address.
DEFINE("_HWDVIDS_EXPORT_SUBJECT","Subject"); // Subject
DEFINE("_HWDVIDS_EXPORT_SUBJECT_TT","Subject of the backup email."); // Subject of the backup email.
DEFINE("_HWDVIDS_EXPORT_SUBJECT_DEFAULT","hwdVideoShare SQL Backup"); // hwdVideoShare SQL Backup
DEFINE("_HWDVIDS_EXPORT_BODY","Body"); // Body
DEFINE("_HWDVIDS_EXPORT_BODY_TT","Body of the backup email."); // Body of the backup email.
DEFINE("_HWDVIDS_EXPORT_BODY_DEFAULT","hwdVideoShare backup completed successfully at "); // hwdVideoShare backup completed successfully at
DEFINE("_HWDVIDS_EXPORT_SUCCESS","Success! The backup email has been sent."); // Success! The backup email has been sent.
DEFINE("_HWDVIDS_EXPORT_DELETE0","Not deleting backup file"); // Not deleting backup file
DEFINE("_HWDVIDS_EXPORT_DELETE1","Deleting backup file"); // Deleting backup file
DEFINE("_HWDVIDS_INFO_EMBEDDISABLED","Embedding disabled"); // Embedding disabled
DEFINE("_HWDVIDS_INFO_CONFIGF1","The configuration file is"); // The configuration file is
DEFINE("_HWDVIDS_INFO_CONFIGF2","writable"); // writable
DEFINE("_HWDVIDS_INFO_CONFIGF3","not writable"); // not writable
DEFINE("_HWDVIDS_INFO_PROCESSING","Processing"); // Processing
DEFINE("_HWDVIDS_INFO_PROCESSINGWAIT","Uploading... Please be patient whilst your video is uploaded."); // Uploading... Please be patient whilst your video is uploaded.
DEFINE("_HWDVIDS_INFO_AUTOA2G","Join this group"); // Join this group
DEFINE("_HWDVIDS_ALERT_INVALVOTE","Sorry, vote appears to be invalid."); // Sorry, vote appears to be invalid.
DEFINE("_HWDVIDS_INFO_CURRENTRATE","Current rating."); // Current rating.
DEFINE("_HWDVIDS_INFO_RATED","Rating: "); // Rating:
DEFINE("_HWDVIDS_ALERT_THANKSVOTER","Thanks for voting!"); // Thanks for voting!
DEFINE("_HWDVIDS_INFO_M_VOTE","Vote"); // Vote
DEFINE("_HWDVIDS_INFO_M_VOTES","Votes"); // Votes
DEFINE("_HWDVIDS_INFO_M_CURR","Currently "); // Currently
DEFINE("_HWDVIDS_INFO_M_CAST","cast"); // cast // as in "Votes Cast"
DEFINE("_HWDVIDS_INFO_M_TI","This is"); // This is
DEFINE("_HWDVIDS_ALERTCO1","The video"); // The video
DEFINE("_HWDVIDS_ALERTCO2","is currently being edited by another administrator."); // is currently being edited by another administrator.
DEFINE("_HWDVIDS_ALT_USRPRO","User Profile"); // User Profile
DEFINE("_HWDVIDS_ALT_RATED","Rated"); // Rated
DEFINE("_HWDVIDS_INFO_LIMUPLD","Your video upload is limited to"); // Your video upload is limited to
DEFINE("_HWDVIDS_INFO_ALLUPLD","You may upload videos with these formats:"); // You may upload videos with these formats:
DEFINE("_HWDVIDS_WARNING_WARNING","Warning:"); // Warning:
DEFINE("_HWDVIDS_WARNING_EJFU","Javascript must be enabled to use this uploader."); // Javascript must be enabled to use this uploader.
DEFINE("_HWDVIDS_TOOLBAR_HOME","Homepage"); // Homepage
DEFINE("_HWDVIDS_TOOLBAR_FEATURE","Feature"); // Feature
DEFINE("_HWDVIDS_TOOLBAR_UNFEATURE","Unfeature"); // Unfeature
DEFINE("_HWDVIDS_TOOLBAR_EDIT","Edit"); // Edit
DEFINE("_HWDVIDS_TOOLBAR_DELETE","Delete"); // Delete
DEFINE("_HWDVIDS_TOOLBAR_REMOVE","Remove"); // Remove
DEFINE("_HWDVIDS_TOOLBAR_PUBLISH","Publish"); // Publish
DEFINE("_HWDVIDS_TOOLBAR_UNPUBLISH","Unpublish"); // Unpublish
DEFINE("_HWDVIDS_TOOLBAR_APPROVE","Approve"); // Approve

// New definitions from hwdVideoShare-1.1.4 Alpha RC2.11

DEFINE("_ADMIN_HWDVIDS_SETT_BKP_1","hwdVideoShare has just tested your server and thinks you will be able to successfully use this feature!"); // hwdVideoShare has just tested your server and thinks you will be able to successfully use this feature!
DEFINE("_ADMIN_HWDVIDS_SETT_BKP_0","hwdVideoShare has just tested your server and unfortunately this feature will not work!"); // hwdVideoShare has just tested your server and unfortunately this feature will not work!
DEFINE("_HWDVIDS_INFO_QFING","Videos Currently Being Converted"); // Videos Currently Being Converted
DEFINE("_HWDVIDS_BUTTON_RESETFCONV","RESET FAILED CONVERSIONS"); // RESET FAILED CONVERSIONS
DEFINE("_HWDVIDS_TT_01B","If videos never finish converting then something is broken. Videos will not reset their own status and will remain in the status &#34;converting&#34; forever. If you want to reset the status of videos to &#34;queuedforconversion&#34; just click on this link"); // If videos never finish converting then something is broken. Videos will not reset their own status and will remain in the status &#34;converting&#34; forever. If you want to reset the status of videos to &#34;queuedforconversion&#34; just click on this link
DEFINE("_HWDVIDS_TT_01H","Reset Failed Conversions"); // Reset Failed Conversions
DEFINE("_HWDVIDS_ALERT_SUCRESETFCONV","Successfully reset failed conversions!"); // Successfully reset failed conversions!
DEFINE("_HWDVIDS_TEXT_NONE","None"); // None
DEFINE("_HWDVIDS_INFO_CONFIRMBACKDEL","Are you sure you want to delete the selected video(s)?"); // Are you sure you want to delete the selected video(s)?
DEFINE("_HWDVIDS_INFO_CONFIRMBACKCDEL","Are you sure you want to delete the selected category(s)?"); // Are you sure you want to delete the selected category(s)?
DEFINE("_HWDVIDS_INFO_CONFIRMBACKGDEL","Are you sure you want to delete the selected group(s)?"); // Are you sure you want to delete the selected group(s)?
DEFINE("_HWDVIDS_INFO_CONFIRMBACKPDEL","Are you sure you want to uninstall the selected plugin(s)?"); // Are you sure you want to uninstall the selected plugin(s)?
DEFINE("_HWDVIDS_TOOLBAR_UNINSTALL","Uninstall"); // Uninstall
DEFINE("_HWDVIDS_META_DEFAULT","Videos"); // Videos
DEFINE("_HWDVIDS_META_SR","Search Results"); // Search Results
DEFINE("_HWDVIDS_META_UPLD","Upload Your Videos"); // Upload Your Videos
DEFINE("_HWDVIDS_META_UPLDSUC","Successfully Upload Your Video"); // Successfully Upload Your Video
DEFINE("_HWDVIDS_META_ADDSUC","Successfully Added Your Video"); // Successfully Added Your Video
DEFINE("_HWDVIDS_META_CATS","Video Categories"); // Video Categories
DEFINE("_HWDVIDS_META_GRPS","Video Groups"); // Video Groups
DEFINE("_HWDVIDS_META_NGRPS","Create a new group"); // Create a new group
DEFINE("_HWDVIDS_META_YVIDS","Your uploaded videos"); // Your uploaded videos
DEFINE("_HWDVIDS_META_YFAVS","Your favourite videos"); // Your favourite videos
DEFINE("_HWDVIDS_META_FEATU","Featured videos"); // Featured videos
DEFINE("_HWDVIDS_META_YGRPS","Your groups"); // Your groups
DEFINE("_HWDVIDS_META_YGRPM","Your group memberships"); // Your group memberships
DEFINE("_HWDVIDS_META_FEATG","Featured groups"); // Featured groups
DEFINE("_HWDVIDS_META_EVIDS","Edit your video information"); // Edit your video information
DEFINE("_ADMIN_HWDVIDS_SETT_VPINTMET","Video Page Interaction Methods"); // Video Page Interaction Methods
DEFINE("_ADMIN_HWDVIDS_SETT_VPINFOOT","Video Page Information Options"); // Video Page Information Options
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEUSRTABS","Disable User Navigation Bar"); // Disable User Navigation Bar
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYVLINK","Disable <b>Your Videos</b> Link"); // Disable Your Videos Link
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYVLINK_DESC","Disable this link on the user navigation bar so it does not appear"); // Disable this link on the user navigation bar so it does not appear
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYFLINK","Disable <b>Your Favourites</b> Link"); // Disable Your Favourites Link
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYFLINK_DESC","Disable this link on the user navigation bar so it does not appear"); // Disable this link on the user navigation bar so it does not appear
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYGLINK","Disable <b>Your Groups</b> Link"); // Disable Your Groups Link
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYGLINK_DESC","Disable this link on the user navigation bar so it does not appear"); // Disable this link on the user navigation bar so it does not appear
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYMLINK","Disable <b>Your Group Memberships</b> Link"); // Disable Your Group Memberships Link
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLEYMLINK_DESC","Disable this link on the user navigation bar so it does not appear"); // Disable this link on the user navigation bar so it does not appear
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECGLINK","Disable <b>Create New Group</b> Link"); // Disable Create New Group Link
DEFINE("_ADMIN_HWDVIDS_SETT_DISABLECGLINK_DESC","Disable this link on the user navigation bar so it does not appear"); // Disable this link on the user navigation bar so it does not appear
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRAT","Enable <b>Rating Feature</b>"); // Enable Rating Feature
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRAT_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWATF","Enable <b>Add To Favourites</b> Feature"); // Enable Add To Favourites Feature
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWATF_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRPB","Enable <b>Report Media</b> Feature"); // Enable Report Media Feature
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWRPB_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCOM","Enable <b>Commenting</b> Feature"); // Enable Commenting Feature
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCOM_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVUR","Show <b>Video URL</b> Link"); // Show Video URL Link
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVUR_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVEB","Show <b>Video Embed</b> Code"); // Show Video Embed Code
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWVEB_DESC","Allow users to use this feature when they are viewing a video"); // Allow users to use this feature when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWDSC","Show Video <b>Description</b>"); // Show Video Description
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWDSC_DESC","Allow users to see this text when they are viewing a video"); // Allow users to see this text when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWTAG","Show Video <b>Tags</b>"); // Show Video Tags
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWTAG_DESC","Allow users to see this text when they are viewing a video"); // Allow users to see this text when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWSBK","Show <b>Social Bookmarks</b>"); // Show Social Bookmarks
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWSBK_DESC","Allow users to see these links when they are viewing a video"); // Allow users to see these links when they are viewing a video
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWA2G","Show <b>Add to Group</b> Feature"); // Show Add to Group Feature
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWA2G_DESC","Allow users to add videos to groups"); // Allow users to add videos to groups

// New definitions from hwdVideoShare-1.1.4 Alpha RC2.13

DEFINE("_HWDVIDS_DETAILS_VIDSTATUS","Video Status"); // Video Status
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_Y","Approved"); // Approved
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_QFC","Queued For Video Conversion"); // Queued For Video Conversion
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_QFT","Queued For Thumbnail Creation"); // Queued For Thumbnail Creation
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_QFSWF","Queued For SWF Processing"); // Queued For Thumbnail Creation
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_P","Pending Approval"); // Pending Approval
DEFINE("_HWDVIDS_DETAILS_VIDSTATUS_D","Deleted"); // Deleted
DEFINE("_HWDVIDS_ALERT_MISSINGINFO","You did not fill out all the fields, please complete the form again. No information has been saved."); // You did not fill out all the fields, please complete the form again. No information has been saved.
DEFINE("_HWDVIDS_ALERT_MISSINGVIDFILE","*** This file is missing! ***"); // This file is missing!
DEFINE("_HWDVIDS_ALERT_BE_QFCQFT","This video is waiting to be converted or have a thumbnail image taken. More information will be displayed once this process is complete."); // This video is waiting to be converted or have a thumbnail image taken. More information will be displayed once this process is complete.
DEFINE("_HWDVIDS_ALERT_BE_VIDDEL","This video has been deleted. You can permanently remove it with the System Cleanup tool."); // This video has been deleted. You can permanently remove it with the System Cleanup tool.
DEFINE("_HWDVIDS_ALERT_VURLWRONG","The Video URL you entered is not valid, please complete the form again. No information has been saved."); // The Video URL you entered is not valid, please complete the form again. No information has been saved.
DEFINE("_HWDVIDS_ALERT_TURLWRONG","The Thumbnail URL you entered is not valid, please complete the form again. No information has been saved."); // The Thumbnail URL you entered is not valid, please complete the form again. No information has been saved.
DEFINE("_HWDVIDS_DETAILS_CVACCESS","Category View Access"); // Category View Access
DEFINE("_HWDVIDS_DETAILS_CUACCESS","Category Upload Access"); // Category Upload Access
DEFINE("_HWDVIDS_DETAILS_CVVISIBLE","Make blocked categories invisible?"); // Make blocked categories invisible?
DEFINE("_ADMIN_HWDVIDS_SETT_PLAYERACCESS","Access to Video Player"); // Access to Video Player
DEFINE("_ADMIN_HWDVIDS_SETT_PLAYERACCESS_DESC","Set the Joomla groups who can access the video player and watch videos"); // Set the Joomla groups who can access the video player and watch videos
DEFINE("_HWDVIDS_ALERT_ADMIN_CONFUNWRT","Your settings file is unwritable! Your settings can not be saved."); // Your settings file is unwritable!  Your settings can not be saved.
DEFINE("_HWDVIDS_ALERT_ADMIN_SETNOTSAVED","Your settings could not be saved!"); // Your settings could not be saved!

// New definitions from hwdVideoShare-1.1.4 Alpha RC3.0

DEFINE("_HWDVIDS_DEFAULT_TEMPLATE","Default Template"); // Default Template
DEFINE("_HWDVIDS_LANGUAGE_ENGLISH","English Language"); // English Language
DEFINE("_HWDVIDS_LANGUAGE_JOOMFISH","JoomFish Support"); // JoomFish Support
DEFINE("_ADMIN_HWDVIDS_SETT_LANGUAGE_DESC","Choose the hwdVideoShare language plugin. To add more languages, install language plugins through the plugin manager. For documentation on JoomFish support please visit our website."); // Choose the hwdVideoShare language plugin. To add more languages, install language plugins through the plugin manager. For documentation on JoomFish support please visit our website.
DEFINE("_ADMIN_HWDVIDS_CONVERSIONSTARTED","The conversion process has started<br />Please wait..."); // The conversion process has started Please wait...
DEFINE("_ADMIN_HWDVIDS_CONVERSIONSTART","&laquo; Click here to start video conversions &raquo;"); // Click here to start video conversions

// New definitions from hwdVideoShare-1.1.4 Alpha RC3.5

DEFINE("_HWDVIDS_COMPATIBILITY_J10","This version of hwdVideoShare is only compatible with Joomla 1.0. Please uninstall this version and install the version for Joomla 1.5"); // This version of hwdVideoShare is only compatible with Joomla 1.0. Please uninstall this version and install the version for Joomla 1.5
DEFINE("_HWDVIDS_COMPATIBILITY_J15","This version of hwdVideoShare is only compatible with Joomla 1.5. Please uninstall this version and install the version for Joomla 1.0"); // This version of hwdVideoShare is only compatible with Joomla 1.5. Please uninstall this version and install the version for Joomla 1.0
DEFINE("_HWDVIDS_ALERT_NOREMURL","Please enter the URL of the video file"); // Please enter the URL of the video file
DEFINE("_HWDVIDS_ALERT_NOREMTHUMB","Please enter the URL of the video thumbnail"); // Please enter the URL of the video thumbnail
DEFINE("_HWDVIDS_BUTTON_FINSET","Finish Setup"); // Finish Setup
DEFINE("_HWDVIDS_TITLE_FINSET","Finish hwdVideoShare Setup"); // Finish hwdVideoShare Setup
DEFINE("_HWDVIDS_DETAILS_CPARENT","Category Parent"); // Category Parent
DEFINE("_HWDVIDS_SELECT_NOPAR","No Parent"); // No Parent
DEFINE("_HWDVIDS_DETAILS_REORDER","Reorder"); // Reorder
DEFINE("_ADMIN_HWDVIDS_GS_TAB_ALLVIDS","All Videos"); // All Videos
DEFINE("_ADMIN_HWDVIDS_GS_TAB_FEATV","Featured"); // Featured
DEFINE("_HWDVIDS_BACKLINK","Back"); // Back
DEFINE("_HWDVIDS_ALERT_REGISTERFORUPLD","You need to register and login to upload videos."); // You need to register and login to upload videos.
DEFINE("_HWDVIDS_ALERT_UPLD_NOT_AUTHORIZED","You are not authorized to upload videos."); // You are not authorized to upload videos.
DEFINE("_HWDVIDS_ALERT_REGISTERFORCAT","You need to register and login to view this category."); // You need to register and login to view this category.
DEFINE("_HWDVIDS_ALERT_CAT_NOT_AUTHORIZED","You are not authorized to view this category."); // You are not authorized to view this category.
DEFINE("_HWDVIDS_ALERT_REGISTERFORPLYR","You need to register and login to view this video."); // You need to register and login to view this video.
DEFINE("_HWDVIDS_ALERT_PLYR_NOT_AUTHORIZED","You are not authorized to view this video."); // You are not authorized to view this video.
DEFINE("_ADMIN_HWDVIDS_GS_TAB_STATS","Statistics"); // Statistics
DEFINE("_ADMIN_HWDVIDS_GS_TAB_INFO","Info"); // Info
DEFINE("_ADMIN_HWDVIDS_SETT_VPLAYER","Select Video Player"); // Select Video Player
DEFINE("_ADMIN_HWDVIDS_SETT_VPLAYER_DESC","Choose the hwdVideoShare video player. To add more player, install player plugins through the plugin manager."); // Choose the hwdVideoShare video player. To add more player, install player plugins through the plugin manager.
DEFINE("_HWDVIDS_SELECT_PLAYER","Select Player"); // Select Player
DEFINE("_HWDVIDS_INFO_NOCATS","There are no available categories"); // There are no available categories
DEFINE("_HWDVIDS_DETAILS_VACCESS","Access"); // Access
DEFINE("_HWDVIDS_DETAILS_ORDER","Order"); // Order

//Backend Server Settings
DEFINE("_ADMIN_HWDVIDS_PATHFFMPEG","Path to FFMPEG"); // Path to FFMPEG
DEFINE("_ADMIN_HWDVIDS_SETT_PATHFFMPEG_DESC","The full server path to FFMPEG"); // The full server path to FFMPEG
DEFINE("_ADMIN_HWDVIDS_PATHFLVTOOL2","Path to FLVTOOL2"); // Path to FLVTOOL2
DEFINE("_ADMIN_HWDVIDS_SETT_PATHFLVTOOL2_DESC","The full server path to FLVTOOL2"); // The full server path to FLVTOOL2
DEFINE("_ADMIN_HWDVIDS_PATHMENCODER","Path to MENCODER"); // Path to MENCODER
DEFINE("_ADMIN_HWDVIDS_SETT_PATHMENCODER_DESC","The full server path to MENCODER"); // The full server path to MENCODER
DEFINE("_ADMIN_HWDVIDS_PATHPHP","Path to PHP"); // Path to PHP
DEFINE("_ADMIN_HWDVIDS_SETT_PATHPHP_DESC","The full server path to PHP"); // The full server path to PHP
//Backend Server Settings

DEFINE("_HWDVIDS_EXPORT_TITLE","Export SQL Backup to Email"); // Export SQL Backup to Email
DEFINE("_HWDVIDS_BUTTON_SENDBKUP","Backup Now"); // Backup Now
DEFINE("_HWDVIDS_TOOLBAR_BKUP","Send Now"); // Send Now
DEFINE("_ADMIN_HWDVIDS_GS_TAB_TP","Third Party"); // Third Party
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLDWARN1","<h3>Warning :: Maximum Upload Filesize is generating a warning</h3><p>Your Maximum Upload Filesize is too large, hwdVideoShare will automatically reduce this setting to the maximum value allowed by your server.</p><p style=\"font-size:80%\">Your current Upload method is restricted by the <i>upload_max_filesize</i> setting in your php.ini file.</p>"); //
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLDWARN2","<h3>Warning :: Maximum Upload Filesize is generating a warning</h3><p>Your Maximum Upload Filesize is too large, hwdVideoShare will automatically reduce this setting to the maximum value allowed by your server.</p><p style=\"font-size:80%\">Your current Upload method is restricted by the <i>post_max_size</i> setting in your php.ini file.</p>"); //
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDWARN1","<h3>Warning :: Your upload method is generating a warning</h3><p>hwdVideoShare can not verify that the Advanced Perl Upload method is setup correctly.</p>"); //
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDWARN2","<h3>Error :: Your upload method is generating an error</h3><p>hwdVideoShare does not think that the Advanced Perl Upload method is setup correctly.</p>"); //
DEFINE("_ADMIN_HWDVIDS_GS_TAB_SHARES","Sharing"); // Sharing
DEFINE("_ADMIN_HWDVIDS_GS_TAB_SETTS","Settings"); // Settings
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESSSET","Access Settings"); // Access Settings
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESSMETHOD","Access Verification Method"); // Access Verification Method
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESSMETHOD_DESC","Do you wish to specify access by <b>Access Groups</b> or <b>Access Levels</b>?"); // Do you wish to specify access by Access Groups or Access Levels?
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESSGRP","Access Groups"); // Access Groups
DEFINE("_ADMIN_HWDVIDS_SETT_ACCESSLEV","Access Levels"); // Access Levels
DEFINE("_ADMIN_HWDVIDS_GS_TAB_XML","XML Playlists"); // XML Playlists
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPL","XML Shareable Playlists (XSPL)"); // XML Shareable Playlists (XSPL)
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPL_DESC","XML Shareable Playlist Format (XSPF), pronounced spiff, is an XML-based playlist format for digital media, sponsored by the Xiph.Org Foundation. Lucas Gonze of Yahoo.com/Webjay.org originated the format in 2004. XSPF is a data format for sharing the kind of playlist that can be played on a personal computer or portable device. In the same way that any user on any computer can open any web page, XSPF is intended to provide portability for playlists."); //
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TODAY","Playlist Cache [Today]"); // Playlist Cache [Today]
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TODAY_DESC","The time to cache XML playlists for today's results. The playlists will be re-generated after this amount of time."); // The time to cache XML playlists for today's results. The playlists will be re-generated after this amount of time.
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TW","Playlist Cache [This Week]"); // Playlist Cache [This Week]
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TW_DESC","The time to cache XML playlists for this weeks results. The playlists will be re-generated after this amount of time."); // The time to cache XML playlists for this weeks results. The playlists will be re-generated after this amount of time.
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TM","Playlist Cache [This Month]"); // Playlist Cache [This Month]
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_TM_DESC","The time to cache XML playlists for this months results. The playlists will be re-generated after this amount of time."); // The time to cache XML playlists for this months results. The playlists will be re-generated after this amount of time.
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_AT","Playlist Cache [All Time]"); // Playlist Cache [All Time]
DEFINE("_ADMIN_HWDVIDS_SETT_XMLPLCACHE_AT_DESC","The time to cache XML playlists for all results. The playlists will be re-generated after this amount of time."); // The time to cache XML playlists for all results. The playlists will be re-generated after this amount of time.
DEFINE("_ADMIN_HWDVIDS_SETT_CUSTOMXML","Custom Playlist"); // Custom Playlist
DEFINE("_ADMIN_HWDVIDS_SETT_CUSTOMXML_DESC","Create your own custom playlists by listing comma separated video ids, for example: 34, 543, 48, 97, 234"); // Create your own custom playlists by listing comma separated video ids, for example: 34, 543, 48, 97, 234
DEFINE("_ADMIN_HWDVIDS_SETT_CACHENO","Don't Cache"); // Don't Cache
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE60","60 Secs (Every Minute)"); // 60 Secs (Every Minute)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE300","300 Secs (Every 5 Minutes)"); // 300 Secs (Every 5 Minutes)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE600","600 Secs (Every 10 Minutes)"); // 600 Secs (Every 10 Minutes)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE1800","1800 Secs (Every 30 Minutes)"); // 1800 Secs (Every 30 Minutes)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE3600","3600 Secs (Every Hour)"); // 3600 Secs (Every Hour)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE18000","18000 Secs (Every 5 Hours)"); // 18000 Secs (Every 5 Hours)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE36000","36000 Secs (Every 10 Hours)"); // 36000 Secs (Every 10 Hours)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE86400","86000 Secs (Daily)"); // 86000 Secs (Daily)
DEFINE("_ADMIN_HWDVIDS_SETT_CACHE604800","604800 Secs (Weekly)"); // 604800 Secs (Weekly)
DEFINE("_ADMIN_HWDVIDS_SETT_TPMETHOD","Third Party Videos"); // Third Party Videos
DEFINE("_ADMIN_HWDVIDS_SETT_TPFUNC","Primary Data Transfer Method"); // Primary Data Transfer Method
DEFINE("_ADMIN_HWDVIDS_SETT_TPFUNC_DESC","Choose between the <a href=\"http://php.net/curl\" target=\"_blank\">CURL</a> function and the <a href=\"http://php.net/file_get_contents\" target=\"_blank\">file_get_contents</a> function when transferring data from third party websites. (CURL is more secure.)"); // Choose between the CURL function and the file_get_contents function when transferring data from third party websites. (CURL is more secure.)
DEFINE("_ADMIN_HWDVIDS_SETT_PTHL","Play in Local Player"); // Play in Local Player
DEFINE("_ADMIN_HWDVIDS_SETT_PTHL_DESC","Where possible, play the third party video in the local video player (instead of the third party's own video player)."); // Where possible, play the third party video in the local video player (instead of the third party's own video player).
DEFINE("_ADMIN_HWDVIDS_SETT_AAVIDS","Auto-approve Uploaded Videos?"); // Auto-approve Upload Videos?
DEFINE("_ADMIN_HWDVIDS_SETT_SAUPLD","Send uploads directly to converter?"); // Send uploads directly to converter?
DEFINE("_ADMIN_HWDVIDS_SETT_SAUPLD_DESC","Do you want to send uploaded video files directly to the converter for processing immediately after the upload is complete?<br />This will send the video file to be converted as a background process (<b>> /dev/null &</b>). If you select Yes and your videos do not automatically get converted, <b>your server might not support this feature</b>."); // Do you want to send uploaded video files directly to the converter for processing immediately after the upload is complete? This will send the video file to be converted as a background process (> /dev/null &). If you select Yes and your videos do not automatically get converted, your server might not support this feature.
DEFINE("_ADMIN_HWDVIDS_SETT_UPLDMETH_BASPHP","The <b>Basic Method</b> uses only php to process the video file uploads. It will not display a progress bar however, it should not require any manual configuration to function correctly."); // The Basic Method uses only php to process the video file uploads. It will not display a progress bar however, it should not require any manual configuration to function correctly.
DEFINE("_ADMIN_HWDVIDS_SETT_RESTRICTPHP","PHP Upload Restrictions"); // PHP Upload Restrictions
DEFINE("_ADMIN_HWDVIDS_SETT_MAXUPLD_PHP","Your server has the following restrictions on the maximum video filesize."); // Your server has the following restrictions on the maximum video filesize.
DEFINE("_ADMIN_HWDVIDS_SETT_NO_PARAMS","No Parameters."); // No Parameters.
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_SEYRET","Seyret"); // Seyret
DEFINE("_HWDVIDS_INFO_NOPLUGIN","Sorry! This video can no longer be played on this website."); // Sorry! This video can no longer be played on this website.
DEFINE("_HWDVIDS_SELECT_UPLDADDTP","Add a video from an external website"); // Add a video from an external website
DEFINE("_HWDVIDS_TITLE_UPLDADDTP","Add a video from an external website"); // Add a video from an external website
DEFINE("_HWDVIDS_TITLE_NOACCESS","Access Denied!"); // Access Denied!
DEFINE("_HWDVIDS_TITLE_ERROR","Error"); // Error
DEFINE("_HWDVIDS_TITLE_UPLDFAIL","Upload Failed"); // Upload Failed
DEFINE("_HWDVIDS_PHPUPLD_ERR00","The file could not be uploaded. The data in the form probably exceeds the post_max_size directive in php.ini. "); //
DEFINE("_HWDVIDS_PHPUPLD_ERR01","The file is bigger than the PHP installation allows. The uploaded file exceeds the upload_max_filesize directive in php.ini."); //
DEFINE("_HWDVIDS_PHPUPLD_ERR02","The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form."); //
DEFINE("_HWDVIDS_PHPUPLD_ERR03","The uploaded file was only partially uploaded. "); //
DEFINE("_HWDVIDS_PHPUPLD_ERR04","No file was uploaded. "); //
DEFINE("_HWDVIDS_PHPUPLD_ERR05","Unknown Error"); //
DEFINE("_HWDVIDS_PHPUPLD_ERR06","Missing a temporary folder. Introduced in PHP 4.3.10 and PHP 5.0.3."); //
DEFINE("_HWDVIDS_PHPUPLD_ERR07","Failed to write file to disk."); //
DEFINE("_HWDVIDS_PHPUPLD_ERR08","File upload stopped by extension."); //
DEFINE("_HWDVIDS_UPLD_FORMERR01","We did not find a video title. Please go back and complete the form."); // We did not find a video title. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR02","We did not find a video description. Please go back and complete the form."); // We did not find a video description. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR03","We did not find a video category. Please go back and complete the form."); // We did not find a video category. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR04","We did not find any video tags. Please go back and complete the form."); // We did not find any video tags. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR05","We did not find a video privacy setting. Please go back and complete the form."); // We did not find a video privacy setting. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR06","We did not find a video comments option. Please go back and complete the form."); // We did not find a video comments option. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR07","We did not find a video embedding option. Please go back and complete the form."); // We did not find a video embedding option. Please go back and complete the form.
DEFINE("_HWDVIDS_UPLD_FORMERR08","We did not find a video rating option. Please go back and complete the form."); // We did not find a video rating option. Please go back and complete the form.
DEFINE("_HWDVIDS_ERROR_UPLDERR01","The upload failed. It is likely the uploaded file exceeds the upload_max_filesize directive in php.ini."); // The upload failed. It is likely the uploaded file exceeds the upload_max_filesize directive in php.ini.
DEFINE("_HWDVIDS_ERROR_UPLDERR02","This video is too big. The size has been restricted by the website team to"); // This video is too big. The size has been restricted by the website team to
DEFINE("_HWDVIDS_ERROR_UPLDERR03","This video can not be processed because it contains illegal characters."); // This video can not be processed because it contains illegal characters.
DEFINE("_HWDVIDS_ERROR_UPLDERR04","You are not allowed to upload files in this format. It must be a valid video filetype."); // You are not allowed to upload files in this format. It must be a valid video filetype.
DEFINE("_HWDVIDS_ERROR_UPLDERR05","This video can not be processed because it already exists on our server. Please try again later."); // This video can not be processed because it already exists on our server. Please try again later.
DEFINE("_HWDVIDS_ERROR_UPLDERR06","The upload failed. The video could not be saved to the server."); // The upload failed. The video could not be saved to the server.
DEFINE("_HWDVIDS_ERROR_UPLDERR07","The form was not complete. You need to complete all required sections."); // The form was not complete. You need to complete all required sections.
DEFINE("_HWDVIDS_ERROR_UPLDERR08","The upload failed. ERROR CODE 001."); // The upload failed. ERROR CODE 001. //this error means no match was found (advanced flash method)
DEFINE("_HWDVIDS_ERROR_UPLDERR09","The upload failed. ERROR CODE 002."); // The upload failed. ERROR CODE 002. //this error means multiple matches were found (advanced flash method)
DEFINE("_HWDVIDS_ERROR_UPLDERR10","The upload failed. ERROR CODE 003."); // The upload failed. ERROR CODE 003. //this error means video was not copied from temporary location into hwdvideoshare directory  (advanced flash method)
DEFINE("_HWDVIDS_INFO_TPDRFAIL","The video's duration could not be found"); // The video's duration could not be found
DEFINE("_HWDVIDS_ALERT_ERRUP","There has been an error whilst uploading your video file. Please contact us if this problem continues."); // There has been an error whilst uploading your video file. Please contact us if this problem continues.
DEFINE("_HWDVIDS_ERROR_UPLDERR11","Your video could not be added. It is not from a supported website."); // Your video could not be added. It is not from a supported website.
DEFINE("_HWDVIDS_INFO_SUPPTPW","Videos from the following websites can be added."); // Videos from the following websites can be added.
DEFINE("_HWDVIDS_INFO_FROM","From"); // From
DEFINE("_HWDVIDS_INFO_VIDEOS","videos"); // videos
DEFINE("_HWDVIDS_INFO_SUBCATS","subcategories"); // subcategories
DEFINE("_HWDVIDS_TITLE_SHARE","Share"); // Share
DEFINE("_HWDVIDS_TITLE_AV2G","Add to Group"); // Add to Group
DEFINE("_HWDVIDS_TITLE_MOREBYUSR","More videos from "); // More videos from
DEFINE("_HWDVIDS_TITLE_PERMALINK","Permalink"); // Permalink
DEFINE("_HWDVIDS_INFO_CREATEDBY","Created By"); // Created By
DEFINE("_HWDVIDS_DETAILS_EDITG","Edit Group"); // Edit Group
DEFINE("_HWDVIDS_DETAILS_MEMBERSG","Group Members"); // Group Members
DEFINE("_HWDVIDS_INFO_CONFIRMFRONTEDIT","Are you sure you want to edit this item?"); // Are you sure you want to edit this item?
DEFINE("_HWDVIDS_INFO_CONFIRMFRONTDEL","Are you sure you want to delete this item?"); // Are you sure you want to delete this item?
DEFINE("_ADMIN_HWDVIDS_SETT_FRONTPAGE","Frontpage Videos"); // Frontpage Videos
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWWN","Show Videos Being Watched Now"); // Show Videos Being Watched Now
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWWN_DESC","A list of videos currently being watched will be available on the video gallery frontpage"); // A list of videos currently being watched will be available on the video gallery frontpage
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMV","Show Most Viewed Videos"); // Show Most Viewed Videos
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMV_DESC","A list of most viewed videos will be available on the video gallery frontpage"); // A list of most viewed videos will be available on the video gallery frontpage
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMF","Show Most Favoured Videos"); // Show Most Favoured Videos
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMF_DESC","A list of most favoured videos will be available on the video gallery frontpage"); // A list of most favoured videos will be available on the video gallery frontpage
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMP","Show Most Popular Videos"); // Show Most Popular Videos
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWMP_DESC","A list of most popular videos will be available on the video gallery frontpage"); // A list of most popular videos will be available on the video gallery frontpage
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWULR","Show <b>More From This User</b>"); // Show Uploader
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWULR_DESC","Allow users to see who uploaded this video and more videos from the user"); // Allow users to see who uploaded this video and more videos from the user
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYR","Notify after new report?"); // Notify after new report?
DEFINE("_ADMIN_HWDVIDS_SETT_NOTIFYR_DESC","Send a notification email when a user reports media as inappropriate"); // Send a notification email when a user reports media as inappropriate
DEFINE("_ADMIN_HWDVIDS_SETT_CONVERTSWF","Playback of SWF Videos"); // Playback of SWF Videos
DEFINE("_ADMIN_HWDVIDS_SETT_SWFSA","Play swf videos independently?"); // Play swf videos independently?
DEFINE("_ADMIN_HWDVIDS_SETT_SWFSA_DESC","Choose if you want swf files to be embedded independently as a stand-alone object or played in your video player."); // Choose if you want swf files to be embedded independently as a stand-alone object or played in your video player.
DEFINE("_ADMIN_HWDVIDS_SETT_PATHSL","Path to shared libraries"); // Path to shared libraries
DEFINE("_ADMIN_HWDVIDS_SETT_PATHSL_DESC","Use this to temporarily substitute a different library for the hwdVideoShare conversion executions. It can be useful if you are working on a shared host."); // Use this to temporarily substitute a different library for the hwdVideoShare conversion executions. It can be useful if you are working on a shared host.
DEFINE("_ADMIN_HWDVIDS_SETT_JACLINT","JACL Plus Integration"); // JACL Plus Integration
DEFINE("_ADMIN_HWDVIDS_SETT_INTJACL","Integrate with JACL Plus?"); // Integrate with JACL Plus?
DEFINE("_ADMIN_HWDVIDS_SETT_INTJACL_DESC","Integration with JACL Plus will enable you to manage access to hwdVideoShare via Access Levels."); // Integration with JACL Plus will enable you to manage access to hwdVideoShare via Access Levels.
DEFINE("_ADMIN_HWDVIDS_SETT_FTODAY","From Today"); // From Today
DEFINE("_ADMIN_HWDVIDS_SETT_FTW","From This Week"); // From This Week
DEFINE("_ADMIN_HWDVIDS_SETT_FTM","From This Month"); // From This Month
DEFINE("_ADMIN_HWDVIDS_SETT_FAT","From All Time"); // From All Time
DEFINE("_HWDVIDS_TITLE_SUPWEB","Supported Websites"); // Supported Websites
DEFINE("_HWDVIDS_FLASHUPDL_FUPLD"," has been processed. Please click <b>Send</b> to finish the upload."); // has been processed. Please click Send to finish the upload.
DEFINE("_ADMIN_HWDVIDS_SETT_TPWIDTH","Width of third party video player"); // Width of third party video player
DEFINE("_ADMIN_HWDVIDS_SETT_TPWIDTH_DESC","If hwdVideoShare embeds a video player from an external website you can set the width here. The height will be automatically calculated for the specific website format. For example, if you play a video that is widescreen, it will display as widescreen."); // If hwdVideoShare embeds a video player from an external website you can set the width here. The height will be automatically calculated for the specific website format. For example, if you play a video that is widescreen, it will display as widescreen.
DEFINE("_HWDVIDS_BENAV_FM","Reported Media"); // Reported Media
DEFINE("_HWDVIDS_TITLE_GRPMEMS","Group Members"); // Group Members
DEFINE("_HWDVIDS_TITLE_GRPVIDS","Group Videos"); // Group Videos
DEFINE("_HWDVIDS_TOOLBAR_RUN","Run Tools"); // Run Tools
DEFINE("_HWDVIDS_SECTIONHEAD_CLUP","&laquo; Maintenance &raquo; "); // Maintenance
DEFINE("_HWDVIDS_BENAV_SC","Maintenance"); // Maintenance
DEFINE("_HWDVIDS_ALERT_VIDSAVED","Video Saved"); // Video Saved
DEFINE("_HWDVIDS_INFO_NYG","You do not have any groups"); // You do not have any groups
DEFINE("_HWDVIDS_INFO_NYGM","You do not have any group memberships"); // You do not have any group memberships
DEFINE("_HWDVIDS_ALERT_GRPSAVED","Group Saved"); // Group Saved
DEFINE("_HWDVIDS_ALERT_ACMETH1","Method 1 [Direct Background Execution]"); // Method 1 [Direct Background Execution]
DEFINE("_HWDVIDS_ALERT_ACMETH2","Method 2 [WGet Background Execution]"); // Method 2 [WGet Background Execution]
DEFINE("_HWDVIDS_ALERT_AC_YES","This method does work on your server."); // This method does work on your server.
DEFINE("_HWDVIDS_ALERT_AC_NO","This method does not work on your server."); // This method does not work on your server.
DEFINE("_ADMIN_HWDVIDS_IMPT_TAB_ACHT","ACHTube"); // ACHTube
DEFINE("_ADMIN_HWDVIDS_SETT_PATHWGET_DESC","The full server path to WGET"); // The full server path to WGET
DEFINE("_ADMIN_HWDVIDS_SETT_PATHWGET","Path to WGET"); // Path to WGET
DEFINE("_HWDVIDS_INFO_QFSWF","Videos Queued For SWF Processing"); // Videos Queued For SWF Processing
DEFINE("_HWDVIDS_DETAILS_VIEWVDETAILS","View Video Details"); // View Video Details
DEFINE("_HWDVIDS_DETAILS_VIEWGDETAILS","View Group Details"); // View Group Details
DEFINE("_ADMIN_HWDVIDS_SETT_RATESYS_DESC","Select the method (POST or AJAX) that users will use to rate videos. The AJAX method will not interrupt video playback."); // Select the method (POST or AJAX) that users will use to rate videos. The AJAX method will not interrupt video playback.
DEFINE("_ADMIN_HWDVIDS_SETT_LOGCONVERSIONS","Conversion Logs"); // Conversion Logs
DEFINE("_HWDVIDS_TITLE_NEWTHUMB","Upload a New Thumbnail Image"); // Upload a New Thumbnail Image
DEFINE("_HWDVIDS_DETAILS_NEWTHUMB","New Thumbnail"); // New Thumbnail
DEFINE("_HWDVIDS_DETAILS_NEWTHUMB_DESC","You can upload a new image for your video. Uploads are limited to 2MB."); // You can upload a new image for your video. Uploads are limited to 2MB.
DEFINE("_HWDVIDS_DETAILS_A2G","Add to a group"); // Add to a group
DEFINE("_HWDVIDS_ALERTSELGROUP","Please select a group first."); // Please select a group first.
DEFINE("_HWDVIDS_CN_NOUV","This user has not uploaded any videos."); // This user has not uploaded any videos.
DEFINE("_HWDVIDS_CN_NOFV","This user has not got any favourite videos."); // This user has not got any favourite videos.
DEFINE("_ADMIN_HWDVIDS_SEARCHP","Search Plugins"); // Search Plugins
DEFINE("_HWDVIDS_DETAILS_EDITVID","Edit Video"); // Edit Video

// New definitions from hwdVideoShare [ Huntly ]

DEFINE("_HWDVIDS_ALERT_REGISTERFORACCESS","You need to register and login to access this page."); // You need to register and login to access this page.
DEFINE("_HWDVIDS_ALERT_NOT_AUTHORIZED","You are not authorised to view this page."); // You are not authorised to view this page.
DEFINE("_ADMIN_HWDVIDS_SETT_INTEGRATIONSCB","Community Integration"); // Community Integration
DEFINE("_ADMIN_HWDVIDS_SETT_INTCB","Integrate with Community software?"); // Integrate with Community software?
DEFINE("_ADMIN_HWDVIDS_SETT_INTCB_DESC","Integration will allow users to pass to community profiles"); // Integration will allow users to pass to community profiles
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCBAVA","Show Community Avatar?"); // Show Community Avatar?
DEFINE("_ADMIN_HWDVIDS_SETT_SHOWCBAVA_DESC","Display avatar images in hwdVideoShare?"); // Display avatar images in hwdVideoShare?
DEFINE("_ADMIN_HWDVIDS_SETT_CBITEMID","Community Software Itemid"); // Community Software Itemid
DEFINE("_ADMIN_HWDVIDS_SETT_CBITEMID_DESC","To make sure hwdVideoShare links to the correct profile page add the Itemid for your main Community software. See our documentation for more help."); // To make sure hwdVideoShare links to the correct profile page add the Itemid for your main Community software. See our documentation for more help.
DEFINE("_ADMIN_HWDVIDS_SETT_CBAVAWIDTH_DESC","Width (in pixels) of avatar image. Default value is 61. Please note that avatar images are stretched so a significant increase in size will pixalate image."); // Width (in pixels) of avatar image. Default value is 61. Please note that avatar images are stretched so a significant increase in size will pixalate image.

// New definitions from hwdVideoShare [ Drury ]

DEFINE("_HWDVIDS_MVTD","Most Viewed Today"); //
DEFINE("_HWDVIDS_MVTW","Most Viewed This Week"); //
DEFINE("_HWDVIDS_MVTM","Most Viewed This Month"); //
DEFINE("_HWDVIDS_MVAL","Most Viewed"); //
DEFINE("_HWDVIDS_MFTD","Most Favoured Today"); //
DEFINE("_HWDVIDS_MFTW","Most Favoured This Week"); //
DEFINE("_HWDVIDS_MFTM","Most Favoured This Month"); //
DEFINE("_HWDVIDS_MFAL","Most Favoured"); //
DEFINE("_HWDVIDS_MPTD","Most Popular Today"); //
DEFINE("_HWDVIDS_MPTW","Most Popular This Week"); //
DEFINE("_HWDVIDS_MPTM","Most Popular This Month"); //
DEFINE("_HWDVIDS_MPAL","Most Popular"); //
DEFINE("_HWDVIDS_BWN","Being Watched Now"); //
DEFINE("_HWDVIDS_RELATED","Related"); //
DEFINE("_HWDVIDS_UNKNOWN","Unknown"); //
DEFINE("_HWDVIDS_VSNOINS","hwdVideoShare is not installed. Please contact site administrator."); //
DEFINE("_HWDVIDS_BTP","Back to Profile"); //
DEFINE("_ADMIN_HWDVIDS_SETT_THUMBW_DESC","Set the width of your video thumbnails. Default value is 120."); //
DEFINE("_ADMIN_HWDVIDS_SETT_VAR","Video Aspect Ratios"); //
DEFINE("_ADMIN_HWDVIDS_SETT_CVAR","Calculate Video Aspect Ratio?"); //
DEFINE("_ADMIN_HWDVIDS_SETT_CVAR_DESC","Attempt to automatically calulate aspect ratio of video"); //
DEFINE("_ADMIN_HWDVIDS_SETT_VFR","Fallback Ratio"); //
DEFINE("_ADMIN_HWDVIDS_SETT_VFR_DESC","Ratio to use if aspect can not be calculated"); //
DEFINE("_ADMIN_HWDVIDS_SETT_VTC","Video Thumbnail Configuration"); //
DEFINE("_ADMIN_HWDVIDS_SETT_TAR","Thumbnail Aspect Ratio"); //
DEFINE("_ADMIN_HWDVIDS_SETT_TAR_DESC","Ratio to use for thumbnail images"); //
DEFINE("_ADMIN_HWDVIDS_SETT_UDT","Use Dynamic Thumbnails"); //
DEFINE("_ADMIN_HWDVIDS_SETT_UDT_DESC","Use dynmamic thumbnails which scroll through video snaphosts"); //
DEFINE("_ADMIN_HWDVIDS_SETT_OFORMATS","Other allowed formats"); //
DEFINE("_ADMIN_HWDVIDS_SETT_OFORMATS_DESC","Add support for extra formats in hwdVideoShare"); //
DEFINE("_ADMIN_HWDVIDS_SETT_NBWNO","Number of <b>being watched</b> videos"); //
DEFINE("_ADMIN_HWDVIDS_SETT_NBWNO_DESC","Set the number of Now Being Watched videos to display"); //
DEFINE("_HWDVIDS_INFO_UPLDADDTP","Add videos directly from external websites. Enter the URL of the video page here."); //
DEFINE("_HWDVIDS_ALERT_VIDNOEXIST","This video is currently not available for you to view. This could be for one of the following reasons:<ul><li>The video is currently not published</li><li>The video is pending approval from the website moderators</li><li>The video has been deleted</li><li>You need to login to view the video</li><li>Your account does not give you access to this video</li></ul>"); //
DEFINE("_ADMIN_HWDVIDS_SETT_SERVER","Does your server have MENCODER, FFMPEG & FLVTOOL2 installed?"); //
DEFINE("_ADMIN_HWDVIDS_SETT_SOFTINS","Required Software Installed?"); //
DEFINE("_ADMIN_HWDVIDS_SETT_SOFTINS_DESC","Does your server have MENCODER, FFMPEG & FLVTOOL2 installed? This software is required to convert video files?"); //
DEFINE("_HWDVIDS_RECENT","Recent"); //
DEFINE("_HWDVIDS_WMIP_01","The website administrator needs to install the "); //
DEFINE("_HWDVIDS_WMIP_02"," plugin."); //
DEFINE("_HWDVIDS_VOV","View Original Video"); //
DEFINE("_HWDVIDS_STCV","Start Converter"); //
DEFINE("_HWDVIDS_CVST","Converter Statistics"); //
DEFINE("_HWDVIDS_BENAV_HL","Help"); // Help
DEFINE("_HWDVIDS_MAIN_RN","Run Now"); //
DEFINE("_HWDVIDS_MAIN_DRN","Don't Run Now"); //
DEFINE("_HWDVIDS_MAIN_RIR","Run if Required"); //
DEFINE("_HWDVIDS_MAIN_LR","Last Run:"); //
DEFINE("_HWDVIDS_MAIN_FDE","Fix SQL Database Errors"); //
DEFINE("_HWDVIDS_MAIN_RDS","Recount SQL Database Statistics"); //
DEFINE("_HWDVIDS_MAIN_AAL","Archive Access Logs"); //
DEFINE("_HWDVIDS_DOCS","Documentation"); //
DEFINE("_HWDVIDS_NXBT","Next Button"); //
DEFINE("_HWDVIDS_PVBT","Previous Button"); //
DEFINE("_HWDVIDS_READ","READ"); //
DEFINE("_HWDVIDS_UNREAD","UNREAD"); //
DEFINE("_HWDVIDS_PGTNV","There has been a problem going to the next video."); //
DEFINE("_HWDVIDS_YHRTS","You have reached the start of this category, you can not go to the next video."); //
DEFINE("_HWDVIDS_PGTPV","There has been a problem going to the previous video."); //
DEFINE("_HWDVIDS_YHRTE","You have reached the end of this category, you can not go to the previous video."); //
DEFINE("_HWDVIDS_TCDNE","This category does not exist."); //
