{* 
//////
//    @version 2.1.1 Build 21106 Alpha [ Drury ]
//    @package hwdVideoShare
//    @copyright (C) 2007 - 2009 Highwood Design
//    @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
//////
//    hwdVideoShare Template System:::This template system uses the Smarty Template Engine. 
//    For full documentation, including syntax usage please refer to http://www.smarty.net 
//    or our website at http://www.hwdmediashare.co.uk   
//////
//    This file generates the display for the featured video section on the homepage.
//////
//    VARIABLES AVAILBLE IN THIS TEMPLATE FILE:                                        
//    -- $featured_video_player...A video player that plays the top ordered featured video
//    -- $print_multiple_featured.Only set if more than one video is featured                          
//    -- $featured_link...........Link to more featured videos                            
//////
*}

<h5 class="header">{$smarty.const._HWDVIDS_TITLE_FEATUREDVIDS}</h5>
<div class="featured">
  <center><div style="padding:5px;text-align:center;">{$featured_video_player}</div></center>
    {if $print_multiple_featured}
      <center>
        <div style="padding:5px;">
          <div style="border:1px solid #35393f;">
            {foreach name=outer item=data from=$featuredlist}
                {if $smarty.foreach.outer.first}{else}
                    {$data->thumbnail}
                {/if}
            {/foreach}
          </div>
        </div>
      </center>
    <div style="text-align:right;padding:5px;"><a href="{$featured_link}" title="{$smarty.const._HWDVIDS_INFO_MOREFEATUREDV}">{$smarty.const._HWDVIDS_INFO_MOREFEATUREDV}</a></div>
  {/if}
</div>